<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('account_close', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('party_id');
            $table->bigInteger('vatav_id')->unique();
            $table->smallInteger('is_close');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('account_close');
    }
};
