<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tmp_party_balance', function (Blueprint $table) {
            $table->id();
            $table->decimal('opening_balance',15,2);
            $table->decimal('closing_balance',15,2);
            $table->bigInteger('party_id')->unsigned();
            $table->bigInteger('vatav_id')->unsigned();
            $table->smallInteger('status')->unsigned();
            $table->timestamp('date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tmp_party_balance');
    }
};
