<header>
    <nav class="navbar navbar-default navbar-cls-top " role="navigation" style="margin-bottom: 0">
        <div class="navbar-header" style="background-color: #4d4d4d">
            <div class="row">
                <div class="col-md-2">
                    <a class="navbar-brand" href="{{ route('dashboard')}}" tabindex=-1>
                        {{ env('APP_NAME','Smart Cal') }}
                    </a>
                </div>
                <div class="col-md-9">
                    @php
                        $permissionArray = session('permissionArray');
                        $is_party_loggedin = 0;
                    @endphp
                    @if ($is_party_loggedin == 1)
                        <ul class="main-navigation">
                            <li>
                                <a tabindex=-1 class="active-menu" href="{{ route('report.general')}}" accesskey="g">General
                                    (alt+g)</a>
                            </li>
                        </ul>
                    @else
                        <ul class="main-navigation">
                            <li>
                                <a tabindex=-1 @if ($pageSlug == 'profile') class="active-menu "
                                   @endif href="{{ route('profile.details')}}">Profile</a>
                            </li>
                            @if(in_array("Party",$permissionArray) || in_array("Mobileparty",$permissionArray))
                                <li>
                                    <a tabindex=-1 class="@if ($pageSlug == 'party' || $pageSlug == 'mobileparty') active-menu @endif"
                                       href="#"><i></i>Party</a>
                                    <ul class="sub-menu">
                                        @if (in_array("Party", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'party') class="active-menu "
                                                   @endif href="{{ route('party.index')}}">Party</a>
                                                <a style="display:none" href="{{ route('party.add')}}"
                                                   class="btn btn-primary"
                                                   style="float:right;" accesskey="o">Add Party</a>
                                            </li>
                                        @endif
                                        @if (in_array("Mobileparty", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'mobileparty') class="active-menu "
                                                   @endif href="{{ route('mobileparty.index')}}"> Mobile Party</a>
                                            </li>
                                        @endif
                                    </ul>
                                </li>
                            @endif

                            @if (in_array("Autovatav", $permissionArray) || in_array("Manualvatav", $permissionArray) || in_array("Normalvatav", $permissionArray) || in_array("Namu", $permissionArray))
                                <li>
                                    <a tabindex=-1
                                       @if ($pageSlug == 'autovatav' || $pageSlug == 'manualvatav' || $pageSlug == 'normalvatav' || $pageSlug == 'namu') class="active-menu "
                                       @endif href="#">Label Entry</a>
                                    <ul class="sub-menu">
                                        @if (in_array("Autovatav", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'autovatav') class="active-menu "
                                                   @endif href="{{ route('autovatav.index')}}">Auto Entry (alt+a)</a>
                                                <a tabindex=-1 style="display:none" href="{{ route('autovatav.add')}}"
                                                   accesskey="a">Auto Entry</a>
                                            </li>
                                        @endif
                                        @if(in_array("Manualvatav", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'manualvatav') class="active-menu "
                                                   @endif href="{{ route('manualvatav.index')}}">Manual Entry
                                                    (alt+m)</a>
                                                <a tabindex=-1 style="display:none" href="{{ route('manualvatav.add')}}"
                                                   accesskey="m">Manual Entry</a>
                                            </li>
                                        @endif
                                        @if (in_array("Normalvatav", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'normalvatav') class="active-menu "
                                                   @endif href="{{ route('normalvatav.index')}}">Havala Entry
                                                    (alt+n)</a>
                                                <a tabindex=-1 style="display:none" href="{{ route('normalvatav.add')}}"
                                                   accesskey="n">Havala Entry</a>
                                            </li>
                                        @endif
                                        @if (in_array("Namu", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'namu') class="active-menu "
                                                   @endif href="{{ route('namu.index')}}">Namu (alt+x)</a>
                                                <a tabindex=-1 style="display:none" href="{{ route('namu.add')}}"
                                                   accesskey="x">Namu</a>
                                            </li>
                                        @endif
                                    </ul>
                                </li>
                            @endif
                            @if (in_array("Generalreport", $permissionArray) || in_array("Partyreport", $permissionArray) || in_array("Dayreport", $permissionArray) || in_array("Dayentryreport", $permissionArray) || in_array("Cityreport", $permissionArray) || in_array("Partytopartyreport", $permissionArray) || in_array("Vatavreport", $permissionArray) || in_array("Labelreport", $permissionArray) || in_array("Partywiseinterestreport", $permissionArray) || in_array("Interestreport", $permissionArray) || in_array("Partywiseledger", $permissionArray) || in_array("Partywisecommissionreport", $permissionArray)
                                || in_array("Partywisecommissionreport",$permissionArray) || in_array("Vatavreport",$permissionArray))
                                <li>
                                    <a tabindex=-1
                                       @if ($pageSlug == 'generalreport' || $pageSlug == 'partyreport' || $pageSlug == 'dayreport' || $pageSlug == 'dayentryreport' || $pageSlug == 'cityreport' || $pageSlug == 'partytopartyreport' || $pageSlug == 'vatavreport' || $pageSlug == 'labelreport' || $pageSlug == 'partywisecommission' || $pageSlug == 'deletedentryreport'  || $pageSlug == 'vatavrangereport' || $pageSlug == 'searchreport' || $pageSlug == 'partycommissionreport' || $pageSlug == 'commissionreport') class="active-menu "
                                       @endif href="#">
                                        Report
                                    </a>
                                    <ul class="sub-menu">
                                        @if (in_array("Generalreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'generalreport') class="active-menu "
                                                   @endif  href="{{ route('report.general')}}" accesskey="g">General
                                                    (alt+g)</a>
                                            </li>
                                        @endif
                                        @if (in_array("Partyreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'partyreport') class="active-menu "
                                                   @endif  href="{{ route('report.party')}}" accesskey="p">Party
                                                    (alt+p)</a>
                                            </li>
                                        @endif
                                        @if (in_array("Partywiseledger", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'partywiseledger') class="active-menu "
                                                   @endif  href="{{ route('report.partywiseledger')}}" accesskey="k">Party
                                                    Wise Ledger
                                                    (alt+k)</a>
                                            </li>
                                        @endif

                                        @if (in_array("Dayreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'dayreport')
                                                    class="active-menu "
                                                   @endif  href="{{ route('report.day')}}" accesskey="y">Day (alt+y)</a>
                                            </li>
                                        @endif
                                        @if (in_array("Dayentryreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'dayentryreport')
                                                    class="active-menu "

                                                   @endif  href="{{ route('report.dayentry')}}" accesskey="h">Day Entry
                                                    (alt+h)</a>
                                            </li>
                                        @endif
                                        @if (in_array("Cityreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'cityreport')
                                                    class="active-menu "

                                                   @endif  href="{{ route('report.city')}}" accesskey="c">City
                                                    (alt+c)</a>
                                            </li>
                                        @endif
                                        @if (in_array("Partytopartyreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'partytopartyreport')
                                                    class="active-menu "

                                                   @endif  href="{{ route('report.partytoparty')}}" accesskey="s">Party
                                                    to
                                                    Party
                                                    (alt+s)</a>
                                            </li>
                                        @endif
                                        @if (in_array("Vatavreport", $permissionArray))
                                            <li>
                                                <a href="#" @if ($pageSlug == 'vatavreport' || $pageSlug == 'vatavrangereport')
                                                    class="active-menu "
                                                        @endif
                                                >Vatav
                                                </a>
                                                <ul class="sub-menu">
                                                    <li>
                                                        <a tabindex=-1 @if ($pageSlug == 'vatavreport')
                                                            class="active-menu "

                                                           @endif  href="{{ route('report.vatav')}}" accesskey="v">Daywise
                                                            Report
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a tabindex=-1 @if ($pageSlug == 'vatavrangereport')
                                                            class="active-menu "

                                                           @endif  href="{{ route('report.vatavrange')}}">Rangewise
                                                            Report
                                                        </a>
                                                    </li>
                                                </ul>
                                            </li>
                                        @endif
                                        @if (in_array("Labelreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'labelreport')
                                                    class="active-menu "

                                                   @endif  href="{{ route('report.labelcount')}}" accesskey="l">Label
                                                    Count
                                                    (alt+l)</a>
                                            </li>
                                        @endif
                                        @if (in_array("CommissionReport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'commissionreport')
                                                    class="active-menu "

                                                   @endif  href="{{ route('report.commissionreport')}}">Commission
                                                </a>
                                            </li>
                                        @endif
                                        @if (in_array("Partywiseinterestreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'partywiseinterestreport')
                                                    class="active-menu "
                                                   @endif  href="{{ route('report.partywiseinterestreport')}}"
                                                   accesskey="j">Party wise Interest Report (alt+j)
                                                </a>
                                            </li>
                                        @endif
                                        @if (in_array("Interestreport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'interestreport')
                                                    class="active-menu "
                                                   @endif  href="{{ route('report.interestreport')}}"
                                                   accesskey="i">Interest Report (alt+i)
                                                </a>
                                            </li>
                                        @endif
                                        @if (in_array("PartywiseCommission", $permissionArray))
                                            <li>
                                                <a tabindex=-1
                                                   @if($pageSlug == 'partycommissionreport')
                                                       class="active-menu "
                                                   @endif
                                                   href="{{ route('report.partywisecommissionreport')}}" accesskey="w">Party
                                                    Wise commission (alt+w)</a>
                                            </li>
                                        @endif
                                        @if (in_array("DeletedEntryReport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'deletedentryreport')
                                                    class="active-menu "

                                                   @endif  href="{{ route('report.deletedentryreport')}}">Deleted Entry
                                                    Report
                                                </a>
                                            </li>
                                        @endif
                                        @if (in_array("SearchReport", $permissionArray))
                                            <li>
                                                <a tabindex=-1 @if ($pageSlug == 'searchreport')
                                                    class="active-menu "

                                                   @endif  href="{{ route('report.searchreport')}}" accesskey="b">Search
                                                    Report
                                                    (alt+b)</a>
                                            </li>
                                        @endif
                                    </ul>
                                </li>
                            @endif
                            @if (in_array("Users", $permissionArray))
                                <li>
                                    <a tabindex=-1 @if ($pageSlug == 'users') class="active-menu "
                                       @endif href="{{ route('user.index')}}"><i accesskey="u"></i>Users</a>
                                </li>
                            @endif
                            <li>
                                <a @if ($pageSlug == 'help')
                                       class="active-menu "
                                   @endif href="{{ route('help.details')  }}" tabindex=-1>Help</a>
                            </li>

                            @if (in_array("Notices", $permissionArray))
                                <li>
                                    <a tabindex=-1 @if ($pageSlug == 'notices')
                                        class="active-menu "
                                       @endif href="{{ route('notice.index')}}">Notices</a>
                                </li>
                            @endif
                            @if (in_array("Settings", $permissionArray))
                                <li>
                                    <a tabindex=-1 @if ($pageSlug == 'settings')
                                        class="active-menu "
                                       @endif href="{{ route('setting.index')}}">Settings</a>
                                </li>
                            @endif
                            <li>
                                <a @if ($pageSlug == 'recalculate')
                                       class="active-menu "
                                   @endif href="{{ route('dashboard.recalculate')}}" tabindex=-1>Re-calculate</a>
                            </li>
                            <!--<li>
                                <a class="" href="#"><i></i>Party balance</a>
                            </li>-->
                        </ul>
                    @endif
                </div>
                <div class="col-md-1">
                    <a href="{{ route('logout')}}" class="btn btn-primary square-btn-adjust"
                       style="color: white;margin: 15px 0;font-size: 16px;" tabindex=-1>Logout</a>
                </div>
            </div>
        </div>
    </nav>
</header>
