<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>
@php
    $pendingVatavList = $data['pendingVatavList'];
    $receivedVatavList = $data['receivedVatavList'];
    $paidVatavList = $data['paidVatavList'];
    $confirmVatavList = $data['confirmVatavList'];
@endphp
<div class="table-responsive">
    @if(!empty($pendingVatavList))
        <table class="table table-striped table-bordered table-hover" id="dataTables2">
            <caption>Pending</caption>
            <thead>
            <tr>
                <th>Date</th>
                <th>Details</th>
                <th>Amount</th>
                <th>Balance</th>
            </tr>
            </thead>
            <tbody>
            @foreach ($pendingVatavList as $_pendingVatavList)
                <tr>
                    <td>{{ $_pendingVatavList->date }}</td>
                    <td><b>Rbranch: </b>{{ $_pendingVatavList->opp }} <br/>
                        <b>Sname: </b>{{ $_pendingVatavList->sender_name }} <br/>
                        <b>Scontact: </b>{{ $_pendingVatavList->sender_contact }} <br/>
                        <b>Rname: </b>{{ $_pendingVatavList->receiver_name }} <br/>
                        <b>Rcontact: </b>{{ $_pendingVatavList->receiver_contact }} <br/>
                        <b>SToken: </b>{{ $_pendingVatavList->sender_token }} <br/>
                        <b>RToken: </b>{{ $_pendingVatavList->receiver_token }} <br/>

                    </td>
                    <td>{{ number_format($_pendingVatavList->amount,2,".","") }}</td>
                    <td>{{ number_format($_pendingVatavList->closing_balance,2,".","") }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
        <hr/>
    @endif

    @if(!empty($receivedVatavList))
        <table class="table table-striped table-bordered table-hover" id="dataTables2">
            <caption>Received</caption>
            <thead>
            <tr>
                <th>Date</th>
                <th>Details</th>
                <th>Amount</th>
                <th>Balance</th>
            </tr>
            </thead>
            <tbody>
            @foreach ($receivedVatavList as $_receivedVatavList)
                <tr>
                    <td>{{ $_receivedVatavList->date }}</td>
                    <td><b>Rbranch: </b>{{ $_receivedVatavList->opp }} <br/>
                        <b>Sname: </b>{{ $_receivedVatavList->sender_name }} <br/>
                        <b>Scontact: </b>{{ $_receivedVatavList->sender_contact }} <br/>
                        <b>Rname: </b>{{ $_receivedVatavList->receiver_name }} <br/>
                        <b>Rcontact: </b>{{ $_receivedVatavList->receiver_contact }} <br/>

                    </td>
                    <td>{{ number_format($_receivedVatavList->amount,2,".","") }}</td>
                    <td>{{ number_format($_receivedVatavList->closing_balance,2,".","") }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
        <hr/>
    @endif

    @if(!empty($confirmVatavList))
        <table class="table table-striped table-bordered table-hover" id="dataTables2">
            <caption>Confirm</caption>
            <thead>
            <tr>
                <th>Date</th>
                <th>Details</th>
                <th>Amount</th>
                <th>Balance</th>
            </tr>
            </thead>
            <tbody>
            @foreach ($confirmVatavList as $_confirmVatavList)
                <tr>
                    <td>{{ $_confirmVatavList->date }}</td>
                    <td><b>Rbranch: </b>{{ $_confirmVatavList->opp }} <br/>
                        <b>Sname: </b>{{ $_confirmVatavList->sender_name }} <br/>
                        <b>Scontact: </b>{{ $_confirmVatavList->sender_contact }} <br/>
                        <b>Rname: </b>{{ $_confirmVatavList->receiver_name }} <br/>
                        <b>Rcontact: </b>{{ $_confirmVatavList->receiver_contact }} <br/>

                    </td>
                    <td>{{ number_format($_confirmVatavList->amount,2,".","") }}</td>
                    <td>{{ number_format($_confirmVatavList->closing_balance,2,".","") }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    @endif

    @if(!empty($paidVatavList))
        <table class="table table-striped table-bordered table-hover" id="dataTables2">
            <caption>Paid</caption>
            <thead>
            <tr>
                <th>Date</th>
                <th>Details</th>
                <th>Amount</th>
                <th>Balance</th>
            </tr>
            </thead>
            <tbody>
            @foreach ($paidVatavList as $_paidVatavList)
                <tr>
                    <td>{{ $_paidVatavList->date }}</td>
                    <td><b>Rbranch: </b>{{ $_paidVatavList->opp }} <br/>
                        <b>Sname: </b>{{ $_paidVatavList->sender_name }} <br/>
                        <b>Scontact: </b>{{ $_paidVatavList->sender_contact }} <br/>
                        <b>Rname: </b>{{ $_paidVatavList->receiver_name }} <br/>
                        <b>Rcontact: </b>{{ $_paidVatavList->receiver_contact }} <br/>

                    </td>
                    <td>{{ number_format($_paidVatavList->amount,2,".","") }}</td>
                    <td>{{ number_format($_paidVatavList->closing_balance,2,".","") }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    @endif


</div>