<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <thead>
        <tr>
            <th></th>
            <th>No</th>
            <th>PCode</th>
            <th>PName</th>
            <th>Current Balance</th>
            <th style="border-right-color:black">Close A/C</th>
            <th>PCode</th>
            <th>PName</th>
            <th>Current Balance</th>
            <th>Close A/C</th>
        </tr>
        </thead>
        <tbody>
        @php $negative_sum=0; $positive_sum =0;
        for ($i=0; $i < $arrayCount; $i++) {
          if(isset($negativeArr[$i])){
            $negative_sum += $negativeArr[$i]->closing_balance;
          }
          if(isset($positiveArr[$i])){
            $positive_sum += $positiveArr[$i]->closing_balance;
          }
        @endphp
        <tr>
            <td></td>
            <td>{{ $i + 1 }} </td>
            <td>
                @if (isset($negativeArr[$i]))
                    {{$negativeArr[$i]->code}}
                @endif
            </td>
            <td>
                @if (isset($negativeArr[$i]))
                    @if (strlen($negativeArr[$i]->name) > 20)
                        {{substr($negativeArr[$i]->name, 0, 19)}} ..
                    @else
                        {{$negativeArr[$i]->name}}
                    @endif
                @endif
            </td>
            <td class="text-right">
                @if (isset($negativeArr[$i]))
                    {{number_format($negativeArr[$i]->closing_balance,2,'.','')}}
                @endif
            </td>
            <td style="border-right-color:black">
            @if (isset($negativeArr[$i]))
                <input tabindex=-1 type="checkbox" name="accounts"
                       id="account" @if ($negativeArr[$i]->is_close == 1)
                           checked @endif
                       onchange="accountClosed(this,'{{$negativeArr[$i]->vatav_id}}','{{$negativeArr[$i]->party_id}}')">
                       @endif
            </td>
            <td>
                @if (isset($positiveArr[$i]))
                    {{$positiveArr[$i]->code}}
                @endif

            </td>
            <td>
                @if (isset($positiveArr[$i]))
                    @if (strlen($positiveArr[$i]->name) > 20)
                        {{substr($positiveArr[$i]->name, 0, 19)}} ..
                    @else
                        {{$positiveArr[$i]->name}}
                    @endif
                @endif
            </td>
            <td class="text-right">
            @if (isset($positiveArr[$i]))
                    {{ number_format($positiveArr[$i]->closing_balance,2,'.','')}}
            @endif
            </td>
            <td>
            @if (isset($positiveArr[$i]))
                <input tabindex=-1 type="checkbox" name="accounts"
                       id="account" @if ($positiveArr[$i]->is_close == 1) checked
                       @endif
                       onchange="accountClosed(this,'{{$positiveArr[$i]->vatav_id}}','{{$positiveArr[$i]->party_id}}')" />
                       @endif
            </td>
        </tr>
        @php } @endphp
        </tbody>
        <tr>
            <td></td>
            <td></td>
            <td class="text-right"><b>Total</b></td>
            <td class="text-right">{{number_format($negative_sum, 2, '.', '')}}</td>
            <td style="border-right-color:black"></td>
            <td></td>
            <td class="text-right"><b>Total</b></td>
            <td class="text-right">{{number_format($positive_sum, 2, '.', '') }}</td>
            <td></td>
        </tr>
        <tr>
            <td class="text-right" colspan="7"><b>Difference</b></td>
            <td class="text-right">{{number_format(($negative_sum + $positive_sum), 2, '.', '')}}</td>
            <td></td>
        </tr>
    </table>
</div>
<script>
</script>
