<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }
    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }
    th {
        background-color: #444444;
        color:#fff !important;
    }
</style>

@php
    if (isset($_GET['sorting'])){
        $sorting = explode("#",$_GET['sorting']);
    }else{
        $sorting[0] = "";
        $sorting[1] = "";
    }
@endphp

<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap m-5">
    <div class="col-md-6">
        <div class="panel panel-default">
            <div class="panel-body">
                <table style="border-collapse:collapse;" width="100%" id="dataTablesMonth">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>Date</th>
                            <th>Total vatav</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php $i=1;$total = 0; @endphp
                        @foreach ($vatavList as $key => $value)
                            @php $total += $value; @endphp
                            <tr>
                                <td>{{ $i }}</td>
                                <td>{{ $key }}</td>
                                <td>{{ number_format($value, 2, ".", "") }}</td>
                            </tr>
                            @php $i++; @endphp
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <td></td>
                            <td>Total</td>
                            <td> {{ number_format($total,2,'.','') }}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>