<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td,
    th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }

    tr:focus {
        background: #000;
    }

    input[type="checkbox"]:focus {
        outline: 5px Solid rgb(59, 153, 252);
    }

    .secondthead {
        background-color: white;
        color: #4c5252 !important;
    }

    td {
        font-weight: bold;
    }

    .link-edit {
        text-decoration: underline;
        cursor: pointer;
        color: #428bca;
    }

    .table-responsive {
        /* width:100%;
        overflow-x: scroll; */
    }
</style>
<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-striped table-bordered dataTable display nowrap" style="border-collapse:collapse;width:100%;" id="dataTables">
                        <thead>
                            <tr>
                                <th></th>
                                <th>Date</th>
                                    <th>Serial No.</th>
                                <th>Sender</th>
                                <th>Receiver</th>
                                <th>Amount</th>
                                <th>User</th>
                                <th>Sender Name</th>
                                <th>Sender Contact</th>
                                <th>Receiver Name</th>
                                <th>Receiver Contact</th>
                                <th>Remarks</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allParties as $key => $_allParties)
                            <tr>
                                <td>{{ $key+1 }}</td>
                                <td>{{ date("d-m-Y", strtotime($_allParties['date'])) ?? NULL}}</br>{{ date("h:i:s A", strtotime($_allParties['date'])) }} </td>
                                <td>
                                    {{ $_allParties['serial_no'] ?? NULL}}
                                </td>
                                <td id="td-right-align">{{ $_allParties['sender'] ?? NULL}}</td>
                                <td id="td-right-align">{{ $_allParties['receiver'] }}</td>
                                <td>{{ number_format($_allParties['amount'],2,'.','') ?? NULL}}</td>
                                <td>{{ $_allParties['entered_by'] ?? NULL}}</td>
                                <td>{{ $_allParties['sender_name'] ?? NULL}}</td>
                                <td>{{ $_allParties['sender_contact'] ?? NULL}}</td>
                                <td>{{ $_allParties['receiver_name'] ?? NULL}}</td>
                                <td>{{ $_allParties['receiver_contact'] ?? NULL}}</td>
                                <td>{{ $_allParties['remarks'] ?? NULL}}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content" id="add_edit_model_div1">

        </div>
    </div>
</div>
