<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>
<table style="border:none">
    <tr>
        <td><b> Date: </b></td>
        <td>{{ $inputs['date'] }}</td>
        <td><b> Downloaded By: </b></td>
        <td>{{ $inputs['downloaded_by'] }}</td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{ date('d-m-Y h:i:s') }}</td>
    </tr>
</table><br><br>
<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="col-md-6">
        <div class="panel panel-default mt-5">
            <div class="panel-body">
                <table style="border-collapse:collapse;" width="100%">
                    <caption>
                        <h1>Vatav Report</h1>
                    </caption>
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>Date</th>
                            <th>Total vatav</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php $i=1; $totalvatav = 0; @endphp
                        @foreach ($vatavList as $key => $value)
                            @php
                                $totalvatav += $value;
                            @endphp
                            <tr>
                                <td>{{ $i }}</td>
                                <td>{{ $key }}</td>
                                <td>{{ number_format($value, "2", ".", "") }}</td>
                            </tr>
                            @php $i++; @endphp
                        @endforeach
                    </tbody>
                    <tr>
                        <td colspan="2" style="text-align:right;"><b>Total</b></td>
                        <td>{{ number_format($totalvatav, "2", ".", "") }}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>