<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>
@php date_default_timezone_set('Asia/Kolkata');
$inputs = $data['inputs'];
$arrCount = $data['arrayCount'];
$positiveArr = $data['positiveArr'];
$negativeArr = $data['negativeArr'];
@endphp
<table style="border: none !important;">
    <tr>
        <td><b> Date: </b></td>
        <td>{{ $inputs['date']}}</td>
    </tr>
    <tr>
        <td><b> Downloaded By: </b></td>
        <td>{{ $inputs['downloaded_by']}}</td>
    </tr>
    <tr>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{date('d-m-Y h:i:s')}}</td>
    </tr>
</table>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <caption><h1>General Report</h1></caption>
        <thead>
            <tr>
                <th>PCode</th>
                <th>PName</th>
                <th>Current Balance</th>
                <th>PCode</th>
                <th>PName</th>
                <th>Current Balance</th>
            </tr>
        </thead>
        <tbody>

        @php $negative_sum=0; $positive_sum =0;
            for ($i=0;$i<$arrCount;$i++) {
              if(isset($negativeArr[$i])){
                $negative_sum += $negativeArr[$i]->closing_balance;
              }
              if(isset($positiveArr[$i])){
                $positive_sum += $positiveArr[$i]->closing_balance;
              }
        @endphp
        <tr>
            <td>
                @if (isset($negativeArr[$i]))
                    {{$negativeArr[$i]->code}}
                @endif
            </td>
            <td>
                @if (isset($negativeArr[$i]))
                    @if (strlen($negativeArr[$i]->name) > 20)
                        {{substr($negativeArr[$i]->name, 0, 19)}} ..

                    @else
                        {{$negativeArr[$i]->name}}
                    @endif
                @endif
            </td>
            <@if (isset($negativeArr[$i]))
                <td>{{ number_format($negativeArr[$i]->closing_balance,2,".","") }}</td>
            @else
                <td></td>
            @endif
            <td>
                @if (isset($positiveArr[$i]))
                    {{$positiveArr[$i]->code}}
                @endif
            </td>
            <td>
                @if (isset($positiveArr[$i]))
                    @if (strlen($positiveArr[$i]->name) > 20)
                        {{substr($positiveArr[$i]->name, 0, 19)}} ..
                    @else
                        {{$positiveArr[$i]->name}}
                    @endif
                @endif
            </td>
            @if (isset($positiveArr[$i]))
                <td>{{ number_format($positiveArr[$i]->closing_balance,2,".","") }}</td>
            @else
                <td></td>
            @endif
        </tr>
        @php } @endphp
        </tbody>
        <tr>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td>{{number_format($negative_sum, '2', '.', '')}} </td>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td> {{number_format($positive_sum, '2', '.', '')}} </td>
        </tr>
    </table>
</div>
