<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>
<table style="border:none">
    <tr>
        <td><b>Date Between: </b></td>
        <td><?= $inputs['date'] ?></td>
        <td><b> Downloaded By: </b></td>
        <td><?= $inputs['downloaded_by'] ?></td>
    </tr>
    <tr>
        <td><b>Sender: </b></td>
        <td><?= $inputs['sender'] ?></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td><?= date('d-m-Y h:i:s') ?></td>
    </tr>
</table><br><br/>
<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="col-md-6">
        <div class="panel panel-default">
            <div class="panel-body">
                <table style="border-collapse: collapse;" width="100%">
                    <caption>
                        <h1>Party wise commission Report</h1>
                    </caption>
                    <thead>
                    <tr>
                        <th>No.</th>
                        <th>Date</th>
                        <th>Total vatav</th>
                        <th>Total Commission</th>
                    </tr>
                    </thead>
                    <tbody>
                    @php $i=1; $sum=0; $comm=0; @endphp
                    @foreach ($amountData as $key => $value)
                        @php
                            $sum += $value['party_commission'];
                            $comm += $value['commission'];
                        @endphp
                        <tr>
                            <td>{{ $i }}</td>
                            <td>{{ $key }}</td>
                            <td>{{ number_format($value['party_commission'], "2", ".", "") }}</td>
                            <td>{{ number_format($value['commission'], "2", ".", "") }}</td>
                        </tr>
                        @php $i++; @endphp
                    @endforeach
                    <tr>
                        <td></td>
                        <td>Total</td>
                        <td>{{ number_format($sum, "2", ".", "") }}</td>
                        <td>{{ number_format($comm, "2", ".", "") }}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>