<?php $__env->startSection('title','General Report'); ?>
<?php $__env->startSection('content'); ?>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                <div class="col-md-12">
                        <h2 class="mb-5">General Report</h2>
                    </div>
                    <div class="col-md-12">
                        <form method="post" action="<?php echo e(url('Admin/ajax/get_general_report_list/0')); ?>" id="report"
                              onkeypress="return event.keyCode != 13;">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input type="text" name="date" class="form-control" autocomplete="off"
                                               id="single_date" autofocus/>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label>&nbsp;</label><br/>
                                                <input type="button" id="submit" value="Search"
                                                       class="btn btn-default"/>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label>&nbsp;</label>
                                                <?php
                                                    $permissionArray = session('permissionArray');
                                                ?>
                                                <?php if(in_array("Download",$permissionArray)): ?>
                                                    <input type="submit" id="btnsubmit" style="display:none"
                                                           name="btnsubmit"
                                                           value="Download" class="btn btn-default">
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>
                </div>
            </div>
            <div class="text-center" id="loading-data-list" style="display:none">

                <img src="<?php echo e(asset('public/img/loading.gif')); ?>" height="300"/>
                <h3>Loading...</h3>
                <p>&nbsp;</p>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $('#single_date').datetimepicker({
                format: 'DD-MM-YYYY',
                defaultDate: moment().toDate().getTime(),
                minDate: new Date(2022, 12 - 7, 30)
            }).focus(function () {
                $("#single_date").datetimepicker("show");
            }).focus();
        });
        $('#single_date').blur(function () {
            $("#submit").trigger("click");
        });

        $('#submit').click(function () {
            // $("#list").hide();
            // $('#btnsubmit').css({'display': 'none'});
            $('#loading-data-list').show();
            var formData = $('#report').serialize();

            $.ajax({
                type: "POST",
                url: "<?php echo e(url('Admin/ajax/get_general_report_list/1')); ?>",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#btnsubmit').css({'display': 'block'});

                    var table = $('#dataTables1').DataTable({
                        // DataTables options...
                        "ordering": true,
                        "paging": false,
                        "bInfo": false,
                        "fixedHeader": true,
                        "bPaginate": false,
                        columnDefs: [
                            {visible: false, targets: [0], orderable: false}
                        ]
                    });
                }
            });
        });


        function accountClosed(obj, vatav_id, party_id) {
            let value;
            if ($(obj).prop("checked") == true) {
                value = 1;
            } else {
                value = 0;
            }
            $.ajax({
                type: "POST",
                url: "<?php echo e(url('Admin/ajax/accountClosed')); ?>",
                data: {"value": value, "vatav_id": vatav_id, "party_id": party_id},
                dataType: "json",
                success: function (result) {
                    let dataArray = result.split('##');
                    if (dataArray[0] == 'success') {
                        $('.alert-success').show();
                        $('.alert-success span').html(dataArray[1]);
                        $('.alert-success').delay(7000).fadeOut(500);
                    }
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/user_master',['pageSlug' => 'generalreport'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/report/general.blade.php ENDPATH**/ ?>