
<?php $__env->startSection('title','Edit Party'); ?>
<?php $__env->startSection('content'); ?>
<div id="page-wrapper">
    <div id="page-inner" style="min-height:auto;">
        <ul class="nav nav-tabs">
            <li class="active"><a data-toggle="tab" href="#home">Edit party</a></li>
            <li><a data-toggle="tab" href="#menu2">Add Party Users</a></li>

        </ul>
        <br />
        <div class="tab-content">
            <div id="home" class="tab-pane fade in active">
                <div class="panel panel-default">
                    <div class="panel-heading">
                    </div>
                    <form method="POST" role="form" action="<?php echo e(route('party.update')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="panel-body">
                            <input id="party_id" name="id" type="hidden" class="form-control" value="<?php echo e($allParty->id); ?>" />
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Name</label>
                                    <input name="name" type="text" class="form-control" value="<?= $allParty->name ?>"
                                        id="partyname" required tabindex="1"  />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Code</label>
                                    <input name="code" type="text" class="form-control" value="<?php echo e($allParty->code); ?>"
                                        id="partycode" required tabindex="2"  />
                                    <span id="code-error" style="color:red" class=""></span>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Address</label>
                                    <input name="address" type="text" class="form-control"
                                        value="<?php echo e($allParty->address); ?>" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>City</label>
                                    <input name="city" type="text" class="form-control" value="<?php echo e($allParty->city); ?>" />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label></label>
                                    <div class="checkbox">
                                        <label>
                                            <input id="partnership_firm" type="checkbox" name="is_partnership_firm"
                                                value="1" tabindex=3 <?php if($allParty->partnership_firm == 1): ?>
                                            checked <?php endif; ?>><b>Is Partnership Firm ?</b>
                                        </label>
                                    </div>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2" id="minimum_value_div" style="display:none">
                                    <label>Minimum</label>
                                    <input id="minimum_value" type="text" class="form-control" name="minimum_value"
                                        value="<?php echo e($allParty->minimum); ?>" tabindex=4 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6" id="commision_party_div" style="visibility:hidden">
                                    <label>Commission Party</label>
                                    <select id="commision_party" name="commission_party"
                                        class="form-control chzn-select" tabindex=5>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $partyList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $party): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($party->id); ?>"
                                            <?php echo e($allParty->commission_party == $party->id ? 'selected': ''); ?>>
                                            <?php echo e($party->code); ?> (<?php echo e($party->name); ?>)</option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Phone No.</label>
                                    <input name="phone_no" type="text" class="form-control"
                                        value="<?php echo e($allParty->phone_no); ?>" maxlength="10" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Limit</label>
                                    <input id="limit" name="transfer_limit" type="number" class="form-control"
                                        value="<?php echo e($allParty->transfer_limit); ?>" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Per Label Limit</label>
                                    <input id="per_label_limit" name="per_label_limit" type="number"
                                        class="form-control" value="<?php echo e($allParty->per_label_limit); ?>" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Sender Vatav</label>
                                    <input name="sender_vatav" type="text" class="form-control" tabindex=-1
                                        autocomplete="off" value="<?php echo e($allParty->sender_vatav); ?>" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Receiver Vatav</label>
                                        <input name="receiver_vatav" type="text" class="form-control" tabindex=-1
                                            autocomplete="off" value="<?php echo e($allParty->receiver_vatav); ?>" />
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Username</label>
                                    <input name="username" type="text" class="form-control" tabindex=6
                                        value="<?php echo e($allParty->username); ?>" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Password</label>
                                    <input name="password" type="password" class="form-control" tabindex=7 />
                                    <h6 class="help-block">
                                        if you want to change password then fill up otherwise leave it blank
                                    </h6>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-3">
                                    <label></label>
                                    <div class="checkbox">
                                        <label>
                                            <input id="is_close" type="checkbox" name="is_close" value="1" tabindex=-1
                                                <?php if($allParty->is_close == 1): ?> checked <?php endif; ?>><b>Is Closed
                                                ?</b>
                                        </label>
                                    </div>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-3">
                                    <label>Reference Name</label>
                                    <input name="reference_name" type="text" class="form-control" tabindex=-1
                                        value="<?php echo e($allParty->reference_name); ?>" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-3">
                                    <label>Reference Contact</label>
                                    <input name="reference_contact" type="text" class="form-control" tabindex=-1
                                        value="<?php echo e($allParty->reference_contact); ?>" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="col-md-3 form-group">
                                    <label>Status</label>
                                    <select name="status" class="form-control" tabindex=8>
                                        <option value="active" <?php if($allParty->status == 'active'): ?> selected <?php endif; ?>>
                                            Active
                                        </option>
                                        <option value="inactive" <?php if($allParty->status == 'inactive'): ?> selected <?php endif; ?>>
                                            Inactive
                                        </option>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label></label>
                                    <div class="checkbox">
                                        <label>
                                            <input id="is_receiver_based" type="checkbox" name="is_receiver_based" value="1" tabindex=-1 <?php if($allParty->is_receiver_based == 1): ?> checked <?php endif; ?>>
                                            <b>Is Receiver Based Party ?</b>
                                        </label>
                                    </div>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4" style="display: none;" id="receiver_based_commission">
                                    <label for="receiver_based_commission">Receiver Based Commission</label>
                                    <input name="receiver_based_commission"  value="<?php echo e($allParty->receiver_based_commission); ?>" type="text" class="form-control" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6 form-group">
                                    <button id="submit" type="submit" class="btn btn-default" tabindex=9>Submit</button>
                                    <p class="help-block"></p>
                                </div>
                                <div class="col-md-6 form-group" style="padding-left:350px">
                                    <a href="<?php echo e(route('party.index')); ?>" class="btn btn-primary" tabindex=-1>Cancel</a>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div id="menu1" class="tab-pane fade">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form id="petaPartyForm" name="petaPartyForm">
                            <div class="row">
                                <div class="form-group col-md-12">
                                    <input type="hidden" name="parent_party" id="parent_party" class="form-control"
                                        value="<?php echo e($allParty->id); ?>" />
                                    <input type="hidden" name="peta_party_id" id="peta_party_id" class="form-control" />

                                    <div class="alert alert-success success_msg" style="display:none">
                                        <strong>Success!</strong>Peta Party Added Successfully.
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Name</label>
                                    <input id="peta_party_name" name="peta_party_name" type="text"
                                        class="form-control" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Code</label>
                                    <input id="peta_party_code" name="peta_party_code" type="text"
                                        class="form-control" />
                                    <p class="help-block">
                                        <span id="code-error2" style="color:red" class=""></span>
                                    </p>
                                </div>

                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>City</label>
                                    <input id="peta_party_city" name="peta_party_city" type="text"
                                        class="form-control" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Phone No.</label>
                                    <input id="peta_party_contact" name="peta_party_contact" type="number"
                                        class="form-control" />
                                    <p class="help-block"></p>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-6 form-group">
                                    <button id="save_peta_party" type="button" value="Save Party"
                                        class="btn btn-default" tabindex=5>Save Peta Party
                                    </button>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                        </form>
                        <hr />
                        <div id="peta_party_list">
                            <table class='table table-striped table-bordered dataTable'>
                                <caption>
                                    <h4>Peta Party List</h4>
                                </caption>
                                <thead>
                                    <th>Name</th>
                                    <th>Code</th>
                                    <th>City</th>
                                    <th>Phone No.</th>
                                    <th>Action</th>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div id="menu2" class="tab-pane fade">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="post" id="partyUsersForm" name="partyUsersForm" action="">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="form-group col-md-12">
                                    <input type="hidden" name="parent_party_user" id="parent_party_user"
                                        class="form-control" value="<?php echo e($allParty->id); ?>" />

                                    <div class="alert alert-success success_msg" style="display:none">
                                        <strong>Success!</strong>Party Users Added Successfully.
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Username</label>
                                    <input id="party_user_username" name="party_user_username" type="text"
                                        class="form-control" />
                                    <span id="user-error" style="color:red" class=""></span>

                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Password</label>
                                    <input id="party_user_password" name="party_user_password" type="password"
                                        class="form-control" />
                                    <p class="help-block"></p>
                                </div>

                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Permission: </label><br />&nbsp;
                                    <input name="permissions" type="radio" value="1" />Add &nbsp;&nbsp;
                                    &nbsp;<input name="permissions" type="radio" value="0" checked="checked" />View
                                    <p class="help-block"></p>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-6 form-group">
                                <button id="save_party_user" type="button" value="Save Party"
                                            class="btn btn-default" tabindex=5>Save Party Users
                                    </button>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                        </form>
                        <hr />
                        <div id="party_users_list">
                            <table class='table table-striped table-bordered dataTable'>
                                <caption>
                                    <h4>Party Users List</h4>
                                </caption>
                                <thead>
                                    <th>username</th>
                                    <th>Permission</th>
                                    <th>Action</th>
                                    <!-- <th>City</th>
                                    <th>Phone No.</th> -->
                                    <!-- <th>Action</th> -->
                                </thead>
                                <tbody>
                                  
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- End Form Elements -->
        </div>
    </div>
    <!-- /. ROW  -->
    <!-- /. ROW  -->
</div>
<!-- /. PAGE INNER  -->
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
$(document).ready(function() {
    var pageURL = window.location.href;
    var lastURLSegment = pageURL.substr(pageURL.lastIndexOf('/') + 1);
    //alert(lastURLSegment);
    getPartyUsersList(lastURLSegment);
    if ($("#partnership_firm").prop("checked") == true) {
        //$("#vatav").val('50');
        $("#minimum_value_div").show();
        $("#commision_party_div").css("visibility", "visible");

    } else {
        //$("#vatav").val('40');
        $("#minimum_value_div").hide();
        $("#commision_party_div").css("visibility", "hidden");
    }

    if ($("#is_receiver_based").prop("checked") == true) {
        $("#receiver_based_commission").css("display", "block");
    }
    else
    {
        $("#receiver_based_commission").css("display", "none");
    }
});
$("#is_receiver_based").change(function() {
    if (this.checked) {
        $("#receiver_based_commission").css("display", "block");

    } else {
        $("#receiver_based_commission").css("display", "none");
    }
});
$(document).on("click", ".edit_p", function() {

    var id = $(this).attr('data-attr');
    // var parent_party = $("#parent_party").val();
    // alert(id);alert(parent_party);
    $.ajax({
        type: "GET",
        url: "" + id,
        data: '',
        dataType: "json",
        success: function(result) {
            $("#peta_party_id").val(result.id);
            $("#peta_party_name").val(result.name);
            $("#peta_party_city").val(result.city);
            $("#peta_party_code").val(result.code);
            $("#peta_party_contact").val(result.phone_no);

        }
    });
});
$(document).on("click", ".logout_p", function() {

    let thisEle = $(this);
    let id = $(this).attr('data-attr');
    let txt;
    let r = confirm("Are you sure you want to logout?");
    if (r == true) {
        $.ajax({
            type: "GET",
            url: "<?php echo e(url('/Admin/partyuser/logout_party_users')); ?>/" + id,
            data: '',
            dataType: "json",
            success: function(result) {

                $(thisEle).css({
                    'display': 'none'
                });

            }
        });
    } else {
        txt = "You pressed Cancel!";
    }

});

$("#partnership_firm").change(function() {
    if (this.checked) {
        $("#vatav").val('50');
        $("#minimum_value_div").show();
        $("#commision_party_div").css("visibility", "visible");

    } else {
        $("#vatav").val('40');
        $("#minimum_value_div").hide();
        $("#commision_party_div").css("visibility", "hidden");
    }
});

$("#limit").change(function() {
    let limit = $(this).val();
    $(this).val(parseInt(limit).toFixed(2));
});

$("#per_label_limit").change(function() {
    let per_label_limit = $(this).val();
    $(this).val(parseInt(per_label_limit).toFixed(2));
});

$("#partycode").change(function() {
    let code = $(this).val();
    let party_id = $("#party_id").val();
    $.ajax({
        type: "POST",
        url: "<?php echo e(route('party.check_code_exist_or_not')); ?>",
        data: {
            'code': code,
            'party_id':party_id,
            "_token": "<?php echo e(csrf_token()); ?>",
        },
        // dataType: "json",
            success: function(result) {
                let res = JSON.parse(result);

                // console.log(res);
                if (!res.IsSuccess) {
                    $('#code-error').html(res.Message);
                    $('#partycode').val("");
                    $("#partycode").focus();
                    $('#submit').prop('disabled', true);
                } else {
                    $('#code-error').html('');
                    $('#submit').prop('disabled', false);
                }
            }
    });
});

$("#peta_party_code").change(function() {
    var code = $(this).val();
    $.ajax({
        type: "POST",
        url: "Admin/autovatav/check_code_exist_or_not/",
        data: {
            'code': code
        },
        dataType: "json",
        success: function(result) {
            if (result == 1) {
                $('#code-error2').html('Code is already exist');
                $('#save_peta_party').attr('disabled', 'true');
                $("#peta_party_code").val("");

            } else {
                $('#code-error2').html('');
                $('#save_peta_party').attr('disabled', 'false');
            }

        }
    });
});
// $("#party_user_code").change(function() {
//     var code = $(this).val();
//     $.ajax({
//         type: "POST",
//         url: "<?php echo e(route('partyuser.check_user_exist_or_not')); ?>",
//         data: {
//             'code': code
//         },
//         dataType: "json",
//         success: function(result) {
//             if (result == 1) {
//                 $('#code-error3').html('Code is already exist');
//                 $("#party_user_code").val("");

//             } else {

//                 $('#code-error3').html('');
//             }

//         }
//     });
// });
$('.chosen-toggle').each(function(index) {
    $(this).on('click', function() {

        $(this).parent().find('option').prop('selected', $(this).hasClass('select')).parent().trigger(
            'chosen:updated');
    });
});
$('#selectall').change(function() {
    if ($(this).prop('checked')) {
        $('input').prop('checked', true);
    } else {
        $('input').prop('checked', false);
    }
});
$("#party_user_username").change(function() {
    var uname = $(this).val();
    $.ajax({
        type: "POST",
        url: "<?php echo e(route('partyuser.check_user_exist_or_not')); ?>",
        data: {
            'uname': uname,
            "_token": "<?php echo e(csrf_token()); ?>",
        },
        dataType: "json",
        success: function(result) {
            if (result == 1) {
                $('#user-error').html('user is already exist');
                $("#party_user_username").val("");
            } else {
                $('#user-error').html('');

            }

        }
    });
});

function getPartyUsersList(parent_party) {
    $.ajax({
        type: "GET",
        url: "<?php echo e(route('party.get_party_users_list')); ?>",
        data: {
            'parent_party': parent_party,
            "_token": "<?php echo e(csrf_token()); ?>",
        },
        dataType: "json",
        success: function(result) {
            $("#party_users_list").html("");
            $("#party_users_list").html(result);

        }
    });
}

$("#save_party_user").click(function() {

    var uname = $("#party_user_username").val();
    var pwd = $("#party_user_password").val();


    if (uname == '' || pwd == '') {
        alert("Please fill up all the fields");
        return false;
    }

    var parent_party = $('#parent_party_user').val();
    var formData = $('#partyUsersForm').serialize();
    $.ajax({
        type: "POST",
        url: "<?php echo e(route('partyuser.add')); ?>",
        data: formData,
        dataType: "json",
        success: function(result) {

            getPartyUsersList(parent_party);
            $('#partyUsersForm')[0].reset();
            $(".success_msg").fadeTo(2000, 500).slideUp(500, function() {
                $(".success_msg").slideUp(500);
                $("#peta_party_id").val("");

            });

        }
    });
});

function deleteRow(id) {
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('Admin/partyuser/delete/')); ?>/" + id,
                        data: {"_token": "<?php echo e(csrf_token()); ?>",}, // serializes the form's elements.
                        success: function (data) {
                            var pageURL = window.location.href;
                            var lastURLSegment = pageURL.substr(pageURL.lastIndexOf('/') + 1);
                            //alert(lastURLSegment);
                            getPartyUsersList(lastURLSegment);
                        }
                    });
                } else if (result.dismiss === swal.DismissReason.cancel) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/user_master',['pageSlug' => 'party'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/party/edit.blade.php ENDPATH**/ ?>