<?php $__env->startSection('title','Users'); ?>
<?php $__env->startSection('content'); ?>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row mb-4">
                <div class="col-md-10">
                    <h2 class="fw-normal">User List</h2>
                </div>
                <div class="col-md-2">
                    <a href="<?php echo e(route('user.add')); ?>" class="btn btn-primary" style="float:right;">Add User</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="form-inline dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        User List

                                    </div>
                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered mt-4" style="border-collapse:collapse;"
                                                   id="userList">
                                                <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Company Name</th>
                                                    <th>Company Email</th>
                                                    <th>Company Contact</th>
                                                    <th style="width: 300px;">Action</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php $i=1; ?>
                                                <?php $__currentLoopData = $allCompanies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_allCompanies): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td><?php echo e($i); ?> </td>
                                                        <td><?php echo e($_allCompanies->company_name); ?> </td>
                                                        <td><?php echo e($_allCompanies->company_email); ?></td>
                                                        <td><?php echo e($_allCompanies->company_contact); ?></td>
                                                        <td>
                                                            <a href="<?php echo e(url('Admin/user/edit/'. $_allCompanies->id)); ?>"
                                                               class="btn btn-primary">
                                                                <i class="fa fa-edit "></i> Edit
                                                            </a>
                                                            <?php
                                                                $role = session('role');
                                                                if($_allCompanies !== "superadmin" ){
                                                                  if($role == "superadmin"){
                                                            ?>
                                                            <span class="btn btn-danger"
                                                                  onclick="deleteRow('<?php echo e($_allCompanies->id); ?>');"><i
                                                                    class=" fa fa-trash"></i> Delete</span>
                                                            <?php }  } ?>
                                                            <?php if($_allCompanies->is_loggedin == 1): ?>
                                                                <a href="<?php echo e(url('Admin/user/logout_user/'. $_allCompanies->id)); ?>"
                                                                   class="btn btn-warning text-white"><i
                                                                        class="fas fa-sign-out-alt"></i> Logout</a>
                                                            <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                    <?php $i++; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $('#userList').DataTable({
                responsive: true,
            });
        });

        function deleteRow(id) {
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('Admin/user/delete/')); ?>/" + id,
                        data: {"_token": "<?php echo e(csrf_token()); ?>",}, // serializes the form's elements.
                        success: function (data) {
                            // console.log(data);
                            var response = JSON.parse(data);
                            if (response.IsSuccess) {
                                swalWithBootstrapButtons(
                                    'Deleted!',
                                    'This item has been deleted.',
                                    'success'
                                )
                                location.reload();
                            } else {
                                ShowNotify(response);
                            }
                        }
                    });
                } else if (result.dismiss === swal.DismissReason.cancel) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/user_master',['pageSlug' => 'users'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/company/index.blade.php ENDPATH**/ ?>