<?php
    if (isset($_GET['sorting'])) {
        $sorting = explode("#", $_GET['sorting']);
    } else {
        $sorting[0] = "";
        $sorting[1] = "";
    }
?>

<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="col-md-12">
    <div class="panel panel-default">
            <div class="panel-heading">
                Namu Vatav List
            </div>
            <div class="panel-body">
                <div class="row">
                    <!-- Show limited record -->
                    <div class="col-md-12">
                        <div class="col-md-6">
                        </div>
                        <!-- Show limited record -->
                        <div class="col-md-6">
                            <div id="bootstrapTable_filter" class="dataTables_filter" style="margin-right:-14px">
                                <label>
                                    Search:
                                    <input type="search" class="form-control input-sm" id="search" name="search" value="<?php echo e(isset($search) ? $search : ''); ?>" placeholder="" onchange="get_ajax_data_list(0);">
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <table class="table table-striped table-bordered dataTable" style="border-collapse:collapse;" id="namu">
                    <input type="hidden" id="sorting" name="sorting" value="<?php echo e(isset($_GET['sorting']) ? $_GET['sorting'] : ''); ?>"/>
                    <thead>
                    <tr>
                        <th></th>
                        <th style="width:25px;"
                            <?php if($sorting[0] == 'serial_no' && $sorting[1] == 'serial_no'): ?>
                                class="sorting_asc" onclick="setSorting('serial_no','desc');"
                            <?php elseif($sorting[0] == 'serial_no' && $sorting[1] == 'desc'): ?>
                                class="sorting_desc" onclick="setSorting('serial_no','asc');"
                            <?php else: ?>
                                class="sorting" onclick="setSorting('serial_no','asc');"
                            <?php endif; ?>>
                            Serial no
                        </th>
                        <th style="width:50px;"
                            <?php if($sorting[0] == 'date' && $sorting[1] == 'asc'): ?>
                                class="sorting_asc" onclick="setSorting('date','desc');"
                            <?php elseif($sorting[0] == 'date' && $sorting[1] == 'desc'): ?>
                                class="sorting_desc" onclick="setSorting('date','asc');"
                            <?php else: ?>
                                class="sorting" onclick="setSorting('date','asc');"
                            <?php endif; ?>>
                            Date
                        </th>
                        <!--<th style="width:50px;"
                            <?php if($sorting[0] == 'date' && $sorting[1] == 'asc'): ?>
                                class="sorting_asc" onclick="setSorting('date','desc');"
                            <?php elseif($sorting[0] == 'date' && $sorting[1] == 'desc'): ?>
                                class="sorting_desc" onclick="setSorting('date','asc');"
                            <?php else: ?>
                                class="sorting" onclick="setSorting('date','asc');"
                            <?php endif; ?>>
                            Time
                        </th>-->
                        <th style="width:25px;"
                            <?php if($sorting[0] == 'sender' && $sorting[1] == 'asc'): ?>
                                class="sorting_asc" onclick="setSorting('sender','desc');"
                            <?php elseif($sorting[0] == 'sender' && $sorting[1] == 'desc'): ?>
                                class="sorting_desc" onclick="setSorting('sender','asc');"
                            <?php else: ?>
                                class="sorting" onclick="setSorting('sender','asc');"
                            <?php endif; ?>>
                            Sender
                        </th>
                        <th style="width:25px;"
                            <?php if($sorting[0] == 'receiver' && $sorting[1] == 'asc'): ?>
                                class="sorting_asc" onclick="setSorting('receiver','desc');"
                            <?php elseif($sorting[0] == 'receiver' && $sorting[1] == 'desc'): ?>
                                class="sorting_desc" onclick="setSorting('receiver','asc');"
                            <?php else: ?>
                                class="sorting" onclick="setSorting('receiver','asc');"
                            <?php endif; ?>>
                            Receiver
                        </th>
                        <th style="width:25px;"
                            <?php if($sorting[0] == 'amount' && $sorting[1] == 'asc'): ?>
                                class="sorting_asc" onclick="setSorting('amount','desc');"
                            <?php elseif($sorting[0] == 'amount' && $sorting[1] == 'desc'): ?>
                                class="sorting_desc" onclick="setSorting('amount','asc');"
                            <?php else: ?>
                                class="sorting" onclick="setSorting('amount','asc');"
                            <?php endif; ?>>
                            Amount
                        </th>
                        <th style="width:25px;"
                            <?php if($sorting[0] == 'token' && $sorting[1] == 'asc'): ?>
                                class="sorting_asc" onclick="setSorting('token','desc');"
                            <?php elseif($sorting[0] == 'amount' && $sorting[1] == 'desc'): ?>
                                class="sorting_desc" onclick="setSorting('token','asc');"
                            <?php else: ?>
                                class="sorting" onclick="setSorting('token','asc');"
                            <?php endif; ?>>
                            Token
                        </th>
                        <th class="sorting" onclick="setSorting('1','desc');" style="width: 110px;">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $autovatavList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_autovatavList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $s_code = explode(" (", $_autovatavList->sender);
                            $r_code = explode(" (", $_autovatavList->receiver);
                        ?>
                        <tr style="height:2px;">
                            <td style="width:20px;"><img src="<?php echo e(asset('public/img/details_open.png')); ?>" class="open_details">
                                <img src="<?php echo e(asset('public/img/details_close.png')); ?>"" class="close_details"></td>
                            <td style="width:25px;">
                                    <?php echo e($_autovatavList->serial_no); ?>

                            </td>
                            <td style="width:50px;"><?php echo e(date("d-m-Y", strtotime($_autovatavList->date))); ?> <br/> <?php echo e(date("h:i:s A", strtotime($_autovatavList->date))); ?></td>
<!--                            <td style="width:50px;"><?php echo e(date("h:i:s A", strtotime($_autovatavList->date))); ?></td>-->
                            <td style="width:25px;"><?php echo e($s_code[0]); ?></td>
                            <td style="width:25px;"><?php echo e($r_code[0]); ?></td>
                            <td style="width:25px;" id="td-right-align"><?php echo e(number_format($_autovatavList->amount, 2, '.', '')); ?></td>
                            <td style="width:25px;" id="td-right-align"><?php echo e($_autovatavList->token); ?></td>
                            <td>
                                    <?php if($_autovatavList->ho_approve == 0): ?>
                                        <a id="approve_entry" style="margin-left:1px; padding: 0px 5px !important" data-attr="<?php echo e($_autovatavList->id); ?>" class="btn btn-primary"><i class="fa fa-edit"></i>Approve</a>
                                    <?php endif; ?>
                                    <span class="btn btn-danger" onclick="deleteRow('<?php echo e($_autovatavList->id); ?>');"><i class=" fa fa-trash"></i> Delete</span>
                            </td>
                        </tr>
                        <tr class="details-control">
                            <td colspan=7>
                                Receiver Name: <?php echo e($_autovatavList->receiver_name); ?><br/>
                                Receiver Contact: <?php echo e($_autovatavList->receiver_contact); ?><br/>
                                Adhar NUmber: <?php echo e($_autovatavList->s_adhar_number); ?><br/>
                                Sender Name: <?php echo e($_autovatavList->sender_name); ?><br/>
                                Sender Contact: <?php echo e($_autovatavList->sender_contact); ?><br/>
                            </td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-5">
            <input type="hidden" id="startRow" value="<?php echo e($data['startRow']); ?>">
            <div class="dataTables_info">Showing <?php echo e($data['startRow']); ?> to <?php echo e($data['endRow']); ?> of <?php echo e($data['tableTotalRows']); ?> entries</div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        setTimeout(function () {
            $('.alert-success').fadeOut('fast');
        }, 5000);
    });

    $(".open_details").delegate("on", "click", function () {
        alert();
    });

</script>
<?php /**PATH /var/www/html/angdemo_new/resources/views/pages/namu/ajax_pagination.blade.php ENDPATH**/ ?>