<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td,
    th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>

<?php
if (isset($_GET['sorting'])){
$sorting = explode("#",$_GET['sorting']);
}else{
$sorting[0] = "";
$sorting[1] = "";
}
?>
<div class="panel panel-default mt-5">
    <div class="panel-body">
        <b> Total Vatav: </b><?php echo e(number_format($sumData, "2", ".", "")); ?>

        <br />
        <hr />
        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table table-striped table-bordered table-hover" width="100%" id="dataTables1">
                        <thead>
                            <tr>
                                <th>No.</th>
                                <th>Sr No.</th>
                                <th>Date</th>
                                <th>Time</th>
                                <th>Sender</th>
                                <th>Receiver</th>
                                <th>Amount</th>
                                <th>Vatav</th>
                                <th>Username</th>
                                <th>Remarks</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i=1; $vatav_sum = 0; ?>
                            <?php $__currentLoopData = $vatavList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_vatavList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                            $vatav_sum += $_vatavList->o_vatav;
                            $sender = explode('(', $_vatavList->sender);
                            $receiver = explode('(', $_vatavList->receiver);
                            ?>
                            <tr>
                                <td><?php echo e($i); ?></td>
                                <td><?php echo e($_vatavList->serial_no); ?></td>
                                <td><?php echo e(date("d-m-Y", strtotime($_vatavList->date))); ?></td>
                                <td><?php echo e(date("h:i:s A", strtotime($_vatavList->date))); ?></td>
                                <td><?php echo e($sender[0]); ?></td>
                                <td><?php echo e($receiver[0]); ?></td>
                                <td align="right"><?php echo e(number_format($_vatavList->amount, 2, ".", "")); ?></td>
                                <td align="right"><?php echo e(number_format($_vatavList->o_vatav, 2, '.', '')); ?></td>
                                <td><?php echo e($_vatavList->entered_by); ?></td>
                                <td><?php echo e((strlen($_vatavList->remarks) > 20) ? substr($_vatavList->remarks, 0, 19)."..." : $_vatavList->remarks); ?></td>
                            </tr>
                            <?php $i++; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td style="text-align: right"><b>Total</b></td>
                                <td align="right"><?php echo e(number_format($sumData, 2, '.', '')); ?></td>
                                <td></td>
                                <td></td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/party/vatavrangereport.blade.php ENDPATH**/ ?>