<?php $__env->startSection('title', 'Settings'); ?>
<?php $__env->startSection('content'); ?>
<div id="page-wrapper">
    <div id="page-inner">
        <div class="row">
            <div class="col-md-10">
                <h2 class="fw-normal mb-5">Setting List</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box-body" id="ajax_data_list">
                    <div id="bootstrapTable_wrapper" class="form-inline dt-bootstrap">
                        <div class="col-md-12">
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered mt-4" style="border-collapse:collapse;"
                                            id="settingList">
                                            <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Title</th>
                                                    <th>Value</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php $__currentLoopData = $settingList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $_settingList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td><?php echo e($key + 1); ?> </td>
                                                        <td><?php echo e($_settingList->title); ?></td>
                                                        <td><?php echo e($_settingList->value); ?> </td>
                                                        <td>
                                                            <a href="<?php echo e(url('Admin/setting/edit/' . $_settingList->id)); ?>"
                                                                class="btn btn-primary">
                                                                <i class="fa fa-edit "></i> Edit
                                                            </a>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function () {
        $('#settingList').DataTable();
    });

    // function deleteRow(id) {
    //     swalWithBootstrapButtons({
    //         title: 'Are you sure?',
    //         text: "Once deleted, you will not be able to recover this record!",
    //         type: 'warning',
    //         showCancelButton: true,
    //         confirmButtonText: 'Yes, delete',
    //         cancelButtonText: 'No, cancel'
    //     }).then((result) => {
    //         if (result.value) {
    //             $.ajax({
    //                 type: "POST",
    //                 url: "<?php echo e(url('Admin/setting/delete/')); ?>/" + id,
    //                 data: { "_token": "<?php echo e(csrf_token()); ?>",}, // serializes the form's elements.
    //                 success: function (data) {
    //                     // console.log(data);
    //                     let response = JSON.parse(data);
    //                     if (response.IsSuccess) {
    //                         swalWithBootstrapButtons(
    //                             'Deleted!',
    //                             'This item has been deleted.',
    //                             'success'
    //                         )
    //                         location.reload();
    //                     } else {
    //                         ShowNotify(response);
    //                     }
    //                 }
    //             });
    //         } else if (result.dismiss === swal.DismissReason.cancel) {
    //             swalWithBootstrapButtons(
    //                 'Cancelled',
    //                 'Your record is safe! :)',
    //                 'error'
    //             )
    //         }
    //     })
    // }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/user_master', ['pageSlug' => 'settings'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/setting/index.blade.php ENDPATH**/ ?>