
<?php $__env->startSection('title','Add Manual Entry'); ?>
<?php $__env->startSection('content'); ?>
<div id="page-wrapper">
    <div id="page-inner" style="min-height:auto;">
        <div class="row">
            <div class="col-md-12">
                <h2 class="mb-5">Add Manual Entry</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <form method="POST" id="manualvatavadd" role="form" action="<?php echo e(route('manualvatav.store')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="panel-body">
                            <div class="row">
                                <div class="form col-md-6">
                                    <label>Date</label>
                                    <input name="date" type="text" class="form-control" id="datetimepicker1" tabindex="-1" required />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-2">
                                    <label>Sender</label>
                                    <select id="sender" name="sender" class="form-control chzn-select" tabindex="1" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $partList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($val['id']); ?>"><?php echo e($val['value']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label></label>
                                    <input id="sender_limit" name="sender_limit" type="hidden" class="form-control" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label></label>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label>Current Balance</label>
                                    <input name="sender_opening_balance" id="sender_opening_balance" type="text" class="form-control" tabindex="-1" readonly />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label>Total Amount</label>
                                    <input name="sender_vatav_percentage" id="sender_vatav_percentage" type="hidden" class="form-control" tabindex="-1" readonly />
                                    <input name="sender_vatav_amount" id="sender_vatav_amount" type="hidden" class="form-control" tabindex="-1" readonly />
                                    <input name="sender_total_amount" id="sender_total_amount" type="text" class="form-control" tabindex="-1" readonly />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label>Closing Balance</label>
                                    <input name="sender_closing_balance" id="sender_closing_balance" type="text" class="form-control" tabindex="-1" readonly />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-2">
                                    <label>Receiver</label>
                                    <select id="receiver" name="receiver" class="form-control chzn-select" tabindex="2" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $partList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($val['id']); ?>"><?php echo e($val['value']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label></label>

                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label></label>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label></label>
                                    <input name="receiver_opening_balance" type="text" id="receiver_opening_balance" class="form-control" tabindex="-1" readonly />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label></label>
                                    <input name="receiver_vatav_amount" type="hidden" id="receiver_vatav_amount" tabindex="-1" class="form-control" readonly />
                                    <input name="receiver_total_amount" type="text" id="receiver_total_amount" tabindex="-1" class="form-control" readonly />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label></label>
                                    <input name="receiver_closing_balance" type="text" id="receiver_closing_balance" class="form-control" tabindex="-1" readonly />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Amount</label>
                                    <input name="amount" type="text" id="amount" class="form-control" tabindex="3" required />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Token</label>
                                    <input name="token" type="text" class="form-control" value="<?php echo e($token); ?>" tabindex="-1" />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-3">
                                    <label>Total Vatav</label>
                                    <input name="total_vatav" id="total_vatav" type="text" class="form-control" tabindex="4" required />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-3">
                                    <label>Sender Vatav</label>
                                    <input name="sender_vatav" id="sender_vatav" type="text" class="form-control" tabindex="5" required />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-3">
                                    <label>Receiver Vatav</label>
                                    <input name="receiver_vatav" id="receiver_vatav" type="text" class="form-control" tabindex="6" required />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-3">
                                    <label>Our Vatav</label>
                                    <input name="our_vatav" id="our_vatav" type="text" class="form-control" tabindex="7" readonly />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row" style="display:none">
                                <input name="sender_partnership_firm" id="sender_partnership_firm" type="text" class="form-control" tabindex="-1" readonly />
                                <input name="receiver_partnership_firm" id="receiver_partnership_firm" type="text" class="form-control" tabindex="-1" readonly />
                                <input name="is_receiver_based" id="is_receiver_based" type="text" class="form-control" tabindex="-1" readonly />

                                Sender commission party<input name="sender_commission_party" id="sender_commission_party" type="text" class="form-control" tabindex="-1" readonly />
                                Receiver commission party<input name="receiver_commission_party" id="receiver_commission_party" type="text" class="form-control" tabindex="-1" readonly />
                                Our Vatav<input name="our_vatav1" id="our_vatav1" type="text" class="form-control" tabindex="-1" readonly />
                                Sender Commission<input name="sender_commission" id="sender_commission" type="text" class="form-control" tabindex="-1" readonly />
                                Receiver Commission<input name="receiver_commission" id="receiver_commission" type="text" class="form-control" tabindex="-1" readonly />
                                Receiver Based Commission<input name="receiver_based_commission" id="receiver_based_commission" type="text" class="form-control" tabindex="-1" readonly />
                            </div>
                            <div class="row">
                                <div class="form col-md-6">
                                    <label>Remarks</label>
                                    <input name="remarks" type="text" class="form-control" tabindex="8" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Adhar Number</label>
                                    <input name="s_adhar_number" type="text" class="form-control" tabindex="9" />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Sender Name</label>
                                    <input name="sender_name" type="text" class="form-control" tabindex="10" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Sender Contact</label>
                                    <input name="sender_contact" type="text" class="form-control" tabindex="11" />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Receiver Name</label>
                                    <input name="receiver_name" type="text" class="form-control" tabindex="12" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Receiver Contact</label>
                                    <input name="receiver_contact" type="text" class="form-control" tabindex="13" />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <button type="submit" id="submit" class="btn btn-default" tabindex="14" />
                                    Add More</button>
                                    <button name="testsubmit" id="test_submit" class="btn btn-default" style="display:none" tabindex="-1" >Add More
                                    </button>

                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6" style="padding-left:350px">
                                    <button type="reset" class="btn btn-primary" tabindex="-1" >Reset</button>
                                    <a href="<?php echo e(route('manualvatav.index')); ?>" class="btn btn-primary" tabindex="-1">Cancel</a>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
    if (!count) {
        var count = 0;
    }

    // function to increment value of count variable
    $('#submit').on('click', function(e) {
        count++;
        if (count >= 1) {
            $("#manualvatavadd").submit();
            $('#submit').css('display', 'none');
            $('#test_submit').css('display', 'block');
            $('#test_submit').attr('disabled', 'true');

            //$('#submit').attr('disabled', true);
        }
    });
    $(document).ready(function() {
        $('#submit').attr('disabled', true);
        let is_access =  <?php echo e($is_access); ?>;
        let date = new Date();
        let today = new Date(date.getFullYear(), date.getMonth(), date.getDate());
        if (!is_access) {
            $('#datetimepicker1').datetimepicker({
                format: 'DD-MM-YYYY HH:mm:ss',
                defaultDate: moment().toDate().getTime(),
                minDate: new Date(),
                maxDate: new Date(),
            });
        } else {
            $('#datetimepicker1').datetimepicker({
                format: 'DD-MM-YYYY HH:mm:ss',
                defaultDate: moment().toDate().getTime(),
                minDate: new Date(),
                maxDate: new Date(),
            });
        }
        let isMobile = /iPhone|iPad|iPod|Android/i.test(navigator.userAgent);

        if (isMobile) {
            $("#receiver").select2({
                theme: "classic",
                placeholder: $(this).data('placeholder')
            });
            $("#sender").select2({
                theme: "classic",
                placeholder: $(this).data('placeholder'),
            });
        } else {
            // $("#autovatav_receiver").chosen();
            // $("#autovatav_sender").chosen();
        }
    });
    $(document).on('keypress', function(e) {
        let that = document.activeElement;
        if (e.which == 13) {
            if ($(that).attr("type") == "submit") {
                return true;
            }
            e.preventDefault();
            $('[tabIndex=' + (+that.tabIndex + 1) + ']')[0].focus();
        }

    });
    $("#submit").on('click', function(e) {
        $(this).trigger("blur");
    });

    $("#amount").focusout(function() {
        let n = document.getElementById('amount').value;
        if (isNaN(n)) {
            n = 0;
            $("#amount").val("0.00");
            aField = document.getElementById('amount');
            setTimeout("aField.focus()", 50);
            $('#submit').prop('disabled', true);

        }
        if (n <= 0) {
            aField = document.getElementById('amount');
            setTimeout("aField.focus()", 50);
            $('#submit').prop('disabled', true);
            return false;
        }

    });

    $("#sender").change(function() {
        let code = $(this).val();
        let rcode = $('#receiver').val();

        if (code == rcode) {
            $("#sender").val(0);
            $('#sender').trigger("chosen:updated");
            let val = $("#sender").val();
            if (val == null) {
                $('#sender_chosen a.chosen-single').focus();
                return false;
            }
        }


        $.ajax({
            type: "POST",
            url: "<?php echo e(route('party.get_sender_balance')); ?>",
            data: {
                'code': code,
                "_token": "<?php echo e(csrf_token()); ?>"
            },
            success: function(result) {
                let response = JSON.parse(result);
                if (response.IsSuccess) {
                    let data = response.data;
                    if (data.partnership_firm == 1 && (data.commission_party == null || data.commission_party == "" || data.commission_party == 0)) {
                        alert("Please first choose commission party");
                        $("#sender_opening_balance").val("");
                        $('#submit').prop('disabled', true);
                        return false;
                    }
                    $("#sender_partnership_firm").val(data.partnership_firm);
                    $("#sender_opening_balance").val(data.opening_balance);
                    $("#sender_vatav_percentage").val(data.sender_vatav);
                    $("#sender_limit").val(data.limit);
                    $("#minimum").val(data.minimum);
                    $("#sender_commission_party").val(data.commission_party);
                    let amount = $("#amount").val();
                    if (amount != '' || amount != 0) {
                        $("#amount").change();
                    }
                }

            }
        });
    });

    $("#receiver").change(function() {
        let code = $(this).val();
        let scode = $('#sender').val();

        if (code == scode) {
            $("#receiver").val(0);
            $('#receiver').trigger("chosen:updated");
            let val = $("#receiver").val();
            if (val == null) {
                $('#receiver_chosen a.chosen-single').focus();

                return false;
            }
        }


        $.ajax({
            type: "POST",
            url: "<?php echo e(route('party.get_sender_balance')); ?>",
            data: {
                'code': code,
                "_token": "<?php echo e(csrf_token()); ?>"
            },
            success: function(result) {
                let response = JSON.parse(result);
                if (response.IsSuccess) {
                    let data = response.data;

                    if (data.partnership_firm == 1 && (data.commission_party == null || data.commission_party == "" || data.commission_party == 0)) {
                        alert("Please first choose commission party");
                        $("#receiver_opening_balance").val("");
                        $('#submit').prop('disabled', true);
                        return false;
                    }
                    $("#receiver_partnership_firm").val(data.partnership_firm);
                    $("#is_receiver_based").val(data.partnership_firm);
                    $("#receiver_based_commission").val(data.partnership_firm);
                    $("#receiver_opening_balance").val(data.opening_balance);
                    $("#receiver_vatav_percentage").val(data.receiver_vatav);
                    $("#receiver_commission_party").val(data.commission_party);
                    let amount = $("#amount").val();
                    if (amount != '' || amount != 0) {
                        $("#amount").change();
                    }
                }
            }
        });
    });


    $("#amount").change(function() {

        $('#submit').prop('disabled', true);
        let amount = $(this).val();
        if (amount <= 0) {
            aField = document.getElementById('amount');
            setTimeout("aField.focus()", 50);
            $('#submit').prop('disabled', true);
            return false;
        }

        if (isNaN(amount)) {
            $("#amount").val("0.00");
            $("#amount").focus();
            return false;

        }

        let slimit = $('#sender_limit').val().split('.').join("");
        let newval = parseFloat($("#amount").val()).toFixed(2);
        $('#amount').val(newval);
        let newamount = newval.split('.').join("");
        let sender_vatav = $('#sender_vatav').val();
        let receiver_vatav = $('#receiver_vatav').val();
        let total_vatav = $('#total_vatav').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_balance = $('#receiver_opening_balance').val();

        let sendercode = $('#sender').val();
        let receivercode = $('#receiver').val();

        let checksenderlimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));


        $.ajax({
            type: "POST",
            url: "<?php echo e(route('manualvatav.calculate_vatav')); ?>",
            data: {
                'amount': newamount,
                'sender_vatav': sender_vatav * 100,
                'receiver_vatav': receiver_vatav * 100,
                'total_vatav': total_vatav * 100,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'sendercode': sendercode,
                'receivercode': receivercode,
                "_token": "<?php echo e(csrf_token()); ?>",
                "flag":0
            },
            success: function(result) {
                let response = JSON.parse(result);
                if (response) {
                    $("#receiver_total_amount").val('-' + (response.receiver_total_amount / 100).toFixed(2));
                    $("#sender_total_amount").val((response.sender_total_amount / 100).toFixed(2));
                    $("#sender_closing_balance").val((response.sender_closing_balance / 100).toFixed(2));
                    $("#receiver_closing_balance").val((response.receiver_closing_balance / 100).toFixed(2));
                    $("#sender_vatav").val((response.sender_vatav_amount / 100).toFixed(2));
                    $("#receiver_vatav").val((response.receiver_vatav_amount / 100).toFixed(2));
                    $("#our_vatav").val((response.our_vatav / 100).toFixed(2));
                    $("#sender_commission").val((response.sender_commission_amount / 100).toFixed(2));
                    $("#receiver_commission").val((response.receiver_commission_amount / 100).toFixed(2));
                    //  $('#submit').prop('disabled', false);
                    let sopening_bal = $("#sender_opening_balance").val();
                    let ropening_bal = $("#receiver_opening_balance").val();
                    if (sopening_bal == '' || ropening_bal == '') {
                        $('#submit').prop('disabled', true);
                    } else {
                        $('#submit').prop('disabled', false);
                    }
                    //$("#our_vatav").val(result.our_vatav);
                }
            }
        });
    });

    $("#total_vatav").change(function() {

        let total_vatav = parseInt($("#total_vatav").val());
        if (isNaN(total_vatav)) {
            $("#total_vatav").val("0.00");
            $("#total_vatav").focus();
            return false;

        }

        $("#total_vatav").val((total_vatav / 100).toFixed(2));

        let amount = $('#amount').val();
        let slimit = $('#sender_limit').val().split('.').join("");
        let newval = parseFloat($("#amount").val()).toFixed(2);
        //$('#amount').val(newval);
        let newamount = newval.split('.').join("");
        let sender_vatav = $('#sender_vatav').val();
        let receiver_vatav = $('#receiver_vatav').val();
        total_vatav = $('#total_vatav').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_balance = $('#receiver_opening_balance').val();
        let calculate_vatav_on = $(this).val();

        let sendercode = $('#sender').val();

        let receivercode = $('#receiver').val();

        let checksenderlimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));


        $.ajax({
            type: "POST",
            url: "<?php echo e(route('manualvatav.calculate_vatav')); ?>",
            data: {
                'amount': newamount,
                'sender_vatav': sender_vatav * 100,
                'receiver_vatav': receiver_vatav * 100,
                'total_vatav': total_vatav * 100,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'sendercode': sendercode,
                'receivercode': receivercode,
                'flag':0,
                "_token": "<?php echo e(csrf_token()); ?>"

            },
            dataType: "json",
            success: function(result) {
                $("#receiver_total_amount").val('-' + (result.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount").val((result.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance").val((result.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance").val((result.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav").val((result.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav").val((result.receiver_vatav_amount / 100).toFixed(2));
                $("#our_vatav").val((result.our_vatav / 100).toFixed(2));
                $("#sender_commission").val((result.sender_commission_amount / 100).toFixed(2));
                $("#receiver_commission").val((result.receiver_commission_amount / 100).toFixed(2));
                //  $('#submit').prop('disabled', false);
                //$("#our_vatav").val(result.our_vatav);

                let sopening_bal = $("#sender_opening_balance").val();
                let ropening_bal = $("#receiver_opening_balance").val();
                if (sopening_bal == '' || ropening_bal == '') {
                    $('#submit').prop('disabled', true);
                } else {
                    $('#submit').prop('disabled', false);
                }

            }
        });
    });

    $("#sender_vatav").change(function() {

        let sender_vatav = parseInt($('#sender_vatav').val());
        if (isNaN(sender_vatav)) {
            $("#sender_vatav").val("0.00");
            $("#sender_vatav").focus();
            return false;

        }
        if (sender_vatav == '') {
            sender_vatav = 0;
        }
        $('#sender_vatav').val((sender_vatav / 100).toFixed(2));

        let amount = $("#amount").val();

        let slimit = $('#sender_limit').val().split('.').join("");

        let newamount = amount.split('.').join("");
        sender_vatav = $('#sender_vatav').val();
        let receiver_vatav = $('#receiver_vatav').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_balance = $('#receiver_opening_balance').val();
        let total_vatav = $('#total_vatav').val();

        let sendercode = $('#sender').val();

        let receivercode = $('#receiver').val();

        let checksenderlimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));

        $.ajax({
            type: "POST",
            url: "<?php echo e(route('manualvatav.calculate_vatav')); ?>",
            data: {
                'amount': newamount,
                'sender_vatav': sender_vatav * 100,
                'receiver_vatav': receiver_vatav * 100,
                'total_vatav': total_vatav * 100,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'sendercode': sendercode,
                'receivercode': receivercode,
                'flag':1,
                "_token": "<?php echo e(csrf_token()); ?>"
            },
            dataType: "json",
            success: function(result) {
                $("#receiver_total_amount").val('-' + (result.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount").val((result.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance").val((result.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance").val((result.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav_amount").val((result.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav_amount").val((result.receiver_vatav_amount / 100).toFixed(2));
                $("#sender_commission").val((result.sender_commission_amount / 100).toFixed(2));
                $("#receiver_commission").val((result.receiver_commission_amount / 100).toFixed(2));
                //$("#our_vatav").val((result.our_vatav/100).toFixed(2));
                $('#submit').prop('disabled', false);
                $("#our_vatav").val((result.our_vatav / 100).toFixed(2));

                //$("#our_vatav").val(result.our_vatav);

            }
        });
    });

    $("#receiver_vatav").change(function() {

        let receiver_vatav = parseInt($('#receiver_vatav').val());
        if (isNaN(receiver_vatav)) {
            $("#receiver_vatav").val("0.00");
            $("#receiver_vatav").focus();
            return false;

        }
        if (receiver_vatav == '') {
            receiver_vatav = 0;
        }
        $('#receiver_vatav').val((receiver_vatav / 100).toFixed(2));

        let amount = $("#amount").val();

        let slimit = $('#sender_limit').val().split('.').join("");

        let newamount = amount.split('.').join("");
        let sender_vatav = $('#sender_vatav').val();
        receiver_vatav = $('#receiver_vatav').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_balance = $('#receiver_opening_balance').val();
        let total_vatav = $('#total_vatav').val();
        //alert(receiver_vatav);

        let sendercode = $('#sender').val();

        let receivercode = $('#receiver').val();


        let checksenderlimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));


        $.ajax({
            type: "POST",
            url: "<?php echo e(route('manualvatav.calculate_vatav')); ?>",
            data: {
                'amount': newamount,
                'sender_vatav': sender_vatav * 100,
                'receiver_vatav': receiver_vatav * 100,
                'total_vatav': total_vatav * 100,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'sendercode': sendercode,
                'receivercode': receivercode,
                'flag':1,
                "_token": "<?php echo e(csrf_token()); ?>"
            },
            dataType: "json",
            success: function(result) {
                $("#receiver_total_amount").val('-' + (result.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount").val((result.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance").val((result.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance").val((result.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav_amount").val((result.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav_amount").val((result.receiver_vatav_amount / 100).toFixed(2));
                $("#sender_commission").val((result.sender_commission_amount / 100).toFixed(2));
                $("#receiver_commission").val((result.receiver_commission_amount / 100).toFixed(2));
                $("#our_vatav").val((result.our_vatav / 100).toFixed(2));
                $('#submit').prop('disabled', false);
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/user_master',['pageSlug' => 'manualvatav'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/manual/add.blade.php ENDPATH**/ ?>