<header>
    <nav class="navbar navbar-default navbar-cls-top " role="navigation" style="margin-bottom: 0">
        <div class="navbar-header" style="background-color: #4d4d4d">
            <div class="row">
                <div class="col-md-2">
                    <a class="navbar-brand" href="<?php echo e(route('dashboard')); ?>" tabindex=-1>
                        <?php echo e(env('APP_NAME','Smart Cal')); ?>

                    </a>
                </div>
                <div class="col-md-9">
                    <?php
                        $permissionArray = session('permissionArray');
                        $is_party_loggedin = 0;
                    ?>
                    <?php if($is_party_loggedin == 1): ?>
                        <ul class="main-navigation">
                            <li>
                                <a tabindex=-1 class="active-menu" href="<?php echo e(route('report.general')); ?>" accesskey="g">General
                                    (alt+g)</a>
                            </li>
                        </ul>
                    <?php else: ?>
                        <ul class="main-navigation">
                            <li>
                                <a tabindex=-1 <?php if($pageSlug == 'profile'): ?> class="active-menu "
                                   <?php endif; ?> href="<?php echo e(route('profile.details')); ?>">Profile</a>
                            </li>
                            <?php if(in_array("Party",$permissionArray) || in_array("Mobileparty",$permissionArray)): ?>
                                <li>
                                    <a tabindex=-1 class="<?php if($pageSlug == 'party' || $pageSlug == 'mobileparty'): ?> active-menu <?php endif; ?>"
                                       href="#"><i></i>Party</a>
                                    <ul class="sub-menu">
                                        <?php if(in_array("Party", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'party'): ?> class="active-menu "
                                                   <?php endif; ?> href="<?php echo e(route('party.index')); ?>">Party</a>
                                                <a style="display:none" href="<?php echo e(route('party.add')); ?>"
                                                   class="btn btn-primary"
                                                   style="float:right;" accesskey="o">Add Party</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Mobileparty", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'mobileparty'): ?> class="active-menu "
                                                   <?php endif; ?> href="<?php echo e(route('mobileparty.index')); ?>"> Mobile Party</a>
                                            </li>
                                        <?php endif; ?>
                                    </ul>
                                </li>
                            <?php endif; ?>

                            <?php if(in_array("Autovatav", $permissionArray) || in_array("Manualvatav", $permissionArray) || in_array("Normalvatav", $permissionArray) || in_array("Namu", $permissionArray)): ?>
                                <li>
                                    <a tabindex=-1
                                       <?php if($pageSlug == 'autovatav' || $pageSlug == 'manualvatav' || $pageSlug == 'normalvatav' || $pageSlug == 'namu'): ?> class="active-menu "
                                       <?php endif; ?> href="#">Label Entry</a>
                                    <ul class="sub-menu">
                                        <?php if(in_array("Autovatav", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'autovatav'): ?> class="active-menu "
                                                   <?php endif; ?> href="<?php echo e(route('autovatav.index')); ?>">Auto Entry (alt+a)</a>
                                                <a tabindex=-1 style="display:none" href="<?php echo e(route('autovatav.add')); ?>"
                                                   accesskey="a">Auto Entry</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Manualvatav", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'manualvatav'): ?> class="active-menu "
                                                   <?php endif; ?> href="<?php echo e(route('manualvatav.index')); ?>">Manual Entry
                                                    (alt+m)</a>
                                                <a tabindex=-1 style="display:none" href="<?php echo e(route('manualvatav.add')); ?>"
                                                   accesskey="m">Manual Entry</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Normalvatav", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'normalvatav'): ?> class="active-menu "
                                                   <?php endif; ?> href="<?php echo e(route('normalvatav.index')); ?>">Havala Entry
                                                    (alt+n)</a>
                                                <a tabindex=-1 style="display:none" href="<?php echo e(route('normalvatav.add')); ?>"
                                                   accesskey="n">Havala Entry</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Namu", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'namu'): ?> class="active-menu "
                                                   <?php endif; ?> href="<?php echo e(route('namu.index')); ?>">Namu (alt+x)</a>
                                                <a tabindex=-1 style="display:none" href="<?php echo e(route('namu.add')); ?>"
                                                   accesskey="x">Namu</a>
                                            </li>
                                        <?php endif; ?>
                                    </ul>
                                </li>
                            <?php endif; ?>
                            <?php if(in_array("Generalreport", $permissionArray) || in_array("Partyreport", $permissionArray) || in_array("Dayreport", $permissionArray) || in_array("Dayentryreport", $permissionArray) || in_array("Cityreport", $permissionArray) || in_array("Partytopartyreport", $permissionArray) || in_array("Vatavreport", $permissionArray) || in_array("Labelreport", $permissionArray) || in_array("Partywiseinterestreport", $permissionArray) || in_array("Interestreport", $permissionArray) || in_array("Partywiseledger", $permissionArray) || in_array("Partywisecommissionreport", $permissionArray)
                                || in_array("Partywisecommissionreport",$permissionArray) || in_array("Vatavreport",$permissionArray)): ?>
                                <li>
                                    <a tabindex=-1
                                       <?php if($pageSlug == 'generalreport' || $pageSlug == 'partyreport' || $pageSlug == 'dayreport' || $pageSlug == 'dayentryreport' || $pageSlug == 'cityreport' || $pageSlug == 'partytopartyreport' || $pageSlug == 'vatavreport' || $pageSlug == 'labelreport' || $pageSlug == 'partywisecommission' || $pageSlug == 'deletedentryreport'  || $pageSlug == 'vatavrangereport' || $pageSlug == 'searchreport' || $pageSlug == 'partycommissionreport' || $pageSlug == 'commissionreport'): ?> class="active-menu "
                                       <?php endif; ?> href="#">
                                        Report
                                    </a>
                                    <ul class="sub-menu">
                                        <?php if(in_array("Generalreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'generalreport'): ?> class="active-menu "
                                                   <?php endif; ?>  href="<?php echo e(route('report.general')); ?>" accesskey="g">General
                                                    (alt+g)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Partyreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'partyreport'): ?> class="active-menu "
                                                   <?php endif; ?>  href="<?php echo e(route('report.party')); ?>" accesskey="p">Party
                                                    (alt+p)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Partywiseledger", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'partywiseledger'): ?> class="active-menu "
                                                   <?php endif; ?>  href="<?php echo e(route('report.partywiseledger')); ?>" accesskey="k">Party
                                                    Wise Ledger
                                                    (alt+k)</a>
                                            </li>
                                        <?php endif; ?>

                                        <?php if(in_array("Dayreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'dayreport'): ?>
                                                    class="active-menu "
                                                   <?php endif; ?>  href="<?php echo e(route('report.day')); ?>" accesskey="y">Day (alt+y)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Dayentryreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'dayentryreport'): ?>
                                                    class="active-menu "

                                                   <?php endif; ?>  href="<?php echo e(route('report.dayentry')); ?>" accesskey="h">Day Entry
                                                    (alt+h)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Cityreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'cityreport'): ?>
                                                    class="active-menu "

                                                   <?php endif; ?>  href="<?php echo e(route('report.city')); ?>" accesskey="c">City
                                                    (alt+c)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Partytopartyreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'partytopartyreport'): ?>
                                                    class="active-menu "

                                                   <?php endif; ?>  href="<?php echo e(route('report.partytoparty')); ?>" accesskey="s">Party
                                                    to
                                                    Party
                                                    (alt+s)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Vatavreport", $permissionArray)): ?>
                                            <li>
                                                <a href="#" <?php if($pageSlug == 'vatavreport' || $pageSlug == 'vatavrangereport'): ?>
                                                    class="active-menu "
                                                        <?php endif; ?>
                                                >Vatav
                                                </a>
                                                <ul class="sub-menu">
                                                    <li>
                                                        <a tabindex=-1 <?php if($pageSlug == 'vatavreport'): ?>
                                                            class="active-menu "

                                                           <?php endif; ?>  href="<?php echo e(route('report.vatav')); ?>" accesskey="v">Daywise
                                                            Report
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a tabindex=-1 <?php if($pageSlug == 'vatavrangereport'): ?>
                                                            class="active-menu "

                                                           <?php endif; ?>  href="<?php echo e(route('report.vatavrange')); ?>">Rangewise
                                                            Report
                                                        </a>
                                                    </li>
                                                </ul>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Labelreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'labelreport'): ?>
                                                    class="active-menu "

                                                   <?php endif; ?>  href="<?php echo e(route('report.labelcount')); ?>" accesskey="l">Label
                                                    Count
                                                    (alt+l)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("CommissionReport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'commissionreport'): ?>
                                                    class="active-menu "

                                                   <?php endif; ?>  href="<?php echo e(route('report.commissionreport')); ?>">Commission
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Partywiseinterestreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'partywiseinterestreport'): ?>
                                                    class="active-menu "
                                                   <?php endif; ?>  href="<?php echo e(route('report.partywiseinterestreport')); ?>"
                                                   accesskey="j">Party wise Interest Report (alt+j)
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("Interestreport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'interestreport'): ?>
                                                    class="active-menu "
                                                   <?php endif; ?>  href="<?php echo e(route('report.interestreport')); ?>"
                                                   accesskey="i">Interest Report (alt+i)
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("PartywiseCommission", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1
                                                   <?php if($pageSlug == 'partycommissionreport'): ?>
                                                       class="active-menu "
                                                   <?php endif; ?>
                                                   href="<?php echo e(route('report.partywisecommissionreport')); ?>" accesskey="w">Party
                                                    Wise commission (alt+w)</a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("DeletedEntryReport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'deletedentryreport'): ?>
                                                    class="active-menu "

                                                   <?php endif; ?>  href="<?php echo e(route('report.deletedentryreport')); ?>">Deleted Entry
                                                    Report
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                        <?php if(in_array("SearchReport", $permissionArray)): ?>
                                            <li>
                                                <a tabindex=-1 <?php if($pageSlug == 'searchreport'): ?>
                                                    class="active-menu "

                                                   <?php endif; ?>  href="<?php echo e(route('report.searchreport')); ?>" accesskey="b">Search
                                                    Report
                                                    (alt+b)</a>
                                            </li>
                                        <?php endif; ?>
                                    </ul>
                                </li>
                            <?php endif; ?>
                            <?php if(in_array("Users", $permissionArray)): ?>
                                <li>
                                    <a tabindex=-1 <?php if($pageSlug == 'users'): ?> class="active-menu "
                                       <?php endif; ?> href="<?php echo e(route('user.index')); ?>"><i accesskey="u"></i>Users</a>
                                </li>
                            <?php endif; ?>
                            <li>
                                <a <?php if($pageSlug == 'help'): ?>
                                       class="active-menu "
                                   <?php endif; ?> href="<?php echo e(route('help.details')); ?>" tabindex=-1>Help</a>
                            </li>

                            <?php if(in_array("Notices", $permissionArray)): ?>
                                <li>
                                    <a tabindex=-1 <?php if($pageSlug == 'notices'): ?>
                                        class="active-menu "
                                       <?php endif; ?> href="<?php echo e(route('notice.index')); ?>">Notices</a>
                                </li>
                            <?php endif; ?>
                            <?php if(in_array("Settings", $permissionArray)): ?>
                                <li>
                                    <a tabindex=-1 <?php if($pageSlug == 'settings'): ?>
                                        class="active-menu "
                                       <?php endif; ?> href="<?php echo e(route('setting.index')); ?>">Settings</a>
                                </li>
                            <?php endif; ?>
                            <li>
                                <a <?php if($pageSlug == 'recalculate'): ?>
                                       class="active-menu "
                                   <?php endif; ?> href="<?php echo e(route('dashboard.recalculate')); ?>" tabindex=-1>Re-calculate</a>
                            </li>
                            <!--<li>
                                <a class="" href="#"><i></i>Party balance</a>
                            </li>-->
                        </ul>
                    <?php endif; ?>
                </div>
                <div class="col-md-1">
                    <a href="<?php echo e(route('logout')); ?>" class="btn btn-primary square-btn-adjust"
                       style="color: white;margin: 15px 0;font-size: 16px;" tabindex=-1>Logout</a>
                </div>
            </div>
        </div>
    </nav>
</header>
<?php /**PATH /var/www/html/angdemo_new/resources/views/navbars/sidebar.blade.php ENDPATH**/ ?>