<?php $__env->startSection('title', 'Recalculate'); ?>
<?php $__env->startSection('content'); ?>
    <div id="page-wrapper">
        <form method="post" action="<?php echo e(route('dashboard.calculate')); ?>" id="report" onkeypress="return event.keyCode != 13;">
            <?php echo csrf_field(); ?> <!-- Add CSRF token field -->
            <div id="page-inner">
                <div class="row">
                    <div class="col-md-12">
                        <h2>Recalculate Balance</h2>
                    </div>
                </div>
                <br/>
                <hr/>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Date</label>
                            <input type="text" name="date" class="form-control" id="single_date" autofocus/>
                            <p class="help-block"></p>
                        </div>
                        <input type="submit" id="submit" value="Search" class="btn btn-default">
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div id="page-inner">
        <div class="row">
            <div class="col-md-10">
                <div id="list"></div>
            </div>
        </div>
        <div class="text-center" id="loading-data-list" style="display:none">
            <img src="<?php echo e(asset('public/img/loading.gif')); ?>" height="300"/>
            <h3>Loading...</h3><p>&nbsp;</p>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $('#single_date').datetimepicker({
                format: 'DD-MM-YYYY',
                defaultDate: moment().toDate().getTime()
            }).focus(function () {
                $("#single_date").datetimepicker("show");
            }).focus();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.user_master', ['pageSlug' => 'recalculate'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/dashboard/recalculate.blade.php ENDPATH**/ ?>