<style>
   table {
       border-collapse: collapse;
       width: 100%;
   }
   td, th {
       border: 1px solid #dddddd;
       text-align: left;
       padding: 8px;
   }
   th {
       background-color: #444444;
       color: #fff !important;
   }
</style>

<div class="panel panel-default mt-5">
    <div class="panel-body">
        <table class="table table-striped table-bordered dataTable" id="dataTables1">
            <thead>
                <tr>
                    <th>No.</th>
                    <th>Sr No.</th>
                    <th style="width:100px !important;">Date</th>
                    <th style="width:135px !important;">Sender</th>
                    <th style="width:135px !important;">Receiver</th>
                    <th>Amount</th>
                    <th>Vatav</th>
                    <th>Commission</th>
                    <th style="width:35px !important;">Username</th>
                    <th style="width:135px !important;">Remarks</th>
                </tr>
            </thead>
            <tbody>
                <?php $vatav_sum = 0; $commission_sum = 0; ?>
                <?php $__currentLoopData = $allPartyList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $_amountData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                        $sender = explode('(', $_amountData->sender);
                        $receiver = explode('(', $_amountData->receiver);
                        $vatav_sum += $_amountData->party_commission;
                        $commission_sum += $_amountData->commission_party_amount;
                        $sname = rtrim($sender[1], ")");
                        $rname = rtrim($receiver[1], ")");
                    ?>
                    <tr>
                        <td><?php echo e($key+1); ?></td>
                        <td><?php echo e($_amountData->serial_no); ?></td>
                        <td style="width:125px !important;">
                            <?php echo e(date("d-m-Y", strtotime($_amountData->date))); ?><br/>
                            <?php echo e(date("h:i:s A", strtotime($_amountData->date))); ?>

                        </td>
                        <td><?php echo e($sname); ?></td>
                        <td><?php echo e($rname); ?></td>
                        <td id="td-right-align"><?php echo e(number_format($_amountData->amount,2,".","")); ?></td>
                        <td id="td-right-align"><?php echo e(number_format($_amountData->party_commission, "2", ".", "")); ?></td>
                        <td id="td-right-align"><?php echo e(number_format($_amountData->commission_party_amount, "2", ".", "")); ?></td>
                        <td style="width:35px !important;"><?php echo e($_amountData->entered_by); ?></td>
                        <td style="width:135px !important;">
                            <?php if(strlen($_amountData->remarks) > 20): ?>
                                <?php echo e(substr($_amountData->remarks, 0, 19) . '..'); ?>

                            <?php else: ?>
                                <?php echo e($_amountData->remarks); ?>

                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
            <?php if(!empty($allPartyList)): ?>
            <tfoot>
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td style="text-align: right"><b>Total</b></td>
                    <td id="td-right-align"><?php echo e(number_format($vatav_sum, '2', '.', '')); ?></td>
                    <td id="td-right-align"><?php echo e(number_format($commission_sum, '2', '.', '')); ?></td>
                    <td></td>
                    <td></td>
                </tr>
            <?php endif; ?>
            </tfoot>
        </table>
    </div>
</div>
<?php /**PATH /var/www/html/angdemo_new/resources/views/pages/party/partywisecommission.blade.php ENDPATH**/ ?>