<?php
    if (isset($data['sorting'])) {
    $sorting = explode("#",$data['sorting']);
    } else {
    $sorting[0] = "";
    $sorting[1] = "";
    }
    $search = $data['search'];
?>
<div class="panel-body">
    <div class="row">
        <div class="col-md-12">
            <div class="col-md-6">
            </div>
            <div class="col-md-6">
                <div id="bootstrapTable_filter"
                     class="dataTables_filter"
                     style="margin-right:-14px">
                    <label>
                        Search:
                        <input type="search"
                               class="form-control input-sm" id="searchApproved"
                               name="search"
                               value="<?php echo e(isset($search) ? $search : ''); ?>"
                               placeholder=""
                               onchange="get_approve_ajax_data_list(0);">
                    </label>
                </div>
            </div>
        </div>
    </div>
    <table class="table table-striped table-bordered dataTable"
           style="border-collapse:collapse;"
           id="autovatavlist">
        <input type="hidden" id="sortingAppoved" name="sorting"
               value="<?php echo e(isset($data['sorting']) ? $data['sorting'] : ''); ?>"/>
        <thead>
        <tr>
            <th style="width:20px;"></th>
            <th style="width:25px;"
                <?php if($sorting[0]=='serial_no' && $sorting[1]=='asc' ): ?> class="sorting_asc"
                onclick="setApprovedSorting('serial_no','desc');"
                <?php elseif($sorting[0]=='serial_no' && $sorting[1]=='desc' ): ?> class="sorting_desc"
                onclick="setApprovedSorting('serial_no','asc');"
                <?php else: ?> class="sorting"
                onclick="setApprovedSorting('serial_no','asc');" <?php endif; ?>>
                Serial no
            </th>
            <th style="width:50px;"
                <?php if($sorting[0]=='date' && $sorting[1]=='asc' ): ?> class="sorting_asc"
                onclick="setApprovedSorting('date','desc');"
                <?php elseif($sorting[0]=='date' && $sorting[1]=='desc' ): ?> class="sorting_desc"
                onclick="setApprovedSorting('date','asc');"
                <?php else: ?> class="sorting"
                onclick="setApprovedSorting('date','asc');" <?php endif; ?>>
                Date
            </th>
            <th style="width:25px;"
                <?php if($sorting[0]=='sender' && $sorting[1]=='asc' ): ?> class="sorting_asc"
                onclick="setApprovedSorting('sender','desc');"
                <?php elseif($sorting[0]=='sender' && $sorting[1]=='desc' ): ?> class="sorting_desc"
                onclick="setApprovedSorting('sender','asc');"
                <?php else: ?> class="sorting"
                onclick="setApprovedSorting('sender','asc');" <?php endif; ?>>
                Sender
            </th>
            <th style="width:25px;"
                <?php if($sorting[0]=='receiver' && $sorting[1]=='asc' ): ?> class="sorting_asc"
                onclick="setApprovedSorting('receiver','desc');"
                <?php elseif($sorting[0]=='receiver' && $sorting[1]=='desc' ): ?> class="sorting_desc"
                onclick="setApprovedSorting('receiver','asc');"
                <?php else: ?> class="sorting"
                onclick="setApprovedSorting('receiver','asc');" <?php endif; ?>>
                Receiver
            </th>
            <th style="width:25px;"
                <?php if($sorting[0]=='amount' && $sorting[1]=='asc' ): ?> class="sorting_asc"
                onclick="setApprovedSorting('amount','desc');"
                <?php elseif($sorting[0]=='amount' && $sorting[1]=='desc' ): ?> class="sorting_desc"
                onclick="setApprovedSorting('amount','asc');"
                <?php else: ?> class="sorting"
                onclick="setApprovedSorting('amount','asc');" <?php endif; ?>>
                Amount
            </th>
            <th style="width:25px;"
                <?php if($sorting[0]=='token' && $sorting[1]=='asc' ): ?> class="sorting_asc"
                onclick="setApprovedSorting('token','desc');"
                <?php elseif($sorting[0]=='amount' && $sorting[1]=='desc' ): ?> class="sorting_desc"
                onclick="setApprovedSorting('token','asc');"
                <?php else: ?> class="sorting"
                onclick="setApprovedSorting('token','asc');" <?php endif; ?>>
                Token
            </th>
            <th class="sorting" onclick="setApprovedSorting('id','desc');"
                style="width: 110px;">
                Action
            </th>
        </tr>
        </thead>
        <tbody>
        <?php $__currentLoopData = $autovatavList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_autovatavList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $s_code = explode(" (", $_autovatavList->sender);
                $r_code = explode(" (", $_autovatavList->receiver);
            ?>
            <tr style="height:2px;">
                <td style="width:20px;"><img
                            src="<?php echo e(asset('public/img/details_open.png')); ?>"
                            class="open_details">
                    <img src="<?php echo e(asset('public/img/details_close.png')); ?>"
                         class=" close_details">
                </td>
                <td style="width:25px;">
                    <?php if($_autovatavList->ho_approve == 0): ?>
                        <span class="btn-link"
                              onclick="addEditEntry('<?php echo e($_autovatavList->id); ?>');"><b><?php echo e($_autovatavList->serial_no); ?></b></span>
                    <?php else: ?>
                        <?php echo e($_autovatavList->serial_no); ?>

                    <?php endif; ?>
                </td>
                <td style="width:50px;"><?php echo e(date("d-m-Y", strtotime($_autovatavList->date))); ?>

                    <br/> <?php echo e(date("h:i:s A", strtotime($_autovatavList->date))); ?>

                </td>
                <td style="width:25px;"><?php echo e($s_code[0]); ?></td>
                <td style="width:25px;"><?php echo e($r_code[0]); ?></td>
                <td style="width:25px;"
                    id="td-right-align"><?php echo e(number_format($_autovatavList->amount,2,'.','')); ?></td>
                <td style="width:25px;"
                    id="td-right-align"><?php echo e($_autovatavList->token); ?></td>
                <td>
                    <?php if($is_access): ?>
                    <span class="btn btn-danger"
                          onclick="deleteRow('<?php echo e($_autovatavList->id); ?>');"><i
                                class=" fa fa-trash"></i> Delete</span>
                    <?php endif; ?>
                </td>
            </tr>
            <tr class="details-control">
                <td colspan=7>
                    Receiver Name: <?php echo e($_autovatavList->receiver_name); ?><br/>
                    Receiver  Contact: <?php echo e($_autovatavList->receiver_contact); ?>

                    <br/>
                    Adhar Number: <?php echo e($_autovatavList->s_adhar_number); ?>

                    <br/>
                    Sender Name: <?php echo e($_autovatavList->sender_name); ?><br/>
                    Sender Contact: <?php echo e($_autovatavList->sender_contact); ?><br/>
                </td>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    <div class="row">
        <div class="col-md-5">
            <?php if(!empty($autovatavList)): ?>
            <div class="dataTables_info">Showing 1 to <?php echo e(count($autovatavList)); ?>

                of <?php echo e(count($autovatavList)); ?> entries
            </div>
            <?php else: ?>
            <div class="dataTables_info">Showing 0 to 0 of 0 entries
            </div>
            <?php endif; ?>
        </div>
        <div class="col-md-6">
        </div>
    </div>
</div><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/autovatav/approve_entry.blade.php ENDPATH**/ ?>