<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use App\Models\PartyUser;

class PartyUserController extends Controller
{

    public function add(Request $request)
    {

        $data = $request->all();
        // dd($data);

        $password = bcrypt($data['party_user_password']);

        $partyuser = new PartyUser();
        $partyuser->username = $data['party_user_username'];
        $partyuser->password = $password;
        $partyuser->parent_party = $data['parent_party_user'];
        $partyuser->permissions = $data['permissions'];
        $partyuser->is_deleted = 0;
        $partyuser->is_logged_in = 0;
        $partyuser->status = 'active';
        $partyuser->save();

//        $userDetails = new User();
//        $userDetails->name = $data['party_user_username'];
//        $userDetails->email = $data['party_user_username'];
//        $userDetails->password = $password;
//        $userDetails->user_type = "user";
//        $userDetails->user_id = $partyuser->id;
//        $userDetails->save();

        $data['msg'] = "Data Inserted Successfully";
        echo json_encode($data);
        exit;
    }

    public function delete($id)
    {
        $partyuser = PartyUser::find($id);
        $partyuser->delete();

        $api_data['status'] = 1;
        $api_data['message'] = "Data Deleted Successfully";
        echo json_encode($api_data);
        exit;
    }

    public function logout_party_users($id)
    {
        $partyuser = PartyUser::find($id);
        $partyuser->is_logged_in = 0;
        $partyuser->update();

        $api_data['status'] = 1;
        $api_data['message'] = "User logout Successfully";
        echo json_encode($api_data);
        exit;
    }

    public function check_user_exist_or_not(Request $request)
    {
        $uname = $request->input('uname');
        $data = PartyUser::where('username', $uname)->first();
        // dd($data);

        if (is_null($data)) {
            $msg = "0";
            echo $msg;
        } else {
            $msg = "1";
            echo $msg;
        }
        exit;
    }
}
