<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Company;
use Illuminate\Contracts\View\Factory;
use Illuminate\Contracts\View\View;
use Illuminate\Foundation\Application;
use Illuminate\Http\Request;

class ProfileController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function details(): View|Application|Factory|\Illuminate\Contracts\Foundation\Application
    {
        // $user = auth()->user();
        $user = Company::find(auth()->user()->id);

        return view('pages.profile.details', compact('user'));
    }
}
