<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Session;
use Illuminate\Http\Request;
use App\Models\Company;
use Illuminate\Http\Response;
use Illuminate\Http\RedirectResponse;
class CheckLoginOrNot
{
    /**
     * @param Request $request
     * @param Closure(Request): (Response|RedirectResponse) $next
     * @return RedirectResponse|Response
     */
    public function handle(Request $request, Closure $next)
    {
        $user = auth()->user();
        $companyDetails = Company::find($user->id);
        // echo "<pre>";
        // print_r($user);
        // exit;
        if ($companyDetails->is_loggedin == 0) {
            Session::forget('login_error');
            return redirect()->route('login');
        }
        return $next($request);
    }
}
