<?php

namespace App\Http\Traits;

trait NotificationTrait
{
    public function android_send_push_notification($notification_arr, $deviceTokenArray): bool|string
    {
//        $access_key = "AAAA8CpnVK8:APA91bFpPEXWPS6O3s0vXClId6XNj3a9ZCxlKYeZXx-cFC2ToCkNquVumN8H4IXMoaOXuQP0mmLJ7mLhuBcaE4uH0GuXfBL8d2MH5e6tjdJyaanestLrfjPdjwV4_98ZuzddHvUbHQJy";
        $access_key = "AAAAsiP7GO4:APA91bEmyGRN0waRbzz0d6rFVHDspL-nyMX9kPcfYaokEfLDGFQ_ZsA4QuECoIAUQ1GgVdtxbK-t_V7yhD_S2-fAnkbOqnp7na2w2zoPn0a3iAAqG7NCrgzB4RHgShbZfxCchO-Jy80K";
        if (is_array($deviceTokenArray)) {
            $registrationIds = $deviceTokenArray;
        } else {
            $registrationIds = array($deviceTokenArray);
        }

        $sound = asset('public/sound/notification.mp3');

        $fields = array(
            'registration_ids' => $registrationIds,
            'notification' => array(
                "body" => $notification_arr['body'],
                "title" => $notification_arr['title'],
                "icon" => "myicon",
               "sound" => "default",
                // "sound" => $sound,
//                "click_action"=>"FCM_PLUGIN_ACTIVITY",
                "click_action" => "OPEN_ACTIVITY_1",
            ),
            'data' => array("type" => $notification_arr['type'], "message" => $notification_arr['msg'])
        );
        $fields = json_encode($fields);

        $headers = array(
            'Authorization: key=' . $access_key,
            'Content-Type: application/json'
        );

        #Send Reponse To FireBase Server
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);

        $result = curl_exec($ch);
        curl_close($ch);


        return $result;
    }

    public function web_send_push_notification($data, $deviceToken): bool|string
    {
//        $access_key='AAAA8CpnVK8:APA91bFpPEXWPS6O3s0vXClId6XNj3a9ZCxlKYeZXx-cFC2ToCkNquVumN8H4IXMoaOXuQP0mmLJ7mLhuBcaE4uH0GuXfBL8d2MH5e6tjdJyaanestLrfjPdjwV4_98ZuzddHvUbHQJy';
        $access_key = 'AAAAsiP7GO4:APA91bEmyGRN0waRbzz0d6rFVHDspL-nyMX9kPcfYaokEfLDGFQ_ZsA4QuECoIAUQ1GgVdtxbK-t_V7yhD_S2-fAnkbOqnp7na2w2zoPn0a3iAAqG7NCrgzB4RHgShbZfxCchO-Jy80K';


        $fields = array(
            'registration_ids' => $deviceToken,
            "notification" => array(
                "body" => $data['body'],
                "title" => $data['title'],
                "icon" => "myicon",
//                "sound" => "default",
                "click_action" => "FCM_PLUGIN_ACTIVITY"
            ),
            'data' => array("type" => $data['type'], "message" => $data['msg'], "data" => $data['data'])
        );
        $fields = json_encode($fields);


        $headers = array(
            'Authorization: key=' . $access_key,
            'Content-Type: application/json'
        );

        #Send Reponse To FireBase Server
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);

        $result = curl_exec($ch);
        curl_close($ch);


        return $result;
    }
}
