<?php

namespace App\Http\Traits;

use App\Models\PartyBalance;

trait PartyBalanceTrait
{
    public function getPartyClosingBalanceFromId($partyId)
    {
        return PartyBalance::where('party_id', $partyId)
            ->orderBy('date', 'desc')
            ->orderBy('id', 'desc')
            ->first();
    }
}