<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Notices extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'notices';
    public $timestamps = true;
    protected $fillable = [
        'notice_value',
        'show_mobile',
        'is_deleted'
    ];
}
