<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Party extends Model
{
    use HasFactory,SoftDeletes;
    protected $table = 'party';
    public $timestamps = true;
    protected $fillable = [
        'code',
        'name',
        'address',
        'city',
        'phone_no',
        'vatav',
        'sender_vatav',
        'receiver_vatav',
        'opening_balance',
        'transfer_limit',
        'username',
        'password',
        'reference_name',
        'reference_contact',
        'partnership_firm',
        'minimum',
        'commission_party',
        'parent_party',
        'is_mobile',
        'is_deleted',
        'is_logged_in',
        'status',
        'is_close',
        'number_of_login',
        'per_label_limit',
    ];
}
