<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('party_user', function (Blueprint $table) {
            $table->id();
            $table->string('username');
            $table->string('password');
            $table->bigInteger('parent_party');
            $table->longText('permissions');
            $table->smallInteger('is_deleted');
            $table->smallInteger('is_logged_in');
            $table->string('status');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('party_user');
    }
};
