@extends('layouts/login_master')
@section('title','Login')
@section('content')
    <!-- login page start -->
    <div id="" style="overflow-x: hidden;">
        <div id="page-inner" style="min-height:auto;">
            <div class="row">
                <div style="margin-left:35%;" class="col-md-4">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Login
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <p style="color:red">{{ session('login_error') }}</p>
                                    <form method="POST" role="form" action="{{ route('login.user') }}">
                                        @csrf
                                        <div class="form-group">
                                            <label>Username</label>
                                            <input name="username" type="text" class="form-control" autofocus=""
                                                   value="{{ old('username') }}"/>
                                            @if ($errors->has('username'))
                                                <span class="text-danger">{{ $errors->first('username') }}</span>
                                            @endif
                                            <p class="help-block"></p>
                                        </div>
                                        <div class="form-group">
                                            <label>Password</label>
                                            <input name="password" type="password" class="form-control"
                                                   value="{{ old('password') }}"/>
                                            @if ($errors->has('password'))
                                                <span class="text-danger">{{ $errors->first('password') }}</span>
                                            @endif
                                            <p class="help-block"></p>
                                        </div>
                                        <input type="hidden" class="form-control" name="token" id="token">
                                        <button type="submit" class="btn btn-default">Submit</button>
                                        <button type="reset" class="btn btn-primary">Reset</button>

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
@endsection
