<style>
    .card .header {
        padding: 20px;
    }

    .custom-col-2 {
        padding-right: 0px;
    }

    @media (min-width: 992px) {
        .modal-lg {
            width: 1200px;
        }
    }

    .form-inline .form-control {
        width: 100%;
    }
</style>
<div class="card">
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="header">
                <h2>Edit</h2>
            </div>
            <div class="body">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-3">
                            <label>Type</label>
                            <select id="type" class="form-control" tabindex=1>
                                <option value="addautovatav" @if ($entryDetails->type == 'auto')
                                    selected
                                        @endif>Auto
                                </option>
                                <option value="manualvatavadd" @if ($entryDetails->type == 'manual')
                                    selected
                                        @endif>Manual
                                </option>
                            </select>
                        </div>
                    </div>
                </div>
                <form class="types" @if ($entryDetails->type == 'auto')  style="display:block"
                      @else
                          style="display:none"
                      @endif method="POST" role="form" id="addautovatav"
                      action="{{url('Admin/autovatav/edit_autovatav')}}">
                    @csrf
                    <input value="{{ $entryDetails->o_vatav}}" name="our_vatav" id="our_vatav" type="hidden"
                           class="form-control" tabindex=-1 readonly/>
                    <input value="{{ $entryDetails->id}}" name="id" id="id" type="hidden" class="form-control"
                           tabindex=-1 readonly/>
                    <input value="auto" name="type" type="hidden">
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group col-md-3">
                                <label>Date</label>
                                <input value="{{ $entryDetails->date}}" name="date" type="text" class="form-control"
                                       id="datetimepicker" tabindex=-1 required readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-2">
                                <label>Sender</label>
                                <input value="{{ $entryDetails->sender_party_id}};" name="sender" tabindex=-1
                                       type="hidden" class="form-control focusControl" id="sender" autocomplete="off"
                                       readonly/>
                                <input value="{{ $entryDetails->sender_code}}" name="sender_code" tabindex=-1
                                       type="text" class="form-control focusControl" id="sender_code" autocomplete="off"
                                       required readonly/>
                                <br/>
                                <span id="sender_party_name">{{ $entryDetails->final_sender_name}}</span>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label></label>
                                <input id="sender_limit" name="sender_limit" type="hidden" class="form-control"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label></label>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Current Balance</label>
                                <input value="{{ $entryDetails->sender_opening_balance}}" name="sender_opening_balance"
                                       id="sender_opening_balance" type="text" class="form-control" tabindex="-1"
                                       readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Total Amount</label>
                                <input value="{{ $entryDetails->sender_vatav_percentage}}"
                                       name="sender_vatav_percentage" id="sender_vatav_percentage" type="hidden"
                                       class="form-control" readonly/>
                                <input value="{{ number_format($entryDetails->s_vatav,2,'.','')}}"
                                       name="sender_vatav_amount"
                                       id="sender_vatav_amount" type="hidden" class="form-control" tabindex="-1"
                                       readonly/>
                                <input value="{{number_format($entryDetails->sender_total_amount,2,'.','')}}"
                                       name="sender_total_amount"
                                       id="sender_total_amount" type="text" class="form-control" tabindex="-1"
                                       readonly/>
                                <input name="sender_commission" id="sender_commission" type="hidden"
                                       class="form-control" tabindex=-1 readonly
                                       value="{{number_format($entryDetails->sender_commission_party_amount,2,'.','')}}"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Closing Balance</label>
                                <input value="{{ number_format($entryDetails->sender_closing_balance,2,'.','')}}"
                                       name="sender_closing_balance"
                                       id="sender_closing_balance" type="text" class="form-control closing_balance"
                                       tabindex="-1" readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-2 custom-col-2">
                                <label>Receiver</label>
                                <input value="{{ $entryDetails->receiver_party_id}}" name="receiver" type="hidden"
                                       class="form-control focusControl" id="receiver" tabindex=2 autocomplete="off"
                                       readonly/>
                                <input value="{{ $entryDetails->receiver_code}}" name="receiver_code" type="text"
                                       class="form-control focusControl" id="receiver_code" tabindex=2 required
                                       autocomplete="off" readonly/>
                                <br/>
                                <span id="receiver_party_name">{{ $entryDetails->final_receiver_name}}</span>
                                <p class="help-block"></p>
                            </div>
                            <input id="receiver_limit" name="receiver_limit" type="hidden" class="form-control"/>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>Amount</label>
                                <input value="{{ number_format($entryDetails->amount,2,'.','')}}" name="amount"
                                       type="number" step="0.01"
                                       id="amount" class="form-control focusControl" tabindex=3 autocomplete="off"
                                       required readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>&nbsp;</label>
                                <input value="{{ $entryDetails->receiver_vatav_percentage}}"
                                       name="receiver_vatav_percentage" id="receiver_vatav_percentage" type="hidden"
                                       class="form-control" readonly/>
                                <input value="{{ number_format($entryDetails->total_vatav_label,2,'.','')}}"
                                       name="vatav_on_receiver" type="text" class="form-control focusControl"
                                       id="vatav_on_receiver" tabindex=4 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>&nbsp;</label>
                                <input value="{{ number_format($entryDetails->receiver_opening_balance,2,'.','')}}"
                                       name="receiver_opening_balance" type="text" id="receiver_opening_balance"
                                       tabindex="-1" class="form-control" readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>&nbsp;</label>
                                <input value="{{ number_format($entryDetails->r_vatav,2,'.','')}}"
                                       name="receiver_vatav_amount" type="hidden"
                                       id="receiver_vatav_amount" tabindex="-1" class="form-control" readonly/>
                                <input value="{{ number_format($entryDetails->receiver_total_amount,2,'.','')}}"
                                       name="receiver_total_amount"
                                       type="text" id="receiver_total_amount" tabindex="-1" class="form-control"
                                       readonly/>
                                <input name="receiver_commission" id="receiver_commission"
                                       type="hidden" class="form-control" tabindex=-1 readonly
                                       value="{{ number_format($entryDetails->receiver_commission_party_amount,2,'.','')}}"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>&nbsp;</label>
                                <input value="{{ number_format($entryDetails->receiver_closing_balance,2,'.','')}}"
                                       name="receiver_closing_balance" type="text" id="receiver_closing_balance"
                                       tabindex="-1" class="form-control closing_balance" readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Sender Name</label>
                                <input value="{{$entryDetails->sender_name}}" name="sender_name" type="text"
                                       class="form-control focusControl" tabindex=5 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Sender Mobile Number</label>
                                <input value="{{$entryDetails->sender_contact}}" name="sender_contact" type="text"
                                       class="form-control focusControl" tabindex=6 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Receiver Name</label>
                                <input value="{{$entryDetails->receiver_name}}" name="receiver_name" type="text"
                                       class="form-control focusControl" tabindex=7 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Receiver Mobile Number</label>
                                <input value="{{ $entryDetails->receiver_contact}}" name="receiver_contact" type="text"
                                       class="form-control focusControl" tabindex=8 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Remarks</label>
                                <input value="{{ $entryDetails->remarks}}" name="remarks" type="text"
                                       class="form-control focusControl" tabindex=9 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>&nbsp;</label>
                                <div>Token : {{ $entryDetails->token}}</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2 ">
                                <input type="submit" id="submit" class="btn btn-default focusControl" value="SAVE"
                                       tabindex=10>
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                                <button type="button" class="btn btn-info focusControl" data-dismiss="modal">CLOSE
                                </button>
                            </div>
                        </div>
                    </div>
                </form>

                <form class="types" @if ($entryDetails->type == 'manual')
                    style="display:block"
                      @else
                          style="display:none"
                      @endif method="POST" id="manualvatavadd" role="form"
                      action="{{url('Admin/autovatav/edit_autovatav')}}">
                    @csrf
                    <input value="{{ $entryDetails->id}}; ?>" name="id" id="id" type="hidden" class="form-control"
                           tabindex=-1 readonly/>
                    <input value="manual" name="type" type="hidden">
                    <div class="panel-body">
                        <div class="row">
                            <div class="form col-md-3">
                                <label>Date</label>
                                <input value="{{ $entryDetails->date}}; ?>" name="date" type="text"
                                       class="form-control" id="datetimepicker_manual" tabindex=-1 required readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-2">
                                <label>Sender</label>
                                <input name="sender" tabindex=-1 type="hidden" class="form-control focusControl"
                                       id="senderManual" autocomplete="off"
                                       value="{{ $entryDetails->sender_party_id}}" readonly/>
                                <input name="sender_code" tabindex=-1 type="text" class="form-control focusControl"
                                       id="sender_codeManual" autocomplete="off" required
                                       value="{{$entryDetails->sender_code}}" readonly/>
                                <br/>
                                <span id="sender_party_name_manual">{{ $entryDetails->final_sender_name}}</span>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label></label>
                                <input id="sender_limit_manual" name="sender_limit" type="hidden" class="form-control"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label></label>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label></label>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Current Balance</label>
                                <input value="{{ $entryDetails->sender_opening_balance}}"
                                       name="sender_opening_balance" id="sender_opening_balance_manual" type="text"
                                       class="form-control" tabindex=-1 readonly/>
                                <input value="{{ $entryDetails->sender_vatav_percentage}}"
                                       name="sender_vatav_percentage" id="sender_vatav_percentage_manual" type="hidden"
                                       class="form-control" tabindex=-1 readonly/>
                                <input value="{{number_format($entryDetails->s_vatav,2,'.','')}}"
                                       name="sender_vatav_amount"
                                       id="sender_vatav_amount_manual" type="hidden" class="form-control" tabindex=-1
                                       readonly/>
                                <input value="{{ number_format($entryDetails->sender_total_amount,2,'.','')}}"
                                       name="sender_total_amount" id="sender_total_amount_manual" type="hidden"
                                       class="form-control" tabindex=-1 readonly/>
                                <input name="sender_commission" id="sender_commission_manual" type="hidden"
                                       class="form-control" tabindex=-1 readonly
                                       value="{{ number_format($entryDetails->sender_commission_party_amount,2,'.','')}}"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Closing Balance</label>
                                <input value="{{ $entryDetails->sender_closing_balance}}"
                                       name="sender_closing_balance" id="sender_closing_balance_manual" type="text"
                                       class="form-control closing_balance" tabindex=-1 readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-2 custom-col-2">
                                <label>Receiver</label>
                                <input value="{{$entryDetails->receiver_party_id}}" name="receiver" type="hidden"
                                       class="form-control focusControl" id="receiverManual" tabindex=11 required
                                       autocomplete="off" readonly/>
                                <input value="{{ $entryDetails->receiver_code}}" name="receiver_code" type="text"
                                       class="form-control focusControl" id="receiver_codeManual" tabindex=11 required
                                       autocomplete="off" readonly/>
                                <br/>
                                <span id="receiver_party_name_manual">{{$entryDetails->final_receiver_name}}</span>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>Amount</label>
                                <input value="{{ number_format($entryDetails->amount,2,'.','')}}" name="amount"
                                       type="number"
                                       step="0.01" id="amount_manual" class="form-control focusControl"
                                       autocomplete="off" tabindex=12 required readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>Total Vatav</label>
                                <input value="{{ number_format($entryDetails->total_vatav_label,2,'.','')}}"
                                       name="total_vatav_label"
                                       type="number" step="0.01" id="total_vatav_labelManual"
                                       class="form-control focusControl" autocomplete="off" tabindex=13 required
                                />
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label></label>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>&nbsp;</label>
                                <input value="{{ number_format($entryDetails->receiver_opening_balance,2,'.','')}}"
                                       name="receiver_opening_balance" type="text" id="receiver_opening_balance_manual"
                                       class="form-control" tabindex=-1 readonly/>
                                <input value="{{ number_format($entryDetails->r_vatav,2,'.','')}}"
                                       name="receiver_vatav_amount"
                                       type="hidden" id="receiver_vatav_amount_manual" tabindex=-1 class="form-control"
                                       readonly/>
                                <input value="{{ number_format($entryDetails->receiver_total_amount,2,'.','')}}"
                                       name="receiver_total_amount" type="hidden" id="receiver_total_amount_manual"
                                       tabindex=-1 class="form-control" readonly/>
                                <input name="receiver_commission" id="receiver_commission_manual"
                                       type="hidden" class="form-control" tabindex=-1 readonly
                                       value="{{ number_format($entryDetails->receiver_commission_party_amount,2,'.','') }}?>"/>

                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>&nbsp;</label>
                                <input value="{{ number_format($entryDetails->receiver_closing_balance,2,'.','')}}"
                                       name="receiver_closing_balance" type="text" id="receiver_closing_balance_manual"
                                       class="form-control closing_balance" tabindex=-1 readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-4">
                                <label>Sender Vatav</label>
                                <input value="{{ number_format($entryDetails->s_vatav,2,'.','')}}" step="0.01"
                                       name="sender_vatav"
                                       id="sender_vatav" type="number" class="form-control focusControl"
                                       autocomplete="off" tabindex=13 required/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-4">
                                <label>Receiver Vatav</label>
                                <input value="{{ number_format($entryDetails->r_vatav,2,'.','')}}" step="0.01"
                                       name="receiver_vatav"
                                       id="receiver_vatav" type="number" class="form-control focusControl"
                                       autocomplete="off" tabindex=14 required/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-4">
                                <label>Our Vatav</label>
                                <input value="{{number_format($entryDetails->o_vatav,2,'.','')}}" step="0.01"
                                       name="our_vatav"
                                       id="our_vatav_manual" type="number"
                                       class="form-control focusControl" autocomplete="off" tabindex=15 readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Sender Name</label>
                                <input value="{{ $entryDetails->sender_name}}" name="sender_name" type="text"
                                       class="form-control focusControl" tabindex=16 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Sender Mobile Number</label>
                                <input value="{{ $entryDetails->sender_contact}}" name="sender_contact"
                                       type="text" class="form-control focusControl" tabindex=17 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Receiver Name</label>
                                <input value="{{ $entryDetails->receiver_name}}" name="receiver_name"
                                       type="text" class="form-control focusControl" tabindex=18 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Receiver Mobile Number</label>
                                <input value="{{$entryDetails->receiver_contact}}" name="receiver_contact"
                                       type="text" class="form-control focusControl" tabindex=19 autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form col-md-6">
                                <label>Remarks</label>
                                <input value="{{ $entryDetails->remarks}}" name="remarks" type="text"
                                       class="form-control focusControl" autocomplete="off" tabindex=20/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>&nbsp;</label>
                                <div>Token : {{ $entryDetails->token}}</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2 ">
                                <input type="submit" id="submitManual" class="btn btn-default focusControl" value="SAVE"
                                       tabindex=21>
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                                <button type="button" class="btn btn-info focusControl" data-dismiss="modal"
                                        tabindex=-1>CLOSE
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script>
    if (!count) {
        var count = 0;
    }
    if (!countManual) {
        var countManual = 0;
    }

    if (!countNormal) {
        var countNormal = 0;
    }

    $(function () {
        $('#type').change(function () {
            $('.types').hide();
            let value = $(this).val();
            if (value == "addautovatav") {
                $('#addautovatav').show();
            } else if (value == "manualvatavadd") {
                $('#manualvatavadd').show();
            } else {
                $('#addautovatav').show();
            }

        });
    });

    $('#submit').on('click', function (e) {
        $("#addautovatav").submit();
    });

    $(document).keydown(function (evt) {
        if (evt.keyCode == 80 && (evt.ctrlKey)) {
            evt.preventDefault();
            $('#myEditModal').modal('show');
        }
    });

    $(function () {
        $(document).on('click', 'input:text:not(input#datetimepicker)', function () {
            this.select();
        });

    });

    $(document).ready(function () {

        $('#datetimepicker').datetimepicker({
            format: 'DD-MM-YYYY HH:mm:ss',
            defaultDate: moment().toDate().getTime(),
        });

        $('#datetimepicker_manual').datetimepicker({
            format: 'DD-MM-YYYY HH:mm:ss',
            defaultDate: moment().toDate().getTime(),
        });

        $('#datetimepicker_normal').datetimepicker({
            format: 'DD-MM-YYYY HH:mm:ss',
            defaultDate: moment().toDate().getTime(),
        });

        let value = $("#type").val();

        if (value == "addautovatav") {
            $("#receiver").focus();
        } else if (value == "manualvatavadd") {
            $('#submitManual').prop('disabled', true);
        } else if (value == "normalvatavadd") {
            $('#submitNormal').prop('disabled', true);
        }

    });

    $(document).on('keypress', function (e) {
        let that = document.activeElement;
        if (e.which == 13) {
            if ($(that).attr("type") == "submit") {
                return true;
            }
            e.preventDefault();
            $('[tabIndex=' + (+that.tabIndex + 1) + ']')[0].focus();
        }
    });

    $("#submit").on('click', function (e) {
        $(this).trigger("blur");
    });

    let dot = 1;

    $("#vatav_on_receiver").change(function () {
        $('#submit').prop('disabled', true);
        let newval = parseFloat(($(this).val()) / 100).toFixed(2);
        $(this).val(newval);

        let amount = $('#amount').val();
        let calculate_vatav_on = $('#vatav_on_receiver').val();
        let sender_percentage = $('#sender_vatav_percentage').val();
        let receiver_percentage = $('#receiver_vatav_percentage ').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_balance = $('#receiver_opening_balance').val();
        let newamt = amount * 100;
        $.ajax({
            type: "POST",
            url: "{{ route('autovatav.calculate_vatav')}}",
            data: {
                'amount': newamt,
                'sender_percentage': sender_percentage,
                'receiver_percentage': receiver_percentage,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'calculate_vatav_on': calculate_vatav_on,
                'flag': 0,
                '_token': '{{ csrf_token() }}'
            },
            dataType: "json",
            success: function (result) {
                $("#receiver_total_amount").val('-' + (result.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount").val((result.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance").val((result.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance").val((result.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav_amount").val((result.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav_amount").val((result.receiver_vatav_amount / 100).toFixed(2));
                $("#our_vatav").val((result.our_vatav / 100).toFixed(2));
                $("#sender_commission").val((result.sender_commission_amount / 100).toFixed(2));
                $("#receiver_commission").val((result.receiver_commission_amount / 100).toFixed(2));
                $('#submit').prop('disabled', false);
            }
        });

    });

    ///// Manual Vatav///////////
    $('#submitManual').on('click', function (e) {
        $("#manualvatavadd").submit();
    });

    $("#total_vatav_labelManual").change(function () {

        let total_vatav = parseInt($("#total_vatav_labelManual").val());
        if (isNaN(total_vatav)) {
            $("#total_vatav_labelManual").val("0.00");
            $("#total_vatav_labelManual").focus();
            return false;

        }

        $("#total_vatav_labelManual").val((total_vatav / 100).toFixed(2));


        let newval = parseFloat($("#amount").val()).toFixed(2);

        let newamount = newval.split('.').join("");
        let sender_vatav = $('#sender_vatav').val();
        let receiver_vatav = $('#receiver_vatav').val();
        total_vatav = $('#total_vatav_labelManual').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_balance = $('#receiver_opening_balance').val();

        let sendercode = $('#sender').val();

        let receivercode = $('#receiver').val();

        let checksenderlimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));


        $.ajax({
            type: "POST",
            url: "{{route('manualvatav.calculate_vatav')}}",
            data: {
                'amount': newamount,
                'sender_vatav': sender_vatav * 100,
                'receiver_vatav': receiver_vatav * 100,
                'total_vatav': total_vatav * 100,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'sendercode': sendercode,
                'receivercode': receivercode,
                'flag': 0,
                "_token": "{{ csrf_token() }}"

            },
            dataType: "json",
            success: function (result) {
                $("#receiver_total_amount").val('-' + (result.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount").val((result.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance").val((result.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance").val((result.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav").val((result.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav").val((result.receiver_vatav_amount / 100).toFixed(2));
                $("#our_vatav").val((result.our_vatav / 100).toFixed(2));
                $("#sender_commission").val((result.sender_commission_amount / 100).toFixed(2));
                $("#receiver_commission").val((result.receiver_commission_amount / 100).toFixed(2));
                //  $('#submit').prop('disabled', false);
                //$("#our_vatav").val(result.our_vatav);

                let sopening_bal = $("#sender_opening_balance").val();
                let ropening_bal = $("#receiver_opening_balance").val();
                if (sopening_bal == '' || ropening_bal == '') {
                    $('#submit').prop('disabled', true);
                } else {
                    $('#submit').prop('disabled', false);
                }

            }
        });
    });

    $("#sender_vatav").change(function () {
        $('#submitManual').prop('disabled', true);

        let sender_vatav = parseInt($('#sender_vatav').val());
        if (isNaN(sender_vatav)) {
            $("#sender_vatav").val("0.00");
            $("#sender_vatav").focus();
            return false;

        }
        if (sender_vatav == '') {
            sender_vatav = 0;
        }
        $('#sender_vatav').val((sender_vatav / 100).toFixed(2));

        let amount = $("#amount_manual").val();

        let newamount = amount.split('.').join("");
        sender_vatav = $('#sender_vatav').val();
        let receiver_vatav = $('#receiver_vatav').val();
        let sender_balance = $('#sender_opening_balance_manual').val();
        let receiver_balance = $('#receiver_opening_balance_manual').val();
        let total_vatav = $('#total_vatav_labelManual').val();


        let sendercode = $('#senderManual').val();
        let receivercode = $('#receiverManual').val();
        let checksenderlimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));

        $.ajax({
            type: "POST",
            url: "{{route('manualvatav.calculate_vatav')}}",
            data: {
                'amount': newamount,
                'total_vatav': total_vatav * 100,
                'sender_vatav': sender_vatav * 100,
                'receiver_vatav': receiver_vatav * 100,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'sendercode': sendercode,
                'receivercode': receivercode,
                'flag': 1,
                "_token": "{{ csrf_token() }}"
            },
            dataType: "json",
            success: function (result) {
                $("#receiver_total_amount_manual").val('-' + (result.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount_manual").val((result.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance_manual").val((result.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance_manual").val((result.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav_amount_manual").val((result.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav_amount_manual").val((result.receiver_vatav_amount / 100).toFixed(2));
                $("#our_vatav_manual").val((result.our_vatav / 100).toFixed(2));
                $("#sender_commission_manual").val((result.sender_commission_amount / 100).toFixed(2));
                $("#receiver_commission_manual").val((result.receiver_commission_amount / 100).toFixed(2));
                $('#submitManual').prop('disabled', false);
            }
        });
    });

    $("#receiver_vatav").change(function () {

        $('#submitManual').prop('disabled', true);

        let receiver_vatav = parseInt($('#receiver_vatav').val());
        if (isNaN(receiver_vatav)) {
            $("#receiver_vatav").val("0.00");
            $("#receiver_vatav").focus();
            return false;

        }
        if (receiver_vatav == '') {
            receiver_vatav = 0;
        }
        $('#receiver_vatav').val((receiver_vatav / 100).toFixed(2));

        let amount = $("#amount_manual").val();

        let slimit = $('#sender_limit_manual').val().split('.').join("");

        let newamount = amount.split('.').join("");
        let sender_vatav = $('#sender_vatav').val();
        receiver_vatav = $('#receiver_vatav').val();
        let sender_balance = $('#sender_opening_balance_manual').val();
        let receiver_balance = $('#receiver_opening_balance_manual').val();
        let sendercode = $('#senderManual').val();
        let receivercode = $('#receiverManual').val();
        let total_vatav = $('#total_vatav_labelManual').val();

        let checksenderlimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));

        $.ajax({
            type: "POST",
            url: "{{route('manualvatav.calculate_vatav')}}",
            data: {
                'amount': newamount,
                'sender_vatav': sender_vatav * 100,
                'receiver_vatav': receiver_vatav * 100,
                'sender_balance': sender_balance,
                'receiver_balance': receiver_balance,
                'sendercode': sendercode,
                'receivercode': receivercode,
                'total_vatav': total_vatav * 100,
                'flag': 1,
                "_token": "{{ csrf_token() }}"
            },
            dataType: "json",
            success: function (result) {
                $("#receiver_total_amount_manual").val('-' + (result.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount_manual").val((result.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance_manual").val((result.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance_manual").val((result.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav_amount_manual").val((result.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav_amount_manual").val((result.receiver_vatav_amount / 100).toFixed(2));
                $("#our_vatav_manual").val((result.our_vatav / 100).toFixed(2));
                $("#sender_commission_manual").val((result.sender_commission_amount / 100).toFixed(2));
                $("#receiver_commission_manual").val((result.receiver_commission_amount / 100).toFixed(2));
                $('#submitManual').prop('disabled', false);
            }
        });
    });
</script>