@php
    if (isset($data['sorting'])) {
    $sorting = explode("#",$data['sorting']);
    } else {
    $sorting[0] = "";
    $sorting[1] = "";
    }
    $search = $data['search'];
@endphp
<div class="panel-body">
    <div class="row">
        <div class="col-md-12">
            <div class="col-md-6">
            </div>
            <div class="col-md-6">
                <div id="bootstrapTable_filter"
                     class="dataTables_filter"
                     style="margin-right:-14px">
                    <label>
                        Search:
                        <input type="search"
                               class="form-control input-sm" id="search"
                               name="search"
                               value="{{ isset($search) ? $search : '' }}"
                               placeholder=""
                               onchange="get_ajax_data_list(0);">
                    </label>
                </div>
            </div>
        </div>
    </div>
    <table class="table table-striped table-bordered dataTable"
           style="border-collapse:collapse;"
           id="pendingAutovatavList">
        <input type="hidden" id="sorting" name="sorting"
               value="{{ isset($data['sorting']) ? $data['sorting'] : '' }}"/>
        <thead>
        <tr>
            <th style="width:20px;"></th>
            <th style="width:25px;"
                @if ($sorting[0]=='serial_no' && $sorting[1]=='asc' ) class="sorting_asc"
                onclick="setSorting('serial_no','desc');"
                @elseif ($sorting[0]=='serial_no' && $sorting[1]=='desc' ) class="sorting_desc"
                onclick="setSorting('serial_no','asc');"
                @else class="sorting"
                onclick="setSorting('serial_no','asc');" @endif>
                Serial no
            </th>
            <th style="width:50px;"
                @if ($sorting[0]=='date' && $sorting[1]=='asc' ) class="sorting_asc"
                onclick="setSorting('date','desc');"
                @elseif ($sorting[0]=='date' && $sorting[1]=='desc' ) class="sorting_desc"
                onclick="setSorting('date','asc');"
                @else class="sorting"
                onclick="setSorting('date','asc');" @endif>
                Date
            </th>
            <th style="width:25px;"
                @if ($sorting[0]=='sender' && $sorting[1]=='asc' ) class="sorting_asc"
                onclick="setSorting('sender','desc');"
                @elseif ($sorting[0]=='sender' && $sorting[1]=='desc' ) class="sorting_desc"
                onclick="setSorting('sender','asc');"
                @else class="sorting"
                onclick="setSorting('sender','asc');" @endif>
                Sender
            </th>
            <th style="width:25px;"
                @if ($sorting[0]=='receiver' && $sorting[1]=='asc' ) class="sorting_asc"
                onclick="setSorting('receiver','desc');"
                @elseif ($sorting[0]=='receiver' && $sorting[1]=='desc' ) class="sorting_desc"
                onclick="setSorting('receiver','asc');"
                @else class="sorting"
                onclick="setSorting('receiver','asc');" @endif>
                Receiver
            </th>
            <th style="width:25px;"
                @if ($sorting[0]=='amount' && $sorting[1]=='asc' ) class="sorting_asc"
                onclick="setSorting('amount','desc');"
                @elseif ($sorting[0]=='amount' && $sorting[1]=='desc' ) class="sorting_desc"
                onclick="setSorting('amount','asc');"
                @else class="sorting"
                onclick="setSorting('amount','asc');" @endif>
                Amount
            </th>
            <th style="width:25px;"
                @if ($sorting[0]=='token' && $sorting[1]=='asc' ) class="sorting_asc"
                onclick="setSorting('token','desc');"
                @elseif ($sorting[0]=='amount' && $sorting[1]=='desc' ) class="sorting_desc"
                onclick="setSorting('token','asc');"
                @else class="sorting"
                onclick="setSorting('token','asc');" @endif>
                Token
            </th>
            <th class="sorting" onclick="setSorting('id','desc');"
                style="width: 110px;">
                Action
            </th>
        </tr>
        </thead>
        <tbody>
        @foreach ($autovatavList as $_autovatavList)
            @php
                $s_code = explode(" (", $_autovatavList->sender);
                $r_code = explode(" (", $_autovatavList->receiver);
            @endphp
            <tr style="height:2px;">
                <td style="width:20px;"><img
                            src="{{asset('public/img/details_open.png')}}"
                            class="open_details">
                    <img src="{{asset('public/img/details_close.png')}}"
                         class=" close_details">
                </td>
                <td style="width:25px;">

                    @if ($_autovatavList->ho_approve == 0)
                        @if($is_access)
                        <span class="btn-link"
                              onclick="addEditEntry('{{ $_autovatavList->id }}');"><b>{{ $_autovatavList->serial_no }}</b></span>
                        @endif
                    @else
                        {{ $_autovatavList->serial_no }}
                    @endif
                </td>
                <td style="width:50px;">{{ date("d-m-Y", strtotime($_autovatavList->date)) }}
                    <br/> {{ date("h:i:s A", strtotime($_autovatavList->date)) }}
                </td>
                <td style="width:25px;">{{ $s_code[0] }}</td>
                <td style="width:25px;">{{ $r_code[0] }}</td>
                <td style="width:25px;"
                    id="td-right-align">{{ number_format($_autovatavList->amount,2,'.','') }}</td>
                <td style="width:25px;"
                    id="td-right-align">{{ $_autovatavList->token }}</td>
                <td>
                    @if($is_access)
                        @if ($_autovatavList->ho_approve == 0)
                            <a id="approve_entry"
                               style="margin-left:1px; padding: 0px 5px !important"
                               data-attr="{{ $_autovatavList->id }}"
                               class="btn btn-primary"><i
                                        class="fa fa-edit"></i>Approve</a>
                        @endif
                        <span class="btn btn-danger"
                              onclick="deleteRow('{{ $_autovatavList->id }}');"><i
                                    class=" fa fa-trash"></i> Delete</span>
                    @endif
                </td>
            </tr>
            <tr class="details-control">
                <td colspan=7>
                    Receiver Name: {{ $_autovatavList->receiver_name }}<br/>
                    Receiver Contact: {{ $_autovatavList->receiver_contact }}
                    <br/>
                    Adhar Number: {{ $_autovatavList->s_adhar_number }}
                    <br/>
                    Sender Name: {{ $_autovatavList->sender_name }}<br/>
                    Sender Contact: {{ $_autovatavList->sender_contact }}<br/>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
    <div class="row">
        <div class="col-md-5">
            @if (!empty($autovatavList))
                <div class="dataTables_info">Showing 1 to {{ count($autovatavList) }}
                    of {{ count($autovatavList) }} entries
                </div>
            @else
                <div class="dataTables_info">Showing 0 to 0 of 0 entries
                </div>
            @endif
        </div>
        <div class="col-md-6">
        </div>
    </div>
</div>
<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content" id="add_edit_model_div1">

        </div>
    </div>
</div>
<script>
    let pendingListTable;
    $(document).ready(function () {
        pendingListTable = $('#pendingAutovatavList');
    });
    // console.log(pendingListTable);
</script>
<script>
    $(document).ready(function () {
        setTimeout(function () {
            $('.alert-success').fadeOut('fast');
        }, 5000);
    });

    function addEditEntry(id) {
        $("#myModal").modal('show');

        $.ajax({
            url: "{{url('Admin/autovatav/entryDetails/')}}/" + id,
            type: "POST",
            data: {"_token": "{{ csrf_token() }}"},
            success: function (data) {
                $("#add_edit_model_div1").html(data).fadeIn(1500);
                $('#loading-indicator').hide();
            }

        });
    }
</script>