<style>
    .card .header {
        padding: 20px;
    }

    .custom-col-2 {
        padding-right: 0;
    }
    .chosen-container{
        width: 100% !important;
    }
</style>
<div class="card">
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="header">
                <h2>Edit</h2>
            </div>
            <div class="body">
                <div class="modal-body">
                    <form class="types"
                          method="POST" role="form" id="addAutoEntry" action="{{route('dashboard.edit_autoentry')}}"
                    >
                        @csrf
                        <input value="{{$entryDetails->o_vatav_ho1}}" name="o_vatav" id="our_vatav" type="hidden"
                               class="form-control" tabindex="-1" readonly/>

                        <input value="{{$entryDetails->id}}" name="id" id="id" type="hidden" class="form-control"
                               tabindex="-1" readonly/>

                        <input value="auto" name="type" type="hidden">

                        <div class="row">
                            <div class="form-group col-md-3">
                                <label>Date</label>
                                <input value="{{$entryDetails->date}}" name="date" type="text" class="form-control"
                                       id="datetimepicker" tabindex="-1" required readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-2">
                                <label>Sender</label>
                                <input value="{{$entryDetails->sender_party_id}}" name="sender" tabindex="-1"
                                       type="hidden" class="form-control focusControl" id="autoentry_sender" autocomplete="off"
                                       readonly/>
                                <input value="{{$entryDetails->sender_code}}" name="sender_code" tabindex="-1"
                                       type="text"
                                       class="form-control focusControl" id="senderCode" autocomplete="off" required
                                       readonly/>
                                <br/>
                                <span id="sender_party_name">{{$entryDetails->final_sender_name}}</span>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label></label>
                                <input id="sender_limit" name="sender_limit" type="hidden" class="form-control"/>
                                <input value="{{$entryDetails->sender_vatav_percentage}}" name="sender_vatav_percentage"
                                       id="sender_vatav_percentage" type="hidden" class="form-control" readonly/>
                                <input value="{{$entryDetails->s_vatav}}" name="sender_vatav_amount"
                                       id="sender_vatav_amount" type="hidden" class="form-control" tabindex="-1"
                                       readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label></label>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Current Balance</label>
                                <input value="{{$entryDetails->sender_opening_balance}}" name="sender_opening_balance"
                                       id="sender_opening_balance" type="text" class="form-control" tabindex="-1"
                                       readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Total Amount</label>

                                <input value="{{$entryDetails->sender_total_amount}}" name="sender_total_amount"
                                       id="sender_total_amount" type="text" class="form-control" tabindex="-1"
                                       readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>Closing Balance</label>
                                <input value="{{$entryDetails->sender_closing_balance}}" name="sender_closing_balance"
                                       id="sender_closing_balance" type="text" class="form-control closing_balance"
                                       tabindex="-1" readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-2 custom-col-2">
                                <label>Receiver</label>
                                <select id="autoentry_receiver" name="receiver" class="form-control chzn-select"
                                        tabindex="2" required style="width:100%">
                                    <option value="">Select</option>
                                    @foreach ($receiverList as $_receiverList)
                                        <option value="{{$_receiverList['id']}}"
                                                @if($entryDetails->receiver_party_id == $_receiverList['id']) selected @endif>{{$_receiverList['value']}}</option>
                                    @endforeach
                                </select>
                                <p class="help-block"></p>
                            </div>
                            <input id="receiver_limit" name="receiver_limit" type="hidden" class="form-control"/>
                            <input value="{{$entryDetails->receiver_vatav_percentage}}" name="receiver_vatav_percentage"
                                   id="receiver_vatav_percentage" type="hidden" class="form-control" readonly/>
                            <input value="{{$entryDetails->r_vatav}}" name="receiver_vatav_amount" type="hidden"
                                   id="receiver_vatav_amount" tabindex="-1" class="form-control" readonly/>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>Amount</label>
                                <input value="{{$entryDetails->amount}}" name="amount" type="number" step="0.01"
                                       id="amount" class="form-control focusControl" tabindex="3" autocomplete="off"
                                       required/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>&nbsp;</label>

                                <input value="@php echo sprintf("%.2f", $entryDetails->total_vatav_label); @endphp"
                                       name="vatav_on_receiver" type="text" class="form-control focusControl"
                                       id="vatav_on_receiver" tabindex="4" autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>&nbsp;</label>
                                <input value="{{$entryDetails->receiver_opening_balance}}"
                                       name="receiver_opening_balance" type="text" id="receiver_opening_balance"
                                       tabindex="-1" class="form-control" readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2 custom-col-2">
                                <label>&nbsp;</label>
                                <input value="{{$entryDetails->receiver_total_amount}}" name="receiver_total_amount"
                                       type="text" id="receiver_total_amount" tabindex="-1" class="form-control"
                                       readonly/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-2">
                                <label>&nbsp;</label>
                                <input value="{{$entryDetails->receiver_closing_balance}}"
                                       name="receiver_closing_balance" type="text" id="receiver_closing_balance"
                                       tabindex="-1" class="form-control closing_balance" readonly/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Sender Name</label>
                                <input value="{{$entryDetails->sender_name}}" name="sender_name" type="text"
                                       class="form-control focusControl" tabindex="5" autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Sender Mobile Number</label>
                                <input value="{{$entryDetails->sender_contact}}" name="sender_contact" type="text"
                                       class="form-control focusControl" tabindex="6" autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Receiver Name</label>
                                <input value="{{$entryDetails->receiver_name}}" name="receiver_name" type="text"
                                       class="form-control focusControl" tabindex="7" autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Receiver Mobile Number</label>
                                <input value="{{$entryDetails->receiver_contact}}" name="receiver_contact" type="text"
                                       class="form-control focusControl" tabindex="8" autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Remarks</label>
                                <input value="{{$entryDetails->remarks}}" name="remarks" type="text"
                                       class="form-control focusControl" tabindex="9" autocomplete="off"/>
                                <p class="help-block"></p>
                            </div>
                            <div class="form-group col-md-6">
                                <label>&nbsp;</label>
                                <div>Token : {{$entryDetails->token}}</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2 ">
                                <input type="submit" id="submit" class="btn btn-default focusControl" value="SAVE"
                                       tabindex="10">
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                                <button type="button" class="btn btn-info focusControl" data-dismiss="modal"
                                        tabindex="-1">CLOSE
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).keydown(function (evt) {
        if (evt.keyCode == 80 && (evt.ctrlKey)) {
            evt.preventDefault();
            $('#myEditModal').modal('show');
        }
    });

    $(document).ready(function () {
        $('#submit').attr('disabled', true);
        $('#amount').focus();

        $('#datetimepicker').datetimepicker({
            format: 'DD-MM-YYYY HH:mm:ss',
            defaultDate: moment().toDate().getTime(),
        });
    });

    $("#autoentry_receiver").change(function () {
        let receivercode = $(this).val();

        let sendercode = $('#autoentry_sender').val();

        if (receivercode == sendercode) {
            $("#autoentry_receiver").val(0);
            $('#autoentry_receiver').trigger("chosen:updated");
            let val = $("#autoentry_receiver").val();
            if (val == null) {
                $('#autoentry_receiver_chosen a.chosen-single').focus();
            }
            $('#submit').prop('disabled', true);
            return false;
        }
        $.ajax({
            type: "POST",
            url: "{{ route('party.get_sender_balance')}}",
            data: {'code': receivercode, "_token": "{{ csrf_token() }}"},
            //  dataType: "json",
            success: function (result) {
                let response = JSON.parse(result);
                if (response.IsSuccess) {
                    let data = response.data;
                    $("#receiver_opening_balance").val(data.opening_balance);
                    $("#receiver_vatav_percentage").val(data.receiver_vatav);
                    let amount = $("#amount").val();
                    if (amount != '' || amount != 0) {
                        $("#amount").change();
                    }
                } else {
                    $('#autoentry_receiver_chosen a.chosen-single').focus();
                    return false;
                }
            }
        });
    });

    $("#amount").focusout(function () {

        $('#submit').prop('disabled', true);
        let amount = $(this).val();
        if (amount == '' || amount == 0 || amount < 0) {
            $(this).focus();
            return false;
        }

        amount = amount.split('.').join('');
        let newval = parseFloat(amount/100).toFixed(2);
        $(this).val(newval);
        let newamount = newval.split('.').join("");
        let sender_percentage = $('#sender_vatav_percentage').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_percentage = $('#receiver_vatav_percentage').val();
        let receiver_balance = $('#receiver_opening_balance').val();


        $.ajax({
            type: "POST",
            url: "{{ route('autoentry.get_price_range')}}",
            data: {
                'amount': newamount,
                '_token': '{{ csrf_token() }}'
            },
            // dataType: "json",
            success: function (result) {
                $("#vatav_on_receiver").val((result / 100).toFixed(2));
                let calculate_vatav_on = result;

                let sendercode = $('#autoentry_sender').val();
                let receivercode = $('#autoentry_receiver').val();

                if (sendercode == receivercode) {
                    $("#autoentry_receiver").val(0);
                    $('#autoentry_receiver').trigger("chosen:updated");
                    let val = $("#autoentry_receiver").val();
                    if (val == null) {
                        $('#autoentry_receiver_chosen a.chosen-single').focus();
                    }
                    $('#submit').prop('disabled', true);
                    return false;
                } else {
                    $("#autoentry_receiver").removeClass("sender-receiver");
                }

                $.ajax({
                    type: "POST",
                    url: "{{ route('autoentry.calculate_vatav')}}",
                    data: {
                        'amount': newamount,
                        'calculate_vatav_on': calculate_vatav_on,
                        'sender_percentage': sender_percentage,
                        'sender_balance': sender_balance,
                        'sendercode': sendercode,
                        'receiver_percentage': receiver_percentage,
                        'receiver_balance': receiver_balance,
                        'receivercode': receivercode,
                        'flag': 1,
                        '_token': '{{ csrf_token() }}'
                    },
                    // dataType: "json",
                    success: function (result) {
                        let response = JSON.parse(result);
                        $("#receiver_total_amount").val('-' + (response.receiver_total_amount / 100).toFixed(2));
                        $("#sender_total_amount").val((response.sender_total_amount / 100).toFixed(2));
                        $("#sender_closing_balance").val((response.sender_closing_balance / 100).toFixed(2));
                        $("#receiver_closing_balance").val((response.receiver_closing_balance / 100).toFixed(2));
                        $("#sender_vatav_amount").val((response.sender_vatav_amount / 100).toFixed(2));
                        $("#receiver_vatav_amount").val((response.receiver_vatav_amount / 100).toFixed(2));
                        $("#vatav_on_receiver").val((response.calculate_vatav_on / 100).toFixed(2));
                        $("#our_vatav").val((response.our_vatav / 100).toFixed(2));
                        $('#submit').prop('disabled', false);

                    }
                });
            }
        });
    });

    $("#vatav_on_receiver").change(function () {
        $('#submit').prop('disabled', true);
        let amount = $('#amount').val();
        let calculate_vatav_on = $('#vatav_on_receiver').val();
        let sender_percentage = $('#sender_vatav_percentage').val();
        let sender_balance = $('#sender_opening_balance').val();
        let receiver_percentage = $('#receiver_vatav_percentage').val();
        let receiver_balance = $('#receiver_opening_balance').val();
        let sendercode = $('#sender').val();
        let receivercode = $('#autoentry_receiver').val();
        let newamt = amount * 100;

        $.ajax({
            type: "POST",
            url: "{{ route('autoentry.calculate_vatav')}}",
            data: {
                'amount': newamt,
                'sender_percentage': sender_percentage,
                'sender_balance': sender_balance,
                'sendercode': sendercode,
                'receiver_percentage': receiver_percentage,
                'receiver_balance': receiver_balance,
                'receivercode': receivercode,
                'calculate_vatav_on': calculate_vatav_on,
                'flag': 0,
                "_token": "{{ csrf_token() }}"
            },
            // dataType: "json",
            success: function (result) {
                let response = JSON.parse(result);
                $("#receiver_total_amount").val('-' + (response.receiver_total_amount / 100).toFixed(2));
                $("#sender_total_amount").val((response.sender_total_amount / 100).toFixed(2));
                $("#sender_closing_balance").val((response.sender_closing_balance / 100).toFixed(2));
                $("#receiver_closing_balance").val((response.receiver_closing_balance / 100).toFixed(2));
                $("#sender_vatav_amount").val((response.sender_vatav_amount / 100).toFixed(2));
                $("#receiver_vatav_amount").val((response.receiver_vatav_amount / 100).toFixed(2));
                $("#our_vatav").val((response.our_vatav / 100).toFixed(2));
                $("#vatav_on_receiver").val((response.calculate_vatav_on / 100).toFixed(2));

                $('#submit').prop('disabled', false);
            }
        });

    });
</script>
