@extends('layouts/user_master',['pageSlug' => 'dashboard'])
@section('title','Dashboard')
@section('content')
@php
$role = session('role');
@endphp
<div id="page-wrapper">
    <div id="page-inner">
        <div class="row">
            <div class="col-md-12">
                <!-- <h2>Welcome!!</h2> -->
            </div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default  @if ($role !== 'superadmin') d-none @endif">
                    <div class="panel-body">
                        <div class="row">
                            <div class="form-group col-md-4">
                                <table class="table table-striped table-bordered dataTable" style="border-collapse:collapse;">
                                    <caption>
                                        <h4>TOP 15 party with Max Balance</h4>
                                    </caption>
                                    <thead>
                                        <tr>

                                            <th>PName</th>

                                            <th>Current Balance</th>

                                        </tr>
                                    </thead>
                                    <tbody>

                                        @foreach ($final_arr as $_allParties)
                                        @if (isset($max_array[$_allParties['id']]))
                                        <tr style="height:2px;">
                                            <td>{{ $_allParties['name'] }}</td>
                                            <td id="td-right-align">
                                                {{ $_allParties['closing_balance'] != '' ? number_format($_allParties['closing_balance'], 2, '.', '') : '0' }}
                                            </td>
                                        </tr>
                                        @endif
                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group col-md-4" style="border-left:5px solid #428bca">
                                <table class="table table-striped table-bordered dataTable" style="border-collapse:collapse;">
                                    <caption>
                                        <h4>TOP 15 party with Min Balance</h4>
                                    </caption>
                                    <thead>
                                        <tr>
                                            <th>PName</th>
                                            <th>Current Balance</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($final_arr as $_allParties)
                                        @if (isset($min_array[$_allParties['id']]))
                                        <tr style="height:2px;">
                                            <td>{{ $_allParties['name'] }}</td>
                                            <td id="td-right-align">
                                                {{ $_allParties['closing_balance'] != '' ? number_format($_allParties['closing_balance'], 2, '.', '') : '0' }}
                                            </td>
                                        </tr>
                                      
                                        @endif
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

@endsection
@section('script')
<script>
    let indexTable;
    $(document).ready(function() {
        $('.dataTable').dataTable({
            "bPaginate": false,
            "order": [[1, 'desc']],
            "searching": false,
            "info": false

        });
    });
</script>
@endsection