@extends('layouts/user_master',['pageSlug' => 'dashboard'])
@section('title','Dashboard')
@section('content')
    @php
        $role = session('role');
    @endphp
    <div id="page-wrapper">
        <form method="post" action="{{ url('Admin/dashboard/updateClosingBalance') }}" id="report"
              onkeypress="return event.keyCode != 13;">
            @csrf
            <div id="page-inner">
                <div class="row">
                    <div class="col-md-12">
                        <h2>Reduce Closing Balance</h2>
                    </div>
                </div>
                <br/>
                <hr/>
                <div class="row">
                    <div class="col-md-12">
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label>Date</label>
                                <input type="text" name="date" class="form-control" id="single_date" autofocus>
                                <p class="help-block"></p>
                            </div>
                        </div>
                        <input type="submit" name="submit" id="submit" value="Search" class="btn btn-default">
                    </div>
                </div>

            </div>

        </form>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {
            $('#single_date').datetimepicker({
                format: 'DD-MM-YYYY',
                defaultDate: moment().toDate().getTime()

            });
        });
    </script>
@endsection