@extends('layouts/user_master',['pageSlug' => 'mobileparty'])
@section('title','Party')
@section('content')
<style>
    .form-group {
        margin-bottom: 0px !important;
    }
</style>
<div id="page-wrapper">
    <div id="page-inner">
        <div class="row">
            <div class="col-md-12">
                <h2></h2>
                <h5></h5>
            </div>
        </div>

        <div class="row">

            <div class="col-md-12">
                <div class="row" style="padding-bottom: 15px;">
                    <div class="col-md-6">
                        <div class="form-grop">
                            <input name="search" type="text" id="maincontent_txtSearchTo" Placeholder="Search..."
                                   class="form-control"/>
                        </div>
                    </div>
                </div>
                <form id="party" method="post" name="party" action="{{route('mobileparty.add')}}">
                    @csrf
                    <div class="row">
                        <?php foreach ($party as $p_list) { ?>
                            <div class="form-group col-md-3">
                                <input tabindex="-1" name="parties[]" type="checkbox" value="<?= $p_list->id ?>"
                                    
                                    @if ($p_list->is_mobile == 0) 
                                        checked
                                    @endif
                                > <label><?= $p_list->name ?></label>
                            </div>
                        <?php } ?>
                    </div>
                    <input type="submit" value="submit" class="btn btn-primary"/>
                </form>
            </div>
        </div>
        @endsection
        @section('script')
        <script>
            $(document).ready(function () {
                $("#maincontent_txtSearchTo").on("keyup", function () {
                    var g = $(this).val().toLowerCase();
                    $("#party input[type='checkbox']").each(function () {
                        var td = $(this).next();
                        var label = td.html();
                        if (label.toLowerCase().indexOf(g) == -1) {
                            $(this).parent().hide();
                        } else {
                            $(this).parent().show();
                        }

                    });
                });
            });
        </script>
@endsection