<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>

<div class="panel panel-default mt-5">
    <div class="panel-body">
        <table class="table table-striped table-bordered dataTable" id="dataTables1">
            <thead>
            <tr>
                <th>No.</th>
                <th style="width:100px !important;">Date</th>
                <th>Sr No.</th>
                <th style="width:135px !important;">Sender</th>
                <th style="width:135px !important;">Receiver</th>
                <th>Amount</th>
                <th>Commission</th>
                <th>Action</th>
                <th style="width:35px !important;">Username</th>
            </tr>
            </thead>
            <tbody>
            @php $i=1; $vatav_sum = 0; $commission_sum = 0; @endphp
            @foreach ($allPartyList as $_amountData)
                @php
                    $sender = explode('(', $_amountData->sender);
                    $receiver = explode('(', $_amountData->receiver);
                    $vatav_sum += $_amountData->party_commission;
                    $commission_sum += $_amountData->commission_party_amount;
                    $sname = rtrim($sender[1], ")");
                    $rname = rtrim($receiver[1], ")");
                @endphp
                <tr>
                    <td>{{ $i }}</td>
                    <td style="width:125px !important;">
                        {{ date("d-m-Y", strtotime($_amountData->date)) }}<br/>
                        {{ date("h:i:s A", strtotime($_amountData->date)) }}
                    </td>
                    <td>{{ $_amountData->serial_no }}</td>
                    <td>{{ $sname }}</td>
                    <td>{{ $rname }}</td>
                    <td id="td-right-align">{{ number_format($_amountData->amount, 2, ".", "") }}</td>
                    <td id="td-right-align">{{ number_format($_amountData->commission_party_amount, 2, ".", "") }}</td>
                    <td>
                        <button class="btn btn-danger" onclick="vatavDelete('{{ $_amountData->id }}',{{$_amountData->serial_no}})"><i class="fa fa-trash"></i> Delete</button>
                    </td>
                    <td style="width:35px !important;">{{ $_amountData->entered_by }}</td>
                </tr>
                @php $i++; @endphp
            @endforeach
            </tbody>
            @if (!empty($allPartyList))
                <tfoot>
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td style="text-align: right"><b>Total</b></td>
                    <td id="td-right-align">{{ number_format($commission_sum, '2', '.', '') }}</td>
                    <td></td>
                    <td></td>
                </tr>
                </tfoot>
            @endif
        </table>
    </div>
</div>
