<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <thead>
        <tr>
            <th></th>
            <th>No</th>
            <th>Code</th>
            <th>Name</th>
            <th style="border-right-color:black">Amount</th>
            <th>Code</th>
            <th>Name</th>
            <th>Amount</th>
        </tr>
        </thead>
        <tbody>
        @php $negative_sum = 0; $positive_sum = 0;
        for ($i = 0;  $i < $arrayCount; $i++ ) {

            if (isset($negativeArray[$i])) {
                $negative_sum += $negativeArray[$i]['total_amount'];
            }
            if (isset($positiveArray[$i])){
                $positive_sum += $positiveArray[$i]['total_amount'];
            }
        @endphp
        <tr>
            <td></td>
            <td>{{ $i+1 }}</td>
            <td>@if(isset($negativeArray[$i]))
                    {{$negativeArray[$i]['code']}}
                @endif</td>
            <td>
                @if(isset($negativeArray[$i]))
                    @if (strlen($negativeArray[$i]['name']) > 20)
                        {{ substr($negativeArray[$i]['name'], 0, 19) }} ..
                    @else
                        {{ $negativeArray[$i]['name'] }}
                    @endif
                @endif
            </td>
            @if (isset($negativeArray[$i]))
                <td style="border-right-color:black">{{ number_format($negativeArray[$i]['total_amount'],2,".","") }}</td>
            @else
                <td style="border-right-color:black"></td>
            @endif
            <td>@if (isset($positiveArray[$i]))
                    {{ $positiveArray[$i]['code'] }}
                @endif
            </td>
            <td>
                @if (isset($positiveArray[$i]))
                    @if (strlen($positiveArray[$i]['name']) > 20)
                        {{ substr($positiveArray[$i]['name'], 0, 19) }} ..
                    @else
                        {{ $positiveArray[$i]['name'] }}
                    @endif
                @endif
            </td>
            @if (isset($positiveArray[$i]))
                <td style="border-right-color:black">{{ number_format($positiveArray[$i]['total_amount'],2,".","") }}</td>
            @else
                <td style="border-right-color:black"></td>
            @endif
        </tr>

        @php } @endphp

        </tbody>
        <tr>
            <td></td>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td style="border-right-color:black">{{ number_format($negative_sum,2, '.', '')}}</td>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td>{{ number_format($positive_sum, 2, '.', '')}} </td>
        </tr>
    </table>

</div>
