<style>
   table {
       border-collapse: collapse;
       width: 100%;
   }
   td, th {
       border: 1px solid #dddddd;
       text-align: left;
       padding: 8px;
   }
   th {
       background-color: #444444;
       color: #fff !important;
   }
</style>

<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap" >
    <div class="col-md-6">
        <div class="panel panel-default">
            <div class="panel-body">
                <table class="table table-striped table-bordered dataTable nowrap" style="border-collapse:collapse;width: 100%" id="dataTablesDay">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>Date</th>
                            <th>Total vatav</th>
                            <th>Total Commission</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php $i=1; $sum = 0; $comm = 0; @endphp
                        @foreach ($amountData as $key => $value)
                            @php
                                $sum += $value['party_commission'];
                                $comm += $value['commission'];
                            @endphp
                            <tr>
                                <td>{{ $i }}</td>
                                <td>{{ $key }}</td>
                                <td>{{ number_format($value['party_commission'], 2, ".", "") }}</td>
                                <td>{{ number_format($value['commission'], 2, ".", "") }}</td>
                            </tr>
                            @php $i++; @endphp
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <td></td>
                            <td>Total</td>
                            <td>{{ number_format($sum, 2, ".", "") }}</td>
                            <td>{{ number_format($comm, 2, ".", "") }}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>
