<style>
    p{
        padding-top:0;
        font-weight:500;
    }
    hr{
        margin-top: 20px;
        margin-bottom: 20px;
    }
    .card .header {
        padding: 20px;
    }
    .custom-col-2{
        padding-right:0px;
    }
    .modal-title{
        display: inline-block;
    }
    @media (min-width: 992px) {
        .modal-lg {
            width: 1200px;
        }
    }
    @media (min-width: 768px){
        .form-control {
            width: 100% !important;
        }
    }
</style>

<?php
$total_vatav = $entryDetails->s_vatav + $entryDetails->r_vatav + $entryDetails->o_vatav;
?>

<div class="card">
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="body">
                <div class="modal-header">
                    <h4 class="modal-title"><b>Party Details</b></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label>Date</label>
                            <p>{{ $entryDetails->date }}</p>
                        </div>
                        <div class="form-group col-md-6">
                            <label>Amount</label>
                            <p>{{ number_format($entryDetails->amount,2,'.','') }}</p>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label>Sender</label>
                            <p>{{ $entryDetails->sender_code }} ({{ $entryDetails->final_sender_name }})</p>
                        </div>
                        <div class="form-group col-md-6">
                            <label>Sender Amount</label>
                            <p>{{ number_format($entryDetails->sender_total_amount,2,'.','') }}</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Sender Commission Party</label>
                            <p>{{ $entryDetails->sender_commission_party_name }}</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Sender Commission Party Amount</label>
                            <p>{{ number_format($entryDetails->sender_commission_party_amount,2,'.','') }}</p>

                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label>Receiver</label>
                            <p>{{ $entryDetails->receiver_code }} ({{ $entryDetails->final_receiver_name }})</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Receiver Amount</label>
                            <p>{{ number_format($entryDetails->receiver_total_amount,2,'.','') }}</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Receiver Commission Party</label>
                            <p>{{ $entryDetails->receiver_commission_party_name }}</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Receiver Commission Party Amount</label>
                            <p>{{ number_format($entryDetails->receiver_commission_party_amount,2,'.','') }}</p>

                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label>Sender Name</label>
                            <p>{{ $entryDetails->sender_name }}</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Sender Mobile Number</label>
                            <p>{{ $entryDetails->sender_contact }}</p>

                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label>Receiver Name</label>
                            <p>{{ $entryDetails->receiver_name }}</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Receiver Mobile Number</label>
                            <p>{{ $entryDetails->receiver_contact }}</p>

                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label>Remarks</label>
                            <p>{{ $entryDetails->remarks }}</p>

                        </div>
                        <div class="form-group col-md-6">
                            <label>Token</label>
                            <p>{{ $entryDetails->token }}</p>

                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label>Adhar Number:  </label>
                            <p>{{ $entryDetails->s_adhar_number }}</p>

                        </div>
                    </div>
                    <hr/>
                    <div class="row">
                        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                            <button type="button" class="btn btn-info focusControl" data-dismiss="modal" tabindex=9>CLOSE</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
