<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
    .td-right-align{
        text-align: right;
    }
</style>
@php
    date_default_timezone_set('Asia/Kolkata');
    $inputs = $data['inputs'];
    $grouped_city = $data['grouped_city'];
@endphp
<table style="border:none">
    <tr>
        <td><b> Cities: </b></td>
        <td>{{ $inputs['cities'] }}</td>
        <td><b> Downloaded By: </b></td>
        <td>{{ $inputs['downloaded_by'] }}</td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{ date('d-m-Y h:i:s') }}</td>
    </tr>
</table>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables2">
        <caption>
            <h1>City Report</h1>
        </caption>
        <thead>
        <tr>
            <th>Code</th>
            <th>Name</th>
            <th>Current Balance</th>
            <th>Code</th>
            <th>Name</th>
            <th>Current Balance</th>
        </tr>
        </thead>
        <tbody>
        @php $i=1;
            $ng_total_sum = 0;
            $pos_total_sum = 0;

        @endphp
        @foreach ($grouped_city as $_grouped_city_key => $_grouped_city)
            @php
                $negative_sum = 0;
                $positive_sum =0;
                $length_positive_arr = 0;
                $length_negative_arr = 0;

                if(isset($grouped_city[$_grouped_city_key]['positive_arr']) && !empty($grouped_city[$_grouped_city_key]['positive_arr'])){
                    $length_positive_arr = count($grouped_city[$_grouped_city_key]['positive_arr']);
                }
                if(isset($grouped_city[$_grouped_city_key]['negative_arr']) && !empty($grouped_city[$_grouped_city_key]['negative_arr'])){
                    $length_negative_arr = count($grouped_city[$_grouped_city_key]['negative_arr']);
                }

                if($length_positive_arr > $length_negative_arr){
                    $arr_count = $length_positive_arr;
                }else{
                    $arr_count = $length_negative_arr;
                }
            @endphp
            <tr>
                <td></td>
                <td><b>{{ $_grouped_city_key}}</b></td>
                <td style="border-right-color:black"></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            @for ($i = 0; $i < $arr_count;  $i++)

                @php
                    if(isset($grouped_city[$_grouped_city_key]['negative_arr'][$i])) {
                        $negative_sum += $grouped_city[$_grouped_city_key]['negative_arr'][$i]['current_balance'];
                    }
                    if (isset($grouped_city[$_grouped_city_key]['positive_arr'][$i])) {
                    $positive_sum += $grouped_city[$_grouped_city_key]['positive_arr'][$i]['current_balance'];
                    }
                @endphp
                <tr>
                    <td>
                        @if(isset($grouped_city[$_grouped_city_key]['negative_arr'][$i]))
                            {{ $grouped_city[$_grouped_city_key]['negative_arr'][$i]['code'] }}
                        @endif
                    </td>
                    <td>
                        @if(isset($grouped_city[$_grouped_city_key]['negative_arr'][$i]))
                            {{ $grouped_city[$_grouped_city_key]['negative_arr'][$i]['name'] }}
                        @endif
                    </td>
                    <td style="border-right-color:black" class="td-right-align">
                        @if(isset($grouped_city[$_grouped_city_key]['negative_arr'][$i]))
                            {{ $grouped_city[$_grouped_city_key]['negative_arr'][$i]['current_balance'] }}
                        @endif
                    </td>
                    <td>
                        @if(isset($grouped_city[$_grouped_city_key]['positive_arr'][$i]))
                            {{ $grouped_city[$_grouped_city_key]['positive_arr'][$i]['code'] }}
                        @endif
                    </td>
                    <td>
                        @if(isset($grouped_city[$_grouped_city_key]['positive_arr'][$i]))
                            {{ $grouped_city[$_grouped_city_key]['positive_arr'][$i]['name'] }}
                        @endif
                    </td>
                    <td class="td-right-align">
                        @if(isset($grouped_city[$_grouped_city_key]['positive_arr'][$i]))
                            {{ $grouped_city[$_grouped_city_key]['positive_arr'][$i]['current_balance'] }}
                        @endif

                    </td>
                </tr>
            @endfor
            @php
                $ng_total_sum += $negative_sum;
                $pos_total_sum += $positive_sum;
            @endphp

            <tr>
                <td></td>
                <td style="text-align: right"><b>Total</b></td>
                <td class="td-right-align"
                    style="border-right-color:black">
                    {{number_format($negative_sum, '2', '.', '')}}
                </td>
                <td></td>
                <td style="text-align: right"><b>Total</b></td>
                <td class="td-right-align">{{number_format($positive_sum, '2', '.', '')}}</td>
            </tr>
            <tr>
                <td style="background-color:#444444" colspan="6"></td>
            </tr>

        @endforeach
        <tr>
            <td class="td-right-align" style="background-color:#cc948b"
                colspan=3>
                <b>{{number_format($ng_total_sum, '2', '.', '')}}</b>
            </td>
            <td class="td-right-align" style="background-color:#7bacd6" colspan=3>
                <b>{{number_format($pos_total_sum, '2', '.', '')}}</b>
            </td>
        </tr>
        <tr>
            <td colspan=5>Total</td>
            <td class="td-right-align">
                {{ number_format($ng_total_sum + $pos_total_sum, '2', '.', '')}}
            </td>
        </tr>
        </tbody>
    </table>
</div>
