<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }


</style>
@php date_default_timezone_set('Asia/Kolkata');
$inputs = $data['inputs'];
$arrayCount = $data['arrayCount'];
$positiveArray = $data['positiveArray'];
$negativeArray = $data['negativeArray'];
@endphp
<table style="border:none">
    <tr>
        <td><b> Date: </b></td>
        <td>{{ $inputs['date'] }}</td>
        <td><b> Downloaded By: </b></td>
        <td><?= $inputs['downloaded_by'] ?></td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td><?= date('d-m-Y h:i:s') ?></td>
    </tr>
</table>

<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <caption><h1>Day Report</h1></caption>
        <thead>
        <tr>

            <th>Code</th>
            <th>Name</th>
            <th>Amount</th>
            <th>Code</th>
            <th>Name</th>
            <th>Amount</th>
        </tr>
        </thead>
        <tbody>
        @php $negative_sum = 0; $positive_sum = 0;
        for ($i = 0; $i < $arrayCount; $i++) {

            if (isset($negativeArray[$i])) {
                $negative_sum += $negativeArray[$i]['total_amount'];
            }
            if (isset($positiveArray[$i])){
            $positive_sum += $positiveArray[$i]['total_amount'];
            }
        @endphp
        <tr>
            <td>
                @if(isset($negativeArray[$i]))
                    {{$negativeArray[$i]['code']}}
                @endif
            </td>
            <td>
                @if(isset($negativeArray[$i]))
                    @if (strlen($negativeArray[$i]['name']) > 20)
                        {{ substr($negativeArray[$i]['name'], 0, 19) }} ..
                    @else
                        {{ $negativeArray[$i]['name'] }}
                    @endif
                @endif
            </td>
            @if (isset($negativeArray[$i]))
                <td>{{ number_format($negativeArray[$i]['total_amount'],2,".","") }}</td>
            @else
                <td></td>
            @endif
            <td>
                @if (isset($positiveArray[$i]))
                    {{ $positiveArray[$i]['code'] }}
                @endif
            </td>
            <td>
                @if (isset($positiveArray[$i]))
                    @if (strlen($positiveArray[$i]['name']) > 20)
                        {{ substr($positiveArray[$i]['name'], 0, 19) }} ..
                    @else
                        {{ $positiveArray[$i]['name'] }}
                    @endif
                @endif
            </td>
            @if (isset($positiveArray[$i]))
                <td>{{ number_format($positiveArray[$i]['total_amount'],2,".","") }}</td>
            @else
                <td></td>
            @endif
        </tr>

        @php } @endphp
        <tr>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td>{{ number_format($negative_sum,'2','.','') }}</td>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td>{{ number_format($positive_sum,'2','.','') }}</td>
        </tr>
        </tbody>
    </table>
</div>
