<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }


</style>
@php date_default_timezone_set('Asia/Kolkata');
$inputs = $data_arr['inputs'];
$vatavData = $data_arr['vatavData'];
@endphp
<table style="border:none !important;">
    <tr>
        <td><b> Downloaded By: </b></td>
        <td>{{$inputs['downloaded_by']}}</td>
    </tr>
    <tr>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{date('d-m-Y h:i:s')}}</td>
    </tr>
    <tr>
        <td><b>Date Between: </b></td>
        <td>{{$inputs['date']}}</td>
    </tr>
</table>
<div class="table-responsive">
    <table class="table table-striped table-bordered dataTable nowrap" id="dataTables1"
           style="border-collapse:collapse;width: 100%">
        <caption>
            <h1>Deleted Entry Report</h1>
        </caption>
        <thead>
        <tr>
            <th>No</th>
            <th>Sr No.</th>
            <th>Date</th>
            <th>Sender</th>
            <th>Receiver</th>
            <th>Remarks</th>
            <th>Amount</th>
            <th>Vatav</th>
            <th>Username</th>
            <th>Deleted By</th>
            <th>Deleted Date</th>
        </tr>
        </thead>
        <tbody>
        @php
        $vatav_sum = 0;
        foreach ($vatavData as $key => $_vatavData) {
        if ($_vatavData->sender_party_id == 1) {
        $vatav_sum += -1 * abs($_vatavData->sender_total_amount);
        } else if ($_vatavData->receiver_party_id == 1) {
        $vatav_sum += abs($_vatavData->receiver_total_amount);
        } else {
        $vatav_sum += $_vatavData->o_vatav;
        }
        @endphp
        <tr >
            <td>{{$key+1}}</td>
            <td>
                {{ $_vatavData->serial_no }}
            </td>
            <td>
                {{ date("d-m-Y", strtotime($_vatavData->date)) }} </br> {{ date("h:i:s A", strtotime($_vatavData->date))
                }}
            </td>
            <td>
                @if(strlen($_vatavData->sender_code_name) > 20)
                {{ substr ($_vatavData->sender_code_name,0,19) }}..
                @else
                {{$_vatavData->sender_code_name}}
                @endif
            </td>
            <td>
                @if(strlen($_vatavData->receiver_code_name) > 20)
                {{ substr ($_vatavData->receiver_code_name,0,19) }}..
                @else
                {{$_vatavData->receiver_code_name}}
                @endif
            </td>
            <td>
                @if(strlen($_vatavData->remarks) > 20)
                {{ substr ($_vatavData->remarks,0,19) }}..
                @else
                {{$_vatavData->remarks}}
                @endif
            </td>
            <td>
                {{ number_format($_vatavData->amount,'2','.','') }}
            </td>
            <td>
                {{ number_format($_vatavData->o_vatav,'2','.','') }}
            </td>
            <td>
                {{ $_vatavData->entered_by }}
            </td>
            <td>
                {{ $_vatavData->deleted_by }}
            </td>
            <td>
                {{ date('d-m-Y h:i A',strtotime($_vatavData->deleted_time)) }}
            </td>
        </tr>
        @php } @endphp
        @if(!empty($vatavData))
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td>{{ number_format($vatav_sum,'2','.','') }}</td>
            <td></td>
            <td></td>
            <td></td>
        </tr>
        @endif
        </tbody>
    </table>
</div>