<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }


</style>
@php
    date_default_timezone_set('Asia/Kolkata');
    $inputs = $data_arr['inputs'];
    $total_count = $data_arr['total_count'];
    $branchWiseList = $data_arr['branchWiseList'];
    $typeWiseList = $data_arr['typeWiseList'];
    $dayWiseList = $data_arr['dayWiseList'];
@endphp
<table style="border:none">
    <tr>
        <td><b> Date: </b></td>
        <td>{{ $inputs['date'] }}</td>
        <td><b> Downloaded By: </b></td>
        <td>{{$inputs['downloaded_by']}}</td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td><?= date('d-m-Y h:i:s') ?></td>
    </tr>
</table>
<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <p><b>Total label:- {{$total_count}}</b></p>
                    <div class="tab-content">
                        <div id="home" class="tab-pane fade in active" style="margin:0 auto;">
                            <h2>UserWise</h2>
                            <table class="table table-striped table-bordered table-hover" style="width:30%;">

                                <thead>
                                <tr>
                                    <th>Username</th>
                                    <th>Count</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php $i = 1; $total=0;
                                foreach ($dayWiseList as $_dayWiseList) {
                                    $total += $_dayWiseList->usercount; @endphp
                                <tr>
                                    <td>{{ $_dayWiseList->entered_by}}</td>
                                    <td id="td-right-align">{{ $_dayWiseList->usercount}}</td>
                                </tr>
                                @php $i++;
                                } @endphp
                                </tbody>
                            </table>
                        </div>
                        <br/>
                        <div id="menu1" class="tab-pane fade" style="margin:0 auto;">
                            <h2>TypeWise</h2>
                            <table class="table table-striped table-bordered table-hover" style="width:30%">
                                <thead>
                                <tr>
                                    <th>Type</th>
                                    <th>Count</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php $i = 1; $total=0;
                                foreach ($typeWiseList as $_typeWiseList) {
                                    $total += $_typeWiseList->typecount;
                                @endphp
                                <tr>
                                    <td>{{ $_typeWiseList->type}}</td>
                                    <td id="td-right-align">{{ $_typeWiseList->typecount}}</td>
                                </tr>
                                @php $i++;
                                } @endphp
                                </tbody>
                            </table>
                        </div>
                        <br/>
                        <div id="menu2" class="tab-pane fade" style="margin:0 auto;">
                            <h2>Branchwise</h2>
                            <table class="table table-striped table-bordered table-hover" style="clear:both;width:30%">
                                <thead>
                                <tr>
                                    <th>Branch</th>
                                    <th>Send</th>
                                    <th>Receive</th>
                                    <th>Nama Send</th>
                                    <th>Nama Receive</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php
                                $sendTotal = 0;
                                $receiveTotal = 0;
                                $namaSendTotal = 0;
                                $namaReceiveTotal = 0;
                                foreach ($branchWiseList as $_branchWiseList_key => $_branchWiseList_value) {
                                    $sendTotal += $_branchWiseList_value['send']??NULL;
                                    $receiveTotal += $_branchWiseList_value['receive']??NULL;
                                    $namaSendTotal += $_branchWiseList_value['namasend'] ?? NULL;
                                    $namaReceiveTotal += $_branchWiseList_value['namareceive'] ?? NULL;
                                @endphp
                                <tr>
                                    <td>{{ $_branchWiseList_key}}</td>
                                    <td id="td-right-align">{{ $_branchWiseList_value['send'] ?? NULL }}</td>
                                    <td id="td-right-align">{{ $_branchWiseList_value['receive'] ?? NULL}}</td>
                                    <td id="td-right-align">{{$_branchWiseList_value['namasend'] ?? NULL}}</td>
                                    <td id="td-right-align">{{ $_branchWiseList_value['namareceive'] ?? NULL}}</td>
                                </tr>

                                    @php
                                }@endphp    
                                <tr>
                                    <td></td>
                                    <td id="td-right-align"><b>{{ $sendTotal}} </b></td>
                                    <td id="td-right-align"><b>{{$receiveTotal }}</td>
                                    <td id="td-right-align"><b>{{ $namaSendTotal }}</b></td>
                                    <td id="td-right-align"><b>{{ $namaReceiveTotal }}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
