<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }

    .secondthead {
        background-color: white;
        color: #4c5252 !important;
    }
</style>
@php 
    date_default_timezone_set('Asia/Kolkata');
    $inputs = $dataArr['inputs'];
    $allParties = $dataArr['allParties'];
@endphp
<table style="border:none">
    <tr>
        <td><b> Date: </b></td>
        <td>{{ $inputs['date'] }}</td>
        <td><b> Downloaded By: </b></td>
        <td>{{$inputs['downloaded_by']}}</td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td><?= date('d-m-Y h:i:s') ?></td>
    </tr>
</table>
<br/>
<br/>
<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-striped table-bordered dataTable display nowrap" style="border-collapse:collapse;width:100%;" id="dataTables">
                        <caption>
                            <h1>Search Report</h1>
                        </caption>
                        <thead>
                            <tr>
                                <th>Date</th>
                                <th>Serial No.</th>
                                <th>Sender</th>
                                <th>Receiver</th>
                                <th>Amount</th>
                                <th>User</th>
                                <th>Sender Name</th>
                                <th>Sender Contact</th>
                                <th>Receiver Name</th>
                                <th>Receiver Contact</th>
                                <th>Remarks</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($allParties as $_allParties)
                            <tr>
                                <td>{{ date("d-m-Y", strtotime($_allParties['date'])) ?? NULL}}<br/>{{ date("h:i:s A", strtotime($_allParties['date'])) }} </td>
                                <td>
                                    {{ $_allParties['serial_no'] ?? NULL}}
                                </td>
                                <td id="td-right-align">{{ $_allParties['sender'] ?? NULL}}</td>
                                <td id="td-right-align">{{ $_allParties['receiver'] }}</td>
                                <td>{{ number_format($_allParties['amount'],2,'.','') ?? NULL}}</td>
                                <td>{{ $_allParties['entered_by'] ?? NULL}}</td>
                                <td>{{ $_allParties['sender_name'] ?? NULL}}</td>
                                <td>{{ $_allParties['sender_contact'] ?? NULL}}</td>
                                <td>{{ $_allParties['receiver_name'] ?? NULL}}</td>
                                <td>{{ $_allParties['receiver_contact'] ?? NULL}}</td>
                                <td>{{ $_allParties['remarks'] ?? NULL}}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>