<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>
@php 
    date_default_timezone_set('Asia/Kolkata');
    $inputs = $data_arr['inputs'];
    $allParties = $data_arr['allParties'];
    $senderName = $data_arr['senderName'];
    $receiverName = $data_arr['receiverName'];
    $new_date = $data_arr['new_date'];
    $total = 0;
@endphp
<table style="border:none">
    <tr>
        <td><b>Sender: </b></td>
        <td>{{$senderName}}</td>
        <td><b>Receiver: </b></td>
        <td>{{$receiverName}}</td>
    </tr>
    <tr>
        <td><b>Date Between: </b></td>
        <td>{{$new_date}}</td>
        <td><b>Amount: </b></td>
        <td>{{$inputs['amount']}}</td>
    </tr>

    <tr>
        <td><b>Is Deleted: </b></td>
        <td>{{$inputs['is_deleted']}}</td>
        <td></td>
        <td></td>
    </tr>
    <tr>
        <td><b> Downloaded By: </b></td>
        <td>{{$inputs['downloaded_by']}}</td>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{date('d-m-Y h:i:s')}}</td>
    </tr>

</table>
<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered dataTable nowrap" style="border-collapse:collapse;">
                            <caption>
                                <h1>Party To Party Report</h1>
                            </caption>
                            <thead>
                            <tr>
                                <th>Sr No.</th>
                                <th style="width:100px !important;">Date</th>
                                <th style="width:135px !important;">Sender</th>
                                <th style="width:135px !important;">Receiver</th>
                                <th style="width:135px !important;">Addhar Number</th>
                                <th>Amount</th>
                                <th>Vatav</th>
                                <th style="width:35px !important;">Username</th>
                                <th style="width:135px !important;">Remarks</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($allParties as $key => $val)
                                <tr>
                                    <td>{{$val['srno']}}</td>
                                    <td>{{$val['new_date']}}<br/>{{$val['new_time']}}</td>
                                    <td>{{$val['sender_party_name']}}</td>
                                    <td>{{$val['receiver_party_name']}}</td>
                                    <td>{{$val['adhar_number']}}</td>
                                    <td>{{ number_format($val['new_amount'],2,".","") }}</td>
                                    <td>{{ number_format($val['vatav'],2,".","") }}</td>
                                    <td>{{$val['user']}}</td>
                                    <td>{{$val['new_remarks']}}</td>
                                </tr>
                                @php
                                    $total += $val['vatav'];
                                @endphp
                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td>Total</td>
                                <td>{{number_format($total,'2','.','')}}</td>
                                <td></td>
                                <td></td>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
