<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }
</style>
<table style="border:none">
    <tr>
        <td><b>Date Between: </b></td>
        <td><?= $inputs['date'] ?></td>
        <td><b> Downloaded By: </b></td>
        <td><?= $inputs['downloaded_by'] ?></td>
    </tr>
    <tr>
        <td><b>Sender: </b></td>
        <td><?= $inputs['sender'] ?></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td><?= date('d-m-Y h:i:s') ?></td>
    </tr>

</table>
<div class="panel panel-default mt-5">
    <div class="panel-body">
        <table class="table table-striped table-bordered dataTable">
            <caption>
                <h1>Party wise commission Report</h1>
            </caption>
            <thead>
                <tr>
                    <th>Sr No.</th>
                    <th style="width:100px !important;">Date</th>
                    <th style="width:135px !important;">Sender</th>
                    <th style="width:135px !important;">Receiver</th>
                    <th>Amount</th>
                    <th>Vatav</th>
                    <th>Commission</th>
                    <th style="width:35px !important;">Username</th>
                    <th style="width:135px !important;">Remarks</th>
                </tr>
            </thead>
            <tbody>
                @php $vatav_sum = 0; $commission_sum = 0; @endphp
                @foreach ($allPartyList as $_amountData)
                    @php
                        $sender = explode('(', $_amountData->sender);
                        $receiver = explode('(', $_amountData->receiver);
                        $vatav_sum += $_amountData->party_commission;
                        $commission_sum += $_amountData->commission_party_amount;
                        $sname = rtrim($sender[1], ")");
                        $rname = rtrim($receiver[1], ")");
                    @endphp
                    <tr>
                        <td>{{ $_amountData->serial_no }}</td>
                        <td style="width:125px !important;">
                            {{ date("d-m-Y", strtotime($_amountData->date)) }}<br/>
                            {{ date("h:i:s A", strtotime($_amountData->date)) }}
                        </td>
                        <td>{{ $sname }}</td>
                        <td>{{ $rname }}</td>
                        <td id="td-right-align">{{ number_format($_amountData->amount,2,".","") }}</td>
                        <td id="td-right-align">{{ number_format($_amountData->party_commission, "2", ".", "") }}</td>
                        <td id="td-right-align">{{ number_format($_amountData->commission_party_amount, "2", ".", "") }}</td>
                        <td style="width:35px !important;">{{ $_amountData->entered_by }}</td>
                        <td style="width:135px !important;">
                            @if (strlen($_amountData->remarks) > 20)
                                {{ substr($_amountData->remarks, 0, 19) . '..' }}
                            @else
                                {{ $_amountData->remarks }}
                            @endif
                        </td>
                    </tr>
                @endforeach
            </tbody>
            @if (!empty($allPartyList))
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td style="text-align: right"><b>Total</b></td>
                    <td id="td-right-align">{{ number_format($vatav_sum, '2', '.', '') }}</td>
                    <td id="td-right-align">{{ number_format($commission_sum, '2', '.', '') }}</td>
                    <td></td>
                    <td></td>
                </tr>
            @endif
        </table>
    </div>
</div>
