<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }


</style>
@php
    date_default_timezone_set('Asia/Kolkata');
    $inputs = $data['inputs'];
    $vatavList = $data['vatavList'];
    $total = $data['sumData'];
@endphp
<table style="border:none">
    <tr>
        <td><b> Date: </b></td>
        <td>{{ $inputs['date'] }}</td>
        <td><b> Downloaded By: </b></td>
        <td>{{ $inputs['downloaded_by'] }}</td>
    </tr>
    <tr>
        <td></td>
        <td></td>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{ date('d-m-Y h:i:s') }}</td>
    </tr>
</table>
<div class="row">
    <div class="col-md-12">
        <p><b>Total Vatav:</b> {{ number_format($total,'2','.','') }}<p>
    </div>
</div>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <caption>
            <h1>Vatav Report</h1>
        </caption>
        <thead>
        <tr>
            <th>Sr No.</th>
            <th>Date</th>
            <th>Time</th>
            <th>Sender</th>
            <th>Receiver</th>
            <th>Amount</th>
            <th>Vatav</th>
            <th>Username</th>
            <th>Remarks</th>
        </tr>
        </thead>
        <tbody>
        @php $vatav_sum = 0;
        foreach ($vatavList as $_vatavList) {
            $vatav_sum += $_vatavList->o_vatav;
            $sender = explode('(', $_vatavList->sender);
            $receiver = explode('(', $_vatavList->receiver);
        @endphp
        <tr>
            <td>{{ $_vatavList->id }}</td>
            <td>{{ date("d-m-Y", strtotime($_vatavList->date)) }}</td>
            <td>{{ date("h:i:s A", strtotime($_vatavList->date)) }}</td>
            <td>{{ $sender[0] }}</td>
            <td>{{ $receiver[0] }}</td>
            <td align="right">{{ number_format($_vatavList->amount, "2", ".", "") }}</td>
            <td align="right">{{ number_format($_vatavList->o_vatav, '2', '.', '') }}</td>
            <td>{{ $_vatavList->entered_by }}</td>
            <td>{{ (strlen($_vatavList->remarks) > 20) ? substr($_vatavList->remarks, 0, 19)."..." : $_vatavList->remarks }}</td>
        </tr>
        @php } @endphp

        </tbody>
        <tfoot>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td align="right">{{ number_format($total, '2', '.', '') }}</td>
            <td></td>
            <td></td>
        </tr>
        </tfoot>
    </table>
</div>
