@extends('layouts/user_master',['pageSlug' => 'notices'])
@section('title','Notice Add')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <h2 class="fw-normal mb-5">Add Notice</h2>
                </div>
            </div>
            <hr/>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="dataTables_wrapper dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-body">
                                        <form method="POST" id="addnotice" role="form"
                                              action="{{route('notice.store')}}">
                                            @csrf
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Name</label>
                                                        <input name="notice_value" type="text" class="form-control"
                                                               id="notice_value" tabindex="1" autocomplete="off"
                                                               value="{{ old('notice_value') }}"/>
                                                        <span class="help-block text-danger">
                                                            {{ $errors->has('notice_value') ? "".$errors->first('notice_value')."" : '' }}
                                                        </span>
                                                        <p class="help-block"></p>

                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>&nbsp;</label>
                                                        <div class="form-check">
                                                            <input name="show_mobile" type="checkbox" id="show_mobile"
                                                                   class="form-check-input" tabindex="2" value="1">
                                                            <label class="form-check-label" for="show_mobile">Show
                                                                Mobile</label>
                                                        </div>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 form-group">
                                                    <button type="submit" id="submit" class="btn btn-default mb-2"
                                                            tabindex="3">Submit
                                                    </button>
                                                    <a href="{{route('notice.index')}}" class="btn btn-primary mb-2"
                                                       tabindex="-1">Cancel</a>
                                                    <button type="reset" class="btn btn-primary mb-2" tabindex="-1">Reset
                                                    </button>
                                                    <p class="help-block"></p>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
    </script>
@endsection
