@extends('layouts/user_master', ['pageSlug' => 'settings'])
@section('title', 'Setting Edit')
@section('content')
<div id="page-wrapper">
    <div id="page-inner">
        <div class="row">
            <div class="col-md-12">
                <h2 class="fw-normal">Edit Setting</h2>
            </div>
        </div>
        <hr />
        <div class="row">
            <div class="col-md-12">
                <div class="box-body" id="ajax_data_list">
                    <div id="bootstrapTable_wrapper" class="dataTables_wrapper dt-bootstrap">
                        <div class="col-md-12">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                </div>
                                <div class="panel-body">
                                    <form method="POST" id="addsetting" role="form"
                                        action="{{url('Admin/setting/update/' . $settingDetails->id)}}">
                                        @csrf
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Title</label>
                                                    <input name="title" type="text" class="form-control" id="tile"
                                                        tabindex="-1" autocomplete="off"
                                                        value="{{ old('title', $settingDetails->title) }}" readonly />
                                                    <span class="help-block text-danger">
                                                        {{ $errors->has('title') ? "" . $errors->first('title') . "" : '' }}
                                                    </span>
                                                    <p class="help-block"></p>

                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Value</label>
                                                    <input name="value" type="text" class="form-control" id="value"
                                                        tabindex="1" autocomplete="off"
                                                        value="{{ old('value', $settingDetails->value) }}" />
                                                    <span class="help-block text-danger">
                                                        {{ $errors->has('value') ? "" . $errors->first('value') . "" : '' }}
                                                    </span>
                                                    <p class="help-block"></p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12 form-group">
                                                <button type="submit" id="submit" class="btn btn-default mr-2 mb-2"
                                                    tabindex="2">Submit
                                                </button>
                                                <a href="{{route('setting.index')}}" class="btn btn-primary mb-2"
                                                    tabindex="-1">Cancel</a>
                                                <p class="help-block"></p>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script>
</script>
@endsection