<?php
    $allParties = $data['allParties'];
    $opening_balance = $data['opening_balance'];
?>
<style>
    tr:focus {
        background: #000;
    }

    input[type="checkbox"]:focus {
        outline: 5px Solid rgb(59, 153, 252);
    }

    .secondthead {
        background-color: white;
        color: #4c5252 !important;
    }

    td {
        font-weight: bold;
    }

    .link-edit {
        text-decoration: underline;
        cursor: pointer;
        color: #428bca;
    }
</style>
<div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <input type="hidden" id="closing_balance"
                           value="<?php echo e(number_format($data['closing_balance'],2,'.','')); ?>"/>
                    <input type="hidden" id="party_name" value="<?php echo e($data['party_name']); ?>"/>
                        <table class="table table-striped table-bordered dataTable display nowrap no-footer" style="border-collapse: collapse; width: 1248px;" id="dataTables">
                            <thead>
                            <tr>
                                <th>No</th>
                                <th style="width:125px;">Date</th>
                                <th style="width:125px;">Time</th>
                                <th style="width:65px;">Serial No.</th>
                                <th>Credit (<?php echo e($data['ceCount']); ?>)</th>
                                <th>Debit (<?php echo e($data['deCount']); ?>)</th>
                                <th><input accesskey="b" type="checkbox" id="checkall" name="checkall" class="chk"
                                           onchange="selectall(this)" autofocus></th>
                                <th>Current Balance</th>
                                <th style="width:135px;">Opp. Party</th>
                                <th>Action</th>
                                <th>User</th>
                                <th>A/C close</th>
                                <th>Sender Name</th>
                                <th>Sender Contact</th>
                                <th>Receiver Name</th>
                                <th>Receiver Contact</th>
                                <th>Remarks</th>
                                <th>Opposite Party</th>
                                <th>Token</th>
                            </tr>
                            </thead>
                            <thead>
                            <tr>
                                <th class="secondthead"></th>
                                <th class="secondthead" colspan="3">Opening Balance</th>
                                <th id="td-right-align" class="secondthead">

                                    <?php if($opening_balance >= 0): ?>
                                        <?php echo e(number_format($opening_balance, 2, ".", "")); ?>

                                    <?php endif; ?>

                                </th>
                                <th id="td-right-align" class="secondthead">

                                    <?php if($opening_balance < 0): ?>
                                        <?php echo e(number_format($opening_balance, 2, ".", "")); ?>

                                    <?php endif; ?>

                                </th>
                                <?php if ($opening_balance < 0) { ?>
                                <th class="secondthead">
                                    <input type="checkbox" class="chk" name="parties[]"
                                           value="{parties}"
                                           onchange="get_sum(this,0,'<?php echo e($opening_balance); ?>',0,'<?php echo e($opening_balance); ?>')">
                                </th>
                                <?php } else { ?>
                                <th class="secondthead">
                                    <input type="checkbox" class="chk" name="parties[]"
                                           value="{parties}"
                                           onchange="get_sum(this,'<?php echo e($opening_balance); ?> ',0,0,'<?php echo e($opening_balance); ?>')">
                                </th>
                                <?php } ?>
                                <th class="secondthead"></th>
                                <th class="secondthead"></th>
                                <th class="secondthead"></th>
                                <th class="secondthead"></th>
                                <th class="secondthead"></th>
                                <th class="secondthead"></th>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i=1; $currentbal=0;

                                foreach($allParties as $_allParties){
                                    $id = $_allParties['id'];
                                    $opp_party = rtrim($_allParties['opposite_party'],")");
                                    if($i == 1){
                                        if ($_allParties['credit'] != '') {
                                        $currentbal = $opening_balance + $_allParties['credit'];
                                        }
                                        if ($_allParties['debit'] != '') {
                                        $currentbal = $opening_balance + $_allParties['debit'];
                                        }
                                    }else {
                                        if ($_allParties['credit'] != '') {
                                            $currentbal = $currentbal + $_allParties['credit'];
                                        }
                                        if ($_allParties['debit'] != '') {
                                            $currentbal = $currentbal + $_allParties['debit'];
                                        }
                                    }
                            ?>
                            <tr>
                                <td><?php echo e($i); ?></td>
                                <td><?php echo e(date("d-m-Y", strtotime($_allParties['date']))); ?></td>
                                <td><?php echo e(date("h:i:s A", strtotime($_allParties['date']))); ?></td>
                                <td>
                                        <span class="link-edit"
                                              onclick="get_add_edit_content('<?php echo e($id); ?>');">
                                            <?php echo e($_allParties['serial_no']); ?>

                                        </span>
                                </td>
                                <td id="td-right-align">
                                    <?php if($_allParties['credit'] != ''): ?>
                                        <?php echo e(number_format($_allParties['credit'], 2, ".", "")); ?>

                                    <?php endif; ?>
                                </td>
                                <td id="td-right-align">
                                    <?php if($_allParties['debit'] != ''): ?>
                                        <?php echo e(number_format($_allParties['debit'], 2, ".", "")); ?>

                                    <?php endif; ?>

                                </td>
                                <td>
                                    <input type="checkbox" class="chk" name="parties[]" value="{parties}"
                                           onchange="get_sum(this,'<?php echo e($_allParties['credit']); ?>','<?php echo e($_allParties['debit']); ?>','<?php echo e($id); ?>','<?php echo e($opening_balance); ?>')"
                                           onfocus="get_vatav(this,'<?php echo e($id); ?>')" onfocusout="cleanvatav(this)">
                                </td>

                                <td id="td-right-align">
                                    <?php if($_allParties['current_balance'] != ''): ?>
                                        <?php echo e(number_format($_allParties['current_balance'], 2, ".", "")); ?>

                                    <?php else: ?>
                                        0
                                    <?php endif; ?>
                                </td>
                                <td style="width:135px;vertical-align:middle;">
                                    <?php if(strlen($opp_party) > 20): ?>
                                        <?php echo e(substr($opp_party, 0, 19)); ?> ..
                                    <?php else: ?>
                                        <?php echo e($opp_party); ?>

                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($_allParties['is_delete']): ?>
                                        <a tabindex=-1
                                           onclick="vatavDelete('<?php echo e($id); ?>',<?php echo e($_allParties['serial_no']); ?>)"
                                           class="btn btn-danger" style="margin-left:1px;  padding:0px 5px; !important">
                                            <i class="fa fa-trash"></i> Delete</a>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($_allParties['entered_by']); ?></td>
                                <td>
                                    <input tabindex=-1 type="checkbox" name="accounts"
                                           id="account" <?php if($_allParties['is_close'] == 1): ?> checked <?php endif; ?>
                                           onchange="accountClosed(this,'<?php echo e($_allParties['id']); ?>','<?php echo e($_allParties['party_id']); ?>')">
                                </td>
                                <td><?php echo e($_allParties['sender_name']); ?></td>
                                <td><?php echo e($_allParties['sender_contact']); ?></td>
                                <td><?php echo e($_allParties['receiver_name']); ?></td>
                                <td><?php echo e($_allParties['receiver_contact']); ?></td>
                                <td><?php echo e($_allParties['remarks']); ?></td>
                                <td><?php echo e($_allParties['opposite_party']); ?></td>
                                <td><?php echo e($_allParties['token']); ?></td>
                            </tr>

                            <?php
                                $i++ ;
                            }
                            ?>
                            </tbody>
                        </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content" id="add_edit_model_div1">

            </div>
        </div>
    </div>
<script>
       function get_add_edit_content(id = '') {
        $("#myModal").modal('show');

        $.ajax({
            url: "<?php echo e(url('Admin/ajax/partydetails')); ?>/" + id,
            type: "POST",
            data: {
            "_token": "<?php echo e(csrf_token()); ?>"
            },
            success: function(data) {
                $("#add_edit_model_div1").html(data).fadeIn(1500);
                $('#loading-indicator').hide();
            }
        });
    }
    </script><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/party/partyreport.blade.php ENDPATH**/ ?>