<?php $__env->startSection('title','Notices'); ?>
<?php $__env->startSection('content'); ?>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row mb-4">
                <div class="col-md-10">
                    <h2 class="fw-normal">Notice List</h2>
                </div>
                <div class="col-md-2">
                    <a href="<?php echo e(route('notice.add')); ?>" class="btn btn-primary" style="float:right;">Add Notice</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="form-inline dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered mt-4" style="border-collapse:collapse;"
                                                   id="noticeList">
                                                <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Value</th>
                                                    <th>Action</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php $i=1; ?>
                                                <?php $__currentLoopData = $noticeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_noticeList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td><?php echo e($i); ?> </td>
                                                        <td><?php echo e($_noticeList->notice_value); ?> </td>
                                                        <td>
                                                            <a href="<?php echo e(url('Admin/notice/edit/'. $_noticeList->id)); ?>"
                                                               class="btn btn-primary">
                                                                <i class="fa fa-edit "></i> Edit
                                                            </a>
                                                            <span class="btn btn-danger"
                                                                  onclick="deleteRow('<?php echo e($_noticeList->id); ?>');">
                                                              <i class=" fa fa-trash"></i> Delete
                                                       </span>
                                                        </td>
                                                    </tr>
                                                    <?php $i++; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $('#noticeList').DataTable();
        });

        function deleteRow(id) {
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('Admin/notice/delete/')); ?>/" + id,
                        data: {"_token": "<?php echo e(csrf_token()); ?>",}, // serializes the form's elements.
                        success: function (data) {
                            // console.log(data);
                            let response = JSON.parse(data);
                            if (response.IsSuccess) {
                                swalWithBootstrapButtons(
                                    'Deleted!',
                                    'This item has been deleted.',
                                    'success'
                                )
                                location.reload();
                            } else {
                                ShowNotify(response);
                            }
                        }
                    });
                } else if (result.dismiss === swal.DismissReason.cancel) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/user_master',['pageSlug' => 'notices'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/notice/index.blade.php ENDPATH**/ ?>