<?php $__env->startSection('title','Label Report'); ?>
<?php $__env->startSection('content'); ?>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Label Count</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <form method="post" action="<?php echo e(url('Admin/ajax/get_label_count_report/0')); ?>" id="report"
                              onkeypress="return event.keyCode != 13;">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input type="text" name="date" class="form-control" autocomplete="off"
                                           id="single_date"
                                           autofocus/>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-2">
                                    <input type="button" id="submit" value="Search" class="btn btn-default">
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <?php
                                        $permissionArray = session('permissionArray');
                                    ?>
                                    <?php if(in_array("Download",$permissionArray)): ?>
                                        <input type="submit" id="btndowload" style="display:none" value="Download"
                                               class="btn btn-default">
                                    <?php endif; ?>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>
                </div>
                <div class="text-center" id="loading-data-list" style="display:none">
                    <img src="<?php echo e(asset('public/img/loading.gif')); ?>" height="300"/>
                    <h3>Loading...</h3>
                    <p>&nbsp;</p>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $('#single_date').datetimepicker({
                format: 'DD-MM-YYYY',
                defaultDate: moment().toDate().getTime()
            }).focus(function () {
                $("#single_date").datetimepicker("show");
            }).focus();
        });
        $('#single_date').focusout(function () {
            $("#submit").trigger("click");
        });

        $('#submit').click(function () {
            $("#ajax_data_list").hide();
            $('#loading-data-list').show();
            var formData = $('#report').serialize();
            $.ajax({
                type: "POST",
                url: "<?php echo e(url('Admin/ajax/get_label_count_report/1')); ?>",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {

                    $("#list").html(result).fadeIn(1000);

                    $('#loading-data-list').hide();
                    $('#btndowload').css({'display': 'block'});
                    var table = $('#dataTables').dataTable({
                        "fixedHeader": true,
                        "bInfo": false,
                        "bPaginate": false,
                        "aaSorting": []
                    });
                    $('th').prop('tabIndex', -1);
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts/user_master',['pageSlug' => 'labelreport'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/report/labelcount.blade.php ENDPATH**/ ?>