
<?php $__env->startSection('title','Add Party'); ?>
<?php $__env->startSection('content'); ?>
<div id="page-wrapper">
    <div id="page-inner" style="min-height:auto;">
        <div class="row">
            <div class="col-md-12">
                <h2 class="mb-5">Add Party</h2>

            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">

                    </div>
                    <form method="POST" id="addparty" role="form" action="<?php echo e(route('party.store')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="panel-body">
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Name</label>
                                    <input name="name" type="text" class="form-control" id="partyname" tabindex=1
                                        required />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Code</label>
                                    <input name="code" type="text" class="form-control" id="partycode" tabindex=2
                                        required />
                                    <span id="code-error" style="color:red" class=""></span>
                                    <p class="help-block"></p>

                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Address</label>
                                    <input name="address" type="text" class="form-control" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>City</label>
                                    <input name="city" type="text" class="form-control" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label></label>
                                    <div class="checkbox">
                                        <label>
                                            <input id="partnership_firm" type="checkbox" name="is_partnership_firm"
                                                value="1" tabindex=3><b>Is Partnership Firm ?</b>
                                        </label>
                                    </div>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2" id="minimum_value_div" style="display:none">
                                    <label>Minimum</label>
                                    <input id="minimum_value" type="text" class="form-control" name="minimum_value"
                                         tabindex=4 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6" id="commision_party_div" style="visibility:hidden">
                                    <label>Commission Party</label>
                                    <select id="commision_party" name="commission_party"
                                        class="form-control chzn-select" tabindex=5>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $allParties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $party): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($party->id); ?>"><?php echo e($party->code); ?> (<?php echo e($party->name); ?>)</option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <p class="help-block"></p>
                                </div>

                            </div>
                            <div class="row">

                                <div class="form-group col-md-4">
                                    <label>Phone No.</label>
                                    <input name="phone_no" type="text" class="form-control" maxlength="10"
                                        tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                                <!-- <div class="form-group col-md-4">
                                <label>Vatav</label>
                                <input name="vatav" type="number" id="vatav" class="form-control" value='40'
                                 tabindex=-1/>
                                <p class="help-block"></p>
                                </div> -->
                                <div class="form-group col-md-4">
                                    <label>Limit</label>
                                    <input id="limit" name="transfer_limit" type="number" class="form-control"
                                        tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Per Label Limit</label>
                                    <input id="per_label_limit" name="per_label_limit" type="number"
                                        class="form-control" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>

                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Sender Vatav</label>
                                    <input name="sender_vatav" type="text" class="form-control" tabindex=-1
                                        autocomplete="off" />
                                    <p class="help-block"></p>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Receiver Vatav</label>
                                        <input name="receiver_vatav" type="text" class="form-control" tabindex=-1
                                            autocomplete="off" />
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Username</label>
                                    <input name="username" type="text" class="form-control" tabindex=6 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Password</label>
                                    <input name="password" type="password" class="form-control" tabindex=7 />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label></label>
                                    <div class="checkbox">
                                        <label>
                                            <input id="is_close" type="checkbox" name="is_close" value="1" tabindex=-1>
                                            <b>Is Closed ?</b>
                                        </label>
                                    </div>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Reference Name</label>
                                    <input name="reference_name" type="text" class="form-control" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Reference Contact</label>
                                    <input name="reference_contact" type="text" class="form-control" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label></label>
                                    <div class="checkbox">
                                        <label>
                                            <input id="is_receiver_based" type="checkbox" name="is_receiver_based" value="1" tabindex=-1>
                                            <b>Is Receiver Based Party ?</b>
                                        </label>
                                    </div>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4" style="display: none;" id="receiver_based_commission">
                                    <label for="receiver_based_commission">Receiver Based Commission</label>
                                    <input name="receiver_based_commission" type="text" class="form-control" tabindex=-1 />
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-6 form-group">
                                    <button type="submit" id="submit" class="btn btn-default" tabindex=8>Submit</button>
                                    <button name="testsubmit" id="test_submit" class="btn btn-default"
                                        style="display:none" tabindex=-1>Submit
                                    </button>
                                    <p class="help-block"></p>
                                </div>
                                <div class="col-md-6 form-group" style="padding-left:350px">
                                    <button type="reset" class="btn btn-primary" tabindex=-1>Reset</button>
                                    <a href="<?php echo e(route('party.index')); ?>" class="btn btn-primary" tabindex=-1>Cancel</a>
                                    <p class="help-block"></p>
                                </div>
                            </div>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
if (!count) {
    var count = 0;
}
// $(document).ready(function () {
//     $('#receiver_based_commission').css('display','none');
// });

$("#is_receiver_based").change(function() {
    console.log(this.checked);
    if (this.checked) {
        $("#receiver_based_commission").css("display", "block");

    } else {
        $("#receiver_based_commission").css("display", "none");
    }
});

$('#submit').on('click', function(e) {
    count++;
    if (count >= 1) {
        $("#addparty").submit();
        $('#submit').css('display', 'none');
        $('#test_submit').css('display', 'block');
        $('#test_submit').attr('disabled', 'true');

        //$('#submit').attr('disabled', true);
    }
});
$("#partnership_firm").change(function() {
    if (this.checked) {
        // $("#vatav").val('50');
        $("#minimum_value_div").show();
        $("#commision_party_div").css("visibility", "visible");

    } else {
        // $("#vatav").val('40');
        $("#minimum_value_div").hide();
        $("#commision_party_div").css("visibility", "hidden");
    }
});

$("#limit").change(function() {
    var limit = $(this).val();
    $(this).val(parseInt(limit).toFixed(2));
});

$("#per_label_limit").change(function() {
    var per_label_limit = $(this).val();
    $(this).val(parseInt(per_label_limit).toFixed(2));
});

$("#partycode").change(function() {
    var code = $(this).val();
    $.ajax({
        type: "POST",
        url: "<?php echo e(route('party.check_code_exist_or_not')); ?>",
        data: {
            'code': code,
            "_token": "<?php echo e(csrf_token()); ?>"
        },
        // dataType: "json",
            success: function(result) {
                var res = JSON.parse(result);

                // console.log(res);
                if (!res.IsSuccess) {
                    $('#code-error').html(res.Message);
                    $('#partycode').val("");
                    $("#partycode").focus();
                    $('#submit').prop('disabled', true);
                } else {
                    $('#code-error').html('');
                    $('#submit').prop('disabled', false);
                }
            }
    });
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/user_master',['pageSlug' => 'party'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/party/add.blade.php ENDPATH**/ ?>