
<?php $__env->startSection('title','Party'); ?>
<?php $__env->startSection('content'); ?>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row mb-5">
                <div class="col-md-10">
                    <h2 class="fw-normal">Party List</h2>
                </div>
                <div class="col-md-2">
                    <a href="<?php echo e(route('party.add')); ?>" class="btn btn-primary" style="float:right;" accesskey="o">Add
                        Party</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        Party List

                                    </div>
                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered mt-4" style="border-collapse:collapse;"
                                                   id="partyList">
                                                <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>PCode</th>
                                                    <th>PName</th>
                                                    <th>City</th>
                                                    <th>Sender Vatav</th>
                                                    <th>Receiver Vatav</th>
                                                    <!-- <th>Balance</th> -->
                                                    <th class="sorting" style="width: 200px;">Action</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php $i = 1; ?>
                                                <?php $__currentLoopData = $allParties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_allParties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td><?php echo e($_allParties->id); ?></td>
                                                        <td><?php echo e($_allParties->code); ?> </td>
                                                        <td><?php echo e($_allParties->name); ?> </td>
                                                        <td><?php echo e($_allParties->city); ?> </td>
                                                        <td><?php echo e($_allParties->sender_vatav); ?></td>
                                                        <td><?php echo e($_allParties->receiver_vatav); ?></td>
                                                        <!-- <td><?php echo e($_allParties->Opening_balance); ?></td> -->
                                                        <td>
                                                            <?php if($_allParties->id != 1): ?>
                                                                <a href="<?php echo e(url('Admin/party/edit/'. $_allParties->id)); ?>"
                                                                   class="btn btn-primary">
                                                                    <i class="fa fa-edit "></i> Edit
                                                                </a>
                                                            <?php endif; ?>
                                                            <?php $role = session('role'); ?>
                                                            <?php if($role == "superadmin"): ?>
                                                                <?php if($_allParties->id != 1): ?>
                                                                    <span class="btn btn-danger"
                                                                          onclick="deleteRow('<?php echo e($_allParties->id); ?>');"><i
                                                                                class=" fa fa-trash"></i> Delete</span>
                                                                <?php endif; ?>
                                                            <?php endif; ?>

                                                            <?php if($_allParties->is_logged_in == 1): ?>
                                                                <a href="<?php echo e(url('Admin/party/logout_party/'. $_allParties->id)); ?>"
                                                                   style="margin-left:1px;  padding:0px 5px; !important"
                                                                   class="btn btn-default btn-sm">
                                                                    <span class="glyphicon glyphicon-log-out"></span>
                                                                    Log out
                                                                </a>
                                                            <?php endif; ?>
                                                            <?php if($_allParties->id != 1): ?>
                                                                <a style="margin-left:1px;padding: 2px 5px"
                                                                   class="btn btn-warning btn-sm m-2"><?php echo e($_allParties->partyLoginCount); ?>

                                                                </a>
                                                            <?php endif; ?>

                                                        </td>

                                                    </tr>
                                                    <?php $i++; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $('#partyList').DataTable({
                paging: false,
                order: [[0, 'desc']],
            });
        });

        function deleteRow(id) {
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('Admin/party/delete/')); ?>/" + id,
                        data: {"_token": "<?php echo e(csrf_token()); ?>",}, // serializes the form's elements.
                        success: function (data) {
                            // console.log(data);
                            var response = JSON.parse(data);
                            if (response.IsSuccess) {
                                swalWithBootstrapButtons(
                                    'Deleted!',
                                    'This item has been deleted.',
                                    'success'
                                )
                                location.reload();
                            } else {
                                ShowNotify(response);
                            }
                        }
                    });
                } else if (result.dismiss === swal.DismissReason.cancel) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/user_master',['pageSlug' => 'party'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/party/index.blade.php ENDPATH**/ ?>