<?php $__env->startSection('title','Dashboard'); ?>
<?php $__env->startSection('content'); ?>
<?php
$role = session('role');
?>
<div id="page-wrapper">
    <div id="page-inner">
        <div class="row">
            <div class="col-md-12">
                <!-- <h2>Welcome!!</h2> -->
            </div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default  <?php if($role !== 'superadmin'): ?> d-none <?php endif; ?>">
                    <div class="panel-body">
                        <div class="row">
                            <div class="form-group col-md-4">
                                <table class="table table-striped table-bordered dataTable" style="border-collapse:collapse;">
                                    <caption>
                                        <h4>TOP 15 party with Max Balance</h4>
                                    </caption>
                                    <thead>
                                        <tr>

                                            <th>PName</th>

                                            <th>Current Balance</th>

                                        </tr>
                                    </thead>
                                    <tbody>

                                        <?php $__currentLoopData = $final_arr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_allParties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(isset($max_array[$_allParties['id']])): ?>
                                        <tr style="height:2px;">
                                            <td><?php echo e($_allParties['name']); ?></td>
                                            <td id="td-right-align">
                                                <?php echo e($_allParties['closing_balance'] != '' ? number_format($_allParties['closing_balance'], 2, '.', '') : '0'); ?>

                                            </td>
                                        </tr>
                                        <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                            <div class="form-group col-md-4" style="border-left:5px solid #428bca">
                                <table class="table table-striped table-bordered dataTable" style="border-collapse:collapse;">
                                    <caption>
                                        <h4>TOP 15 party with Min Balance</h4>
                                    </caption>
                                    <thead>
                                        <tr>
                                            <th>PName</th>
                                            <th>Current Balance</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $final_arr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_allParties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(isset($min_array[$_allParties['id']])): ?>
                                        <tr style="height:2px;">
                                            <td><?php echo e($_allParties['name']); ?></td>
                                            <td id="td-right-align">
                                                <?php echo e($_allParties['closing_balance'] != '' ? number_format($_allParties['closing_balance'], 2, '.', '') : '0'); ?>

                                            </td>
                                        </tr>
                                      
                                        <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
    let indexTable;
    $(document).ready(function() {
        $('.dataTable').dataTable({
            "bPaginate": false,
            "order": [[1, 'desc']],
            "searching": false,
            "info": false

        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/user_master',['pageSlug' => 'dashboard'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/dashboard/dashboard.blade.php ENDPATH**/ ?>